# Open-Source iOS Apps

<!-- 
⚠️ This README is generated, please do not update. To contribute, make changes to contents.json ⚠️ 
 https://github.com/dkhamsing/open-source-ios-apps -->

A collaborative list of open-source `iOS`, `watchOS` and `tvOS` apps, your [contribution](https://github.com/dkhamsing/open-source-ios-apps/blob/master/.github/CONTRIBUTING.md) is welcome :smile:

![](https://img.shields.io/badge/Projects-873-green.svg) [![](https://img.shields.io/badge/Twitter-@opensourceios-blue.svg)](https://twitter.com/opensourceios) ![](https://img.shields.io/badge/Updated-May%20%207,%202019-lightgrey.svg)

Jump to

- [Apple TV](#apple-tv) 
- [Apple Watch](#apple-watch) 
- [Browser](#browser) 
- [Calculator](#calculator) 
- [Calendar](#calendar) 
- [Color](#color) 
- [Clock](#clock) 
- [Clone](#clone) 
- [Communication](#communication) 
- [Developer](#developer) 
  - [GitHub](#github) 
- [Education](#education) 
- [Emulator](#emulator) 
- [Event](#event) 
- [Extension](#extension) 
  - [Content Blocking](#content-blocking) 
  - [Today](#today) 
- [Files](#files) 
- [Finance](#finance) 
  - [Cryptocurrency](#cryptocurrency) 
- [Game](#game) 
  - [Cocos2d](#cocos2d) 
  - [SpriteKit](#spritekit) 
- [Health](#health) 
  - [Fitness](#fitness) 
  - [ResearchKit](#researchkit) 
- [Keyboard](#keyboard) 
- [Location](#location) 
- [Media](#media) 
  - [Animoji](#animoji) 
  - [Audio](#audio) 
  - [Content](#content) 
  - [GIF](#gif) 
  - [Photo](#photo) 
  - [Video](#video) 
- [News](#news) 
  - [Hacker News](#hacker-news) 
  - [News API](#news-api) 
  - [RSS](#rss) 
- [Official](#official) 
- [Reactive Programming](#reactive-programming) 
  - [ReactiveCocoa](#reactivecocoa) 
  - [RxSwift](#rxswift) 
- [Sample](#sample) 
- [Scan](#scan) 
- [Security](#security) 
  - [Password](#password) 
- [Shopping](#shopping) 
- [Social](#social) 
  - [Mastodon](#mastodon) 
- [Tasks](#tasks) 
- [Text](#text) 
  - [Notes](#notes) 
- [Timer](#timer) 
- [Travel](#travel) 
- [Weather](#weather) 
- [Misc](#misc) 
  - [3D Touch](#3d-touch) 
  - [Appcelerator](#appcelerator) 
  - [Core Data](#core-data) 
  - [Firebase](#firebase) 
  - [Ionic](#ionic) 
  - [Parse](#parse) 
  - [React Native](#react-native) 
  - [Realm](#realm) 
  - [VIPER](#viper) 
  - [Xamarin](#xamarin) 
- [Bonus](#bonus) 
- [Thanks](#thanks)
- [Contact](#contact)

```
 100+ Stars: ⭐
 200+ Stars: ⭐⭐
 500+ Stars: ⭐⭐⭐
1000+ Stars: ⭐⭐⭐⭐
2000+ Stars: ⭐⭐⭐⭐⭐ 

🌐 Project is not in English 

Click ► to show more details
```

## Apple TV 
 
[back to top](#readme) 
 
- [Artsy Shows](https://github.com/artsy/Emergence): Art shows [` App Store`](https://itunes.apple.com/by/app/artsy-shows/id1044690553)  
  <details>
	<summary><code>swift</code> <code>cocoapodskeys</code> ⭐⭐</summary>

	Added November  6, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/artsy/emergence/master/docs/screenshots/featured.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/artsy/emergence/master/docs/screenshots/show.png'><code>Screenshot 2</code></a> 
  </details>

- [EX Player](https://github.com/IGRSoft/exTVPlayer): Watch videos from EX.UA file sharing  
  <details>
	<summary><code>objc</code> </summary>

	Added February  9, 2016<br>  License: [`lgpl-2.1`](http://choosealicense.com/licenses/lgpl-2.1/)<br>
	<a href='https://raw.githubusercontent.com/IGRSoft/exTVPlayer/master/Screenshots/4.png'><code>Screenshot 1</code></a> 
  </details>

- [hexclock](https://github.com/cfdrake/hexclock): Minimal hexadecimal clock [` App Store`](https://itunes.apple.com/app/hex-color-clock/id1207660670)  
  <details>
	<summary><code>swift</code> </summary>

	Added June 14, 2017<br>  License: `other`<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple122/v4/7b/e9/dd/7be9dd53-fe6b-00f7-57e6-a19e27b103de/sc720x405.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [iCook TV](https://github.com/polydice/iCook-tvOS): Taiwanese cuisine cooking videos  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added May 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://polydice.com/iCook-tvOS/images/Screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Provenance](https://github.com/Provenance-Emu/Provenance): Emulators frontend for Sega Genesis, SNES, NES, GB/GBC & more  
  <details>
	<summary><code>realm</code> ⭐⭐⭐⭐⭐</summary>

	Added April 27, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://jamesaddyman.com/provenance/screenshots/provenance1.png'><code>Screenshot 1</code></a> <a href='https://jamesaddyman.com/provenance/screenshots/provenance6.png'><code>Screenshot 2</code></a> 
  </details>

- [RailsCasts](https://github.com/spritlesoftware/railscasts-on-appletv): Ruby on Rails screencasts from http://railscasts.com/  
  <details>
	<summary><code>objc</code> </summary>

	Added May 12, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/spritlesoftware/railscasts-on-appletv/master/TVOSExample/image/apple-tv-railscast.png'><code>Screenshot 1</code></a> 
  </details>

- [Retro Skate](https://github.com/intere/retro-skate-tvOS)  
  <details>
	<summary><code>swift</code> </summary>

	Added April 13, 2017<br>  License: `other`<br>
	<a href='https://github.com/intere/retro-skate-tvOS/raw/master/assets/screenshot2.png'><code>Screenshot 1</code></a> 
  </details>

- [Telemat-tvOS](https://github.com/omichde/Telemat-tvOS): Stream the German Public Broadcast TV  
  <details>
	<summary><code>objc</code> 🌐 </summary>

	Added May 31, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://github.com/omichde/Telemat-tvOS/raw/master/telemat.jpg'><code>Screenshot 1</code></a> 
  </details>

- [UitzendingGemist by 4np](https://github.com/4np/UitzendingGemist): Uitgebreide UitzendingGemist app voor Nederland  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added November 10, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://cloud.githubusercontent.com/assets/1049693/18724167/ba26d9ba-803b-11e6-9c76-2f44c47d2dee.png'><code>Screenshot 1</code></a> 
  </details>

- [UitzendingGemist by jeffkreeftmeijer](https://github.com/jeffkreeftmeijer/UitzendingGemist): Dutch Public Broadcasting video on demand  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added November 10, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/jeffkreeftmeijer/UitzendingGemist/master/Screenshots/recent.png'><code>Screenshot 1</code></a> 
  </details>

- [Upcoming Movies](https://github.com/vanyaland/UpcomingMovies)  
  <details>
	<summary><code>swift</code> <code>themoviedb api</code> </summary>

	Added July 16, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vanyaland/UpcomingMovies/raw/master/Screenshots/movies.png'><code>Screenshot 1</code></a> 
  </details>

- [WWDCTV](https://github.com/azzoor/WWDCTV): Watch WWDC Videos  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added November 19, 2015<br>  License: `other`<br>
	<a href='https://github.com/azzoor/WWDCTV/blob/master/WWDC/screen01.png?raw=true'><code>Screenshot 1</code></a> 
  </details>


## Apple Watch 
 
[back to top](#readme) 
 
- [420! Alarm](https://github.com/efremidze/Alarm) [` App Store`](https://itunes.apple.com/app/420/id1194325430)  
  <details>
	<summary><code>swift</code> </summary>

	Added April 11, 2017<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/efremidze/Alarm/master/screenshots/en-US/iPhone7-0-d41d8cd98f00b204e9800998ecf8427e.png'><code>Screenshot 1</code></a> 
  </details>

- [AppleWatchFaces](https://github.com/orff/AppleWatchFaces): Create your own faces for watchOS  
  <details>
	<summary><code>swift</code> <code>spritekit</code> </summary>

	Added January 16, 2019<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/orff/AppleWatchFaces/master/docs/AppleWatchFacesQuickDemo.gif'><code>Screenshot 1</code></a> 
  </details>

- [BaiduFM](https://github.com/belm/BaiduFM-Swift): A Baidu Music app  
  <details>
	<summary><code>swift</code> 🌐 ⭐⭐⭐</summary>

	Added August  6, 2015<br>  License: `other`<br>
	<a href='https://github.com/belm/BaiduFM-Swift/raw/master/ScreenShot/BaiduFM-Swift_AppleWatch_00.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Bither](https://github.com/bither/bither-ios): Simple & secure Bitcoin wallet  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added April  3, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple7/v4/f9/f8/d4/f9f8d401-2a9a-fb50-fe24-76a1158600b2/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Bus Today](https://github.com/JohnWong/bus-today): Track bus line on your wrist, includes Today Extension [` App Store`](https://itunes.apple.com/app/jin-ri-gong-jiao-tong-zhi/id975022341)  
  <details>
	<summary><code>objc</code> 🌐 </summary>

	Added February 17, 2016<br>  License: `other`<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/94/5e/05/945e0506-9e18-749a-1ed9-e018949bfbad/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple69/v4/8f/6c/74/8f6c7422-fdc8-89e4-3514-0ea044e7fd50/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/39/03/e1/3903e1cf-d614-5d26-e3b1-3f9180aa162e/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/7b/9a/d2/7b9ad2f6-0438-c850-f8e0-268b712873a0/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/ce/6f/fc/ce6ffc7a-7f95-0c08-f05b-77f15612d0c7/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Calculator by BalestraPatrick](https://github.com/BalestraPatrick/AppleWatchCalculator)  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added March 24, 2017<br>  License: `other`<br>
	<a href='https://github.com/BalestraPatrick/AppleWatchCalculator/blob/master/Screenshot1.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Calculator by mukeshthawani](https://github.com/mukeshthawani/Calculator)  
  <details>
	<summary><code>swift</code> </summary>

	Added December 18, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/mukeshthawani/Calculator/master/graphics/scr1.png'><code>Screenshot 1</code></a> 
  </details>

- [Cortado](https://github.com/lazerwalker/cortado): Track your caffeine consumption habits  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added June 25, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple7/v4/a8/8e/ef/a88eef8f-dedc-6877-cd28-ae88f461129f/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple5/v4/e7/0c/f3/e70cf340-a630-2d04-b6a3-84cc127e3eee/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple7/v4/16/df/d1/16dfd184-5bea-1fef-d15a-227cd8e4503d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple7/v4/e4/b7/ae/e4b7ae1c-9d36-dfa9-b27f-679676b4366f/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple7/v4/e1/77/52/e17752e3-03e8-f340-abb9-ed6c9bd04a65/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Count It](https://github.com/PiXeL16/CountItApp): Dead simple way to you count anything  
  <details>
	<summary><code>swift</code> </summary>

	Added July 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple49/v4/d9/07/8b/d9078bba-fcf6-8de1-c674-d69b895f17c6/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/85/9b/94/859b94ea-b37e-6f77-fe7b-afc9f76934e7/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/19/de/08/19de08b9-4688-556e-c544-bfcc2d8154fb/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/83/71/1c/83711c7a-0119-cc7f-5f86-9e1da4d210c6/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Done](https://github.com/FancyPixel/done-swift): To-do list data sharing between extension & main app  
  <details>
	<summary><code>swift</code> <code>realm</code> <code>watchkit</code> ⭐</summary>

	Added May  1, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/FancyPixel/done-swift/master/assets/screenshot.gif'><code>Screenshot 1</code></a> 
  </details>

- [Giovanni](https://github.com/gabrieloc/GIOVANNI): Gameboy emulator for the Apple Watch  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added March 20, 2017<br>  License: `other`<br>
	<a href='https://github.com/gabrieloc/GIOVANNI/blob/master/gameplay.gif?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [GitHub Contributions](https://github.com/remirobert/Github-contributions): Track your GitHub contributions  
  <details>
	<summary><code>swift</code> </summary>

	Added April 20, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://cloud.githubusercontent.com/assets/3276768/19214602/f39af4c0-8d87-11e6-8b3d-3d9c7b94d57c.png'><code>Screenshot 1</code></a> 
  </details>

- [HeartControl](https://github.com/thomaspaulmann/HeartControl): Continuous heart rate measurement during workouts  
  <details>
	<summary><code>swift</code> <code>watchos3</code> ⭐</summary>

	Added August 16, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/AggsuxA.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/r8El1FE.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/zCkknWc.png'><code>Screenshot 3</code></a> 
  </details>

- [heartrate](https://github.com/coolioxlr/watchOS-2-heartrate): Show streaming heart rate from the watch  
  <details>
	<summary><code>swift</code> <code>watchos2</code> ⭐⭐</summary>

	https://imgur.com/a/xVqqj<br>  Added July 29, 2015<br>  License: `other`<br>
	<a href='https://i.imgur.com/hOfxCBx.png'><code>Screenshot 1</code></a> 
  </details>

- [HN Reader](https://github.com/Dimillian/SwiftHN): Hacker News Reader [` App Store`](https://itunes.apple.com/app/hn-reader-hacker-news-reader/id919243741)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*6Bey3OUZ2Xhuk-ZXCB-gOg.png'><code>Screenshot 1</code></a> 
  </details>

- [KTPomodoro](https://github.com/kenshin03/KTPomodoro): Mini Pomodoro Timer  
  <details>
	<summary><code>objc</code> </summary>

	Added February 26, 2015<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/kenshin03/Cherry/master/screenshot_1.png'><code>Screenshot 1</code></a> 
  </details>

- [MyWeight History](https://github.com/diogot/MyWeight): Body mass tracker with easy data input & access to history [` App Store`](https://itunes.apple.com/app/myweight-history/id1098061879)  
  <details>
	<summary><code>swift</code> </summary>

	Added June 12, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple122/v4/2d/28/8c/2d288c05-33f0-1f18-b06a-4e3a24e1d608/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Natural Language Clock](https://github.com/chadkeck/Natural-Language-Clock): Display the time as you would speak it  
  <details>
	<summary><code>swift</code> <code>watchos2</code> </summary>

	Added April 20, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/chadkeck/Natural-Language-Clock/raw/master/assets/iPhone-and-Apple-Watch.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Nightguard](https://github.com/nightscout/nightguard): Display blood glucose values stored on your nightscout server  
  <details>
	<summary><code>swift</code> <code>apple-watch</code> </summary>

	http://www.nightscout.info/<br>  Added June 17, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-1.jpg'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-2.jpg'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-3.jpg'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-4.jpg'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-5.jpg'><code>Screenshot 5</code></a> 
  </details>

- [Parties for WWDC](https://github.com/genadyo/WWDC)  
  <details>
	<summary><code>swift</code> <code>cloudkit</code> ⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple20/v4/5f/9e/6a/5f9e6a9a-db21-1e8a-c45a-aef6ba65956b/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple30/v4/7e/6f/12/7e6f12a7-8d4b-0416-4d7a-f4745a2d7538/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple60/v4/4c/0f/cf/4c0fcf21-8713-0d61-c0df-0dafdbe525e8/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/c0/21/e4/c021e48b-fa87-a873-1c8b-95e58aba71e7/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple18/v4/e0/69/9c/e0699c09-6cb4-c1a5-4fa1-9cd7117eaa86/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [PhotoWatch](https://github.com/dropbox/PhotoWatch): Uses the SwiftyDropbox SDK  
  <details>
	<summary><code>swift</code> </summary>

	Added February 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/dropbox/PhotoWatch/raw/master/Screenshots/watch.png'><code>Screenshot 1</code></a> 
  </details>

- [SpriteKitWatchFace](https://github.com/steventroughtonsmith/SpriteKitWatchFace): SpriteKit-based faux analog watch face example for watchOS  
  <details>
	<summary><code>objc</code> <code>spritekit</code> ⭐⭐⭐</summary>

	Added November 18, 2018<br>  License: `other`<br>
	<a href='https://hccdata.s3.amazonaws.com/gh_spritekitwatchface.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Summon](https://github.com/eonist/summon): Summon another person to an exact location within a building with an Apple Watch  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added September  3, 2018<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/stylekit/img/master/summon_deck_dark_5.png'><code>Screenshot 1</code></a> 
  </details>

- [TermiWatch](https://github.com/kuglee/TermiWatch): A terminal face for Apple Watch  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added April  8, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/kuglee/TermiWatch/master/Screenshots/44mm.png'><code>Screenshot 1</code></a> 
  </details>

- [try! Swift NYC](https://github.com/tryswift/trySwiftNYC)  
  <details>
	<summary><code>swift</code> <code>toucan</code> <code>realm</code> ⭐</summary>

	Added November  8, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/xyu7t89.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/Jes7vLF.png'><code>Screenshot 2</code></a> 
  </details>

- [Watch Clicker Presentation](https://github.com/ezefranca/watchpresenter): Control your Keynote using Apple Watch [` App Store`](https://itunes.apple.com/app/watchnotes/id1213397019)  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added March 28, 2017<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://github.com/ezefranca/watchpresenter/blob/master/print.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [WatchKit-Apps](https://github.com/kostiakoval/WatchKit-Apps): Tutorials app  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added March 23, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/AppsInWatck/Counter.gif'><code>Screenshot 1</code></a> 
  </details>

- [WatchPics](https://github.com/D-32/WatchPics): Instagram app  
  <details>
	<summary><code>objc</code> </summary>

	Added April 10, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/pEIRuzr.jpg'><code>Screenshot 1</code></a> 
  </details>


## Browser 
 
[back to top](#readme) 
 
- [Chrome](https://chromium.googlesource.com/chromium/src.git/+/master/ios/)  
  <details>
	<summary><code>objective-c++</code> </summary>

	https://blog.chromium.org/2017/01/open-sourcing-chrome-on-ios.html<br>  Added February  1, 2017<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple71/v4/4b/d8/9a/4bd89a0d-d1f8-ea48-492a-2cec600c453c/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/20/f2/6e/20f26eb0-e862-358f-8252-0e299bc89d94/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/53/5b/b4/535bb49d-d1ec-7edc-4195-ba0359de2779/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/56/ee/b0/56eeb0f0-0e39-cb27-d389-511e2d9964c4/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/e8/a1/ab/e8a1ab12-b616-f9d0-7f1b-2e1764b0e872/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Firefox](https://github.com/mozilla-mobile/firefox-ios): Official Firefox app [` App Store`](https://itunes.apple.com/app/firefox-web-browser/id989804926)  
  <details>
	<summary><code>swift</code> <code>carthage</code> <code>alamofire</code> <code>snapkit</code> <code>libphonenumber</code> ⭐⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple49/v4/53/81/08/53810869-af7c-31ff-c2bd-43b2a7ec5f56/screen322x572.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Firefox Focus](https://github.com/mozilla-mobile/focus-ios): Browse the web privately [` App Store`](https://itunes.apple.com/app/id1055677337)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added December  8, 2015<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple71/v4/32/81/20/328120a1-29c2-4dd8-fec8-8024eb5bb5ee/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Frameless](https://github.com/stakes/Frameless): A full-screen web browser  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added July 31, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Onion Browser](https://github.com/OnionBrowser/OnionBrowser): A Tor-powered web browser that improves your privacy [` App Store`](https://itunes.apple.com/app/id519296448)  
  <details>
	<summary><code>objc</code> <code>tor</code> ⭐⭐⭐⭐</summary>

	https://onionbrowser.com<br>  Added June  2, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple42/v4/7c/3c/cc/7c3ccc4e-77c8-799a-9058-4b8672c71a08/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Radium Web Browser](https://github.com/SlayterDev/RadiumBrowser): Tabbed web browser extendible using JavaScript extensions [` App Store`](https://itunes.apple.com/app/radium-web-browser/id1274491203)  
  <details>
	<summary><code>swift</code> <code>browser</code> <code>extensible</code> <code>webkit</code> </summary>

	Added September 27, 2017<br>  License: `other`<br>
	<a href='http://i.imgur.com/bMQuwAE.png'><code>Screenshot 1</code></a> <a href='http://i.imgur.com/Wjro36A.png'><code>Screenshot 2</code></a> 
  </details>

- [SnowHaze](https://github.com/snowhaze/SnowHaze-iOS): Powerful private browser developed to protect your data [` App Store`](https://itunes.apple.com/app/snowhaze/id1121026941)  
  <details>
	<summary><code>swift</code> </summary>

	Added May 19, 2018<br>  License: `other`<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple118/v4/a0/fc/6f/a0fc6f11-2a83-7f80-f9f6-3caf7d73e1b0/pr_source.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/02/65/bf/0265bffc-4b48-f52c-a698-c50ddbe22d53/pr_source.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple118/v4/a2/a4/a2/a2a4a22f-0f48-3c86-c672-482e190ef21f/pr_source.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple118/v4/fc/79/2f/fc792faf-eef5-8ee6-78bb-2aa396c7dbf4/pr_source.png/628x0w.jpg'><code>Screenshot 4</code></a> 
  </details>


## Calculator 
 
[back to top](#readme) 
 
- [Calculator](https://github.com/benoitvallon/react-native-nw-react-calculator): React Native calculator  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added March 23, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/8OKDHjU.png'><code>Screenshot 1</code></a> 
  </details>

- [Coffee Ratio](https://github.com/johnmahlon/Coffee-Ratio): Calculates grams of water needed given grams of coffee based off ratio chosen  
  <details>
	<summary><code>swift</code> <code>swift3</code> </summary>

	Added September  9, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/rQxOsqO.png'><code>Screenshot 1</code></a> 
  </details>

- [Currency Converter](https://github.com/tirupati17/currency-converter-swift3.0-viper): Live foreign exchange rates & currency calculator [` App Store`](https://itunes.apple.com/app/currency-converter-free-quick/id1163490933)  
  <details>
	<summary><code>swift</code> <code>viper</code> ⭐</summary>

	Added October 24, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/tirupati17/currency-converter-swift3.0-viper/master/CurrencyConverter/Resources/iphone_5s.png'><code>Screenshot 1</code></a> 
  </details>

- [Free42](https://thomasokken.com/free42/download/free42.tgz): A re-implementation of the HP-42S Calculator & the HP-82240 printer [` App Store`](https://itunes.apple.com/app/id337692629)  
  <details>
	<summary><code>objc</code> </summary>

	https://thomasokken.com/free42/<br>  Added June  2, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple3/v4/a4/bd/1e/a4bd1e5c-a158-7669-76c9-915c3b41ecec/screen568x568.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [IBCalculator](https://github.com/JakeLin/IBCalculator)  
  <details>
	<summary><code>swift</code> <code>ibinspectable</code> <code>ibdesignable</code> </summary>

	Added March 23, 2017<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/JakeLin/IBCalculator/master/screenshots/IBCalcalator-iPhone.png'><code>Screenshot 1</code></a> 
  </details>

- [NumberPad](https://github.com/bridger/NumberPad): An experimental prototype calculator  
  <details>
	<summary><code>swift</code> </summary>

	http://bridgermaxwell.com/blog/numberpad-notation/<br>  Added May 31, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/5o7MaMll.png'><code>Screenshot 1</code></a> 
  </details>

- [Round & Split](https://github.com/lukhnos/roundandsplit): Tip Calculator [` App Store`](https://itunes.apple.com/app/round-split/id912288737)  
  <details>
	<summary><code>swift</code> </summary>

	Added January 27, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple22/v4/f1/a9/2e/f1a92e42-0507-06a1-d5c0-fd41f26e144b/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple42/v4/60/ae/41/60ae411b-62ed-25b0-3136-80f64250aa60/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [SIP Calculator](https://github.com/tirupati17/sip-calculator-swift): Calculate the future value of SIP (Systematic Investment Plan) payments [` App Store`](https://itunes.apple.com/app/id1092822415)  
  <details>
	<summary><code>swift</code> </summary>

	Added July 17, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple69/v4/dc/cc/2c/dccc2c04-f147-30b4-0a9e-9bff2a857476/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>


## Calendar 
 
[back to top](#readme) 
 
- [LunarCore](https://github.com/cyanzhong/LunarCore): Small lunar calendar with Today Extension [` App Store`](https://itunes.apple.com/app/id1031088612)  
  <details>
	<summary><code>objc</code> 🌐 ⭐⭐⭐</summary>

	Added October 31, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/cyanzhong/LunarCore/raw/master/iOS.png'><code>Screenshot 1</code></a> 
  </details>

- [Malendar](https://github.com/croossin/Malendar): A redesigned calendar  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added October 30, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/croossin/Malendar/raw/master/Images/MalendarStockPhoto.png'><code>Screenshot 1</code></a> 
  </details>


## Color 
 
[back to top](#readme) 
 
- [GammaThingy](https://github.com/thomasfinch/GammaThingy): Change screen gamma dynamically  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added November 21, 2015<br>  License: `other`
  </details>

- [GoodNight](https://github.com/anthonya1999/GoodNight): Change screen gamma dynamically  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added December 23, 2015<br>  License: `other`<br>
	<a href='https://i.imgur.com/QEAE4B3.jpg'><code>Screenshot 1</code></a> 
  </details>


## Clock 
 
[back to top](#readme) 
 
- [4clock](https://github.com/nicolapps/4clock): Multiplayer chess clock [` App Store`](https://itunes.apple.com/app/4clock-chronometre-jeu-multijoueur/id1163604465)  
  <details>
	<summary><code>javascript</code> <code>cordova</code> 🌐 </summary>

	Added February  9, 2017<br>
	<a href='https://cdn-images-1.medium.com/max/600/1*wGpCIUaprr1viJ8JIJe9Hw.png'><code>Screenshot 1</code></a> 
  </details>

- [Fibonacc iClock](https://github.com/scribblemaniac/Fibonacc-iClock): A clock based off the famous Fibonacci sequence  
  <details>
	<summary><code>objc</code> </summary>

	Added May 23, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://raw.githubusercontent.com/scribblemaniac/Fibonnac-iClock/master/Screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Natural Language Clock](https://github.com/chadkeck/Natural-Language-Clock): Display the time as you would speak it  
  <details>
	<summary><code>swift</code> <code>watchos2</code> </summary>

	Added April 20, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/chadkeck/Natural-Language-Clock/raw/master/assets/iPhone-and-Apple-Watch.png?raw=true'><code>Screenshot 1</code></a> 
  </details>


## Clone 
 
[back to top](#readme) 
 
- [2048](https://github.com/austinzheng/iOS-2048)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added March 24, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/austinzheng/iOS-2048/raw/master/screenshots/ss1.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [2048](https://github.com/austinzheng/swift-2048)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 18, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*Lzt_Wm8hbVUEptBW-vhhMg.png'><code>Screenshot 1</code></a> 
  </details>

- [2048](https://github.com/danqing/2048)  
  <details>
	<summary><code>spritekit</code> <code>objc</code> ⭐⭐⭐⭐</summary>

	Added July 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple4/v4/a4/f8/af/a4f8af1d-3878-0817-859d-de76bae169c7/screen568x568.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Finance](https://github.com/7kfpun/FinanceReactNative): The system Stocks app written in React Native  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐</summary>

	Added July  8, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/7kfpun/FinanceReactNative/blob/master/previewIOS.gif?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Flappy Fly-Bird](https://github.com/jVirus/flappy-fly-bird): A clone of Flappy Bird using SpriteKit and GameplayKit  
  <details>
	<summary><code>swift</code> <code>spritekit</code> <code>gameplaykit</code> </summary>

	Added July 23, 2018<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-01.PNG'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-02.PNG'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-03.PNG'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-04.PNG'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-05.PNG'><code>Screenshot 5</code></a> 
  </details>

- [FlappySwift](https://github.com/fullstackio/FlappySwift): Flappy Bird clone  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 18, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://i.imgur.com/1NLoToU.gif'><code>Screenshot 1</code></a> 
  </details>

- [graygram](https://github.com/devxoul/graygram-ios): Instagram clone  
  <details>
	<summary><code>swift</code> <code>alamofire</code> <code>kingfisher</code> ⭐</summary>

	Added March 10, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/931655/23171892/4d3fd606-f897-11e6-87e0-7230d3010c7b.png'><code>Screenshot 1</code></a> 
  </details>

- [Legend-Wings](https://github.com/woguan/Legend-Wings): EverWing game clone (survive as much you can, earn gold, and upgrade/purchase new characters)  
  <details>
	<summary><code>swift</code> <code>spritekit</code> ⭐⭐</summary>

	Added April  8, 2019<br>  License: `other`<br>
	<a href='https://github.com/woguan/Legend-Wings/blob/master/Angelica%20Fighti/Gif/v3_5_1-1.gif?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/woguan/Legend-Wings/blob/master/Angelica%20Fighti/Gif/v3_5_1-2.gif?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/woguan/Legend-Wings/blob/master/Angelica%20Fighti/Gif/v3_5_1-3.gif?raw=true'><code>Screenshot 3</code></a> <a href='https://github.com/woguan/Legend-Wings/blob/master/Angelica%20Fighti/Gif/v3_5_1-4.gif?raw=true'><code>Screenshot 4</code></a> 
  </details>

- [Pinterest](https://github.com/ivsall2012/AHPinterest)  
  <details>
	<summary><code>swift</code> </summary>

	Added May 11, 2017<br>  License: `other`<br>
	<a href='https://github.com/ivsall2012/AHPinterest/blob/master/AHPinterset.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Podcasts](https://github.com/Karambirov/Podcasts): A clone of Apple's Podcasts  
  <details>
	<summary><code>swift</code> <code>rxswift</code> </summary>

	Added April  7, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://user-images.githubusercontent.com/6949755/54340090-a5375500-4647-11e9-8124-87794e1c2c05.png'><code>Screenshot 1</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340091-a5375500-4647-11e9-844d-e6a5cd78fd44.png'><code>Screenshot 2</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340092-a5cfeb80-4647-11e9-8cf7-3b9b4892b20c.png'><code>Screenshot 3</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340093-a5cfeb80-4647-11e9-84a1-2de51cdc0ccc.png'><code>Screenshot 4</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340095-a5cfeb80-4647-11e9-8ae5-f758aaa3014e.png'><code>Screenshot 5</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340096-a5cfeb80-4647-11e9-853c-fa0aa9128d34.png'><code>Screenshot 6</code></a> 
  </details>

- [Snake Classic](https://github.com/PiXeL16/SnakeClassic): A snake engine for all Apple devices  
  <details>
	<summary><code>swift</code> </summary>

	Added August 31, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/PiXeL16/SnakeClassic/master/Art/SnakeWatch.png'><code>Screenshot 1</code></a> 
  </details>

- [SwiftSnake](https://github.com/caleb0/SwiftSnake): Snake clone  
  <details>
	<summary><code>swift</code> </summary>

	Added August 19, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/mBi9Jfj.png'><code>Screenshot 1</code></a> 
  </details>

- [YouTube Clone](https://github.com/VamshiIITBHU14/YouTubeClone): YouTube clone using MVC  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added November 18, 2018<br>  License: `other`
  </details>

- [youtube-iOS](https://github.com/aslanyanhaik/youtube-iOS): YouTube app template  
  <details>
	<summary><code>swift</code> <code>swift3</code> ⭐⭐⭐⭐⭐</summary>

	Added August 15, 2016<br>  License: `other`<br>
	<a href='https://i.giphy.com/hwCahHAD1tNHa.gif'><code>Screenshot 1</code></a> 
  </details>


## Communication 
 
[back to top](#readme) 
 
- [Actor](https://github.com/actorapp/actor-platform): Cross-platform instant message app  
  <details>
	<summary><code>swift</code> <code>yyimage</code> ⭐⭐⭐⭐⭐</summary>

	Added April 11, 2016<br>  License: [`agpl-3.0`](http://choosealicense.com/licenses/agpl-3.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple18/v4/90/4f/79/904f794e-c2b3-363e-4c5c-4118dd6e7ee0/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple60/v4/cd/67/d3/cd67d381-6a18-34cf-4e75-390075d426f3/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple20/v4/a7/09/81/a70981f7-305d-cef5-c9ec-39c7aed6249e/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple20/v4/f9/7c/af/f97caf76-fab8-31bc-2956-1dd0654064a9/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple60/v4/a7/2c/57/a72c57e4-0bef-5009-1c98-c5395823d1ca/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Antidote](https://github.com/Antidote-for-Tox/Antidote): A client for https://tox.chat/ [` App Store`](https://itunes.apple.com/app/apple-store/id933117605)  
  <details>
	<summary><code>swift</code> <code>iphone</code> <code>ipad</code> ⭐⭐</summary>

	https://antidote.im/<br>  Added June  1, 2016<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='https://tox.chat/theme/img/client/antidote_1.png'><code>Screenshot 1</code></a> 
  </details>

- [AppRTC](https://github.com/ISBX/apprtc-ios): A native video chat app  
  <details>
	<summary><code>objc</code> <code>webrtc</code> <code>google</code> ⭐⭐⭐⭐</summary>

	Added September  6, 2016<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://github.com/ISBX/apprtc-ios/raw/master/screenshots/screenshots.jpg'><code>Screenshot 1</code></a> 
  </details>

- [BLEMeshChat](https://github.com/chrisballinger/BLEMeshChat): Chat using Bluetooth 4.0 Low Energy API (Bluetooth LE)  
  <details>
	<summary><code>objc</code> <code>yapdatabase</code> <code>purelayout</code> <code>mantle</code> <code>bluetooth</code> ⭐⭐</summary>

	Added January 11, 2016<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='https://i.imgur.com/z8lEdPMm.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/z8lEdPM.png'><code>Screenshot 2</code></a> 
  </details>

- [Chats](https://github.com/acani/Chats)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 18, 2015<br>  License: [`unlicense`](http://choosealicense.com/licenses/unlicense/)<br>
	<a href='https://github.com/acani/Chats/raw/master/Documents/iPhone-Client-Screenshots/iPhone-Client-Screenshots.gif'><code>Screenshot 1</code></a> 
  </details>

- [ChatSecure](https://github.com/ChatSecure/ChatSecure-iOS): Send messages with OTR encryption [` App Store`](https://itunes.apple.com/app/chatsecure-encrypted-messenger/id464200063)  
  <details>
	<summary><code>objc</code> <code>xmpp</code> ⭐⭐⭐⭐⭐</summary>

	Added March 26, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple5/v4/bf/67/25/bf672587-f1ff-3ea8-6ba2-d2b51007cfd7/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple7/v4/9c/45/6e/9c456e12-a029-b900-3f74-a84e313932bd/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple7/v4/2f/ea/0e/2fea0ee9-ea64-a2eb-6546-5f0fd0a2f577/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple7/v4/4e/d7/91/4ed791e3-0915-64a3-6aea-64f4319019ab/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Chaty](https://github.com/LunarFlash/Chaty): Anonymous messaging with real time data sync  
  <details>
	<summary><code>swift</code> <code>firebase</code> <code>websocket</code> <code>nosql</code> ⭐⭐</summary>

	Added May 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/LunarFlash/Chaty/raw/master/ChatChat/screen1.png'><code>Screenshot 1</code></a> 
  </details>

- [Colloquy](https://github.com/colloquy/colloquy): IRC client  
  <details>
	<summary><code>objc</code> </summary>

	Added January 27, 2016<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple3/v4/1c/6b/1f/1c6b1f4b-d464-9faf-47ba-aab606d62dff/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/af/54/c7/af54c763-96f6-7d4f-0813-1a19d06fb3dc/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/29/12/80/291280a9-87f0-41ad-121d-54ee39ec45df/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple5/v4/7c/ef/78/7cef78fb-56e1-52e2-d5b4-6fbc833ca32b/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/18/55/21/185521ba-035e-6b2d-362f-0e50b767f5b7/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Falcon Messenger](https://github.com/RMizin/FalconMessenger): Fast and beautiful cloud-based messaging app [` App Store`](https://itunes.apple.com/app/id1313765714)  
  <details>
	<summary><code>swift, firebase</code> ⭐</summary>

	Added June 19, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/48/53/6c/48536cdf-5ca1-8285-c0ed-6eca4da33d1a/pr_source.jpg/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple118/v4/dd/eb/55/ddeb5549-ef4c-faa2-8b98-71bd796a499f/pr_source.jpg/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/35/11/a5/3511a58d-ef7b-38e8-0365-05629c143489/pr_source.jpg/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple128/v4/12/4d/f8/124df875-c3cf-30a5-6506-83b5a80f9252/pr_source.jpg/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [IRCCloud](https://github.com/irccloud/ios): IRC client/service [` App Store`](https://itunes.apple.com/app/irccloud/id672699103)  
  <details>
	<summary><code>objc</code> <code>fastlane</code> ⭐⭐</summary>

	Added January 29, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple20/v4/f5/c3/f3/f5c3f37e-17b6-e613-aff3-7d66b31a34b0/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple60/v4/87/49/ae/8749ae35-924b-5354-12f7-698113ad3fe4/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple30/v4/83/3a/02/833a024e-5d9e-4802-2c33-212662d4600c/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple18/v4/11/d2/0b/11d20b28-5f21-5718-298f-61a2af7b97e8/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Linphone](https://gitlab.linphone.org/BC/public/linphone-iphone): Free audio/video calls and text messaging (be reachable at any time, even if the app is closed, with a WiFi or 3G/4G internet connection) [` App Store`](https://itunes.apple.com/app/linphone/id360065638)  
  <details>
	<summary><code>objc</code> </summary>

	Added August 22, 2018<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple125/v4/48/5f/07/485f073c-1bd4-acdb-127f-0bd5d266d359/mzl.gqlurkmf.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple125/v4/cc/b4/b8/ccb4b8a4-f912-b4a7-d69f-1f9fda24f368/mzl.whsepbnn.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple115/v4/93/7c/fc/937cfca3-14fd-0a4e-0690-ab02d07452ee/mzl.wkqxfgho.jpg/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple125/v4/49/12/40/4912400a-b408-3bf2-cf8a-8ecdefb858c0/pr_source.jpg/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [M](https://github.com/Mynigma/M): Email with device-to-device encryption for messages sent between M users  
  <details>
	<summary><code>objc</code> </summary>

	Added January 26, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple41/v4/39/79/63/39796337-2166-4778-9a89-1a1059b0c05a/screen800x500.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Messenger](https://github.com/relatedcode/Messenger): Audio/video calls, realtime chat & full offline support  
  <details>
	<summary><code>objc</code> <code>firebase</code> <code>onesignal</code> <code>realm</code> ⭐⭐⭐⭐⭐</summary>

	Added July 19, 2017<br>  License: `other`<br>
	<a href='http://relatedcode.com/screen/chat01.png'><code>Screenshot 1</code></a> <a href='http://relatedcode.com/screen/call1.png'><code>Screenshot 2</code></a> 
  </details>

- [Monal](https://github.com/anurodhp/Monal): Connect to your chat server without having to give a third party access to your password or messages [` App Store`](https://itunes.apple.com/app/monal-free-xmpp-chat/id317711500)  
  <details>
	<summary><code>objc</code> <code>xmpp</code> ⭐</summary>

	Added November  7, 2016<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple69/v4/ca/27/98/ca279896-a860-e33f-ef2c-cfdc1c62dbdc/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/24/53/b6/2453b64c-0c67-1e71-86f8-d96482ae992a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/b2/e8/b2/b2e8b2f2-160e-19d2-1e38-94c9ab629b78/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/68/4c/ec/684cecd3-4d00-b658-9395-57ea1dafef47/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/c4/58/60/c458604e-d368-eb11-c315-7631bece7485/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Mumble](https://github.com/mumble-voip/mumble-iphoneos): Gaming-focused social voice chat utility [` App Store`](https://itunes.apple.com/app/mumble/id443472808)  
  <details>
	<summary><code>objc</code> <code>fmdb</code> ⭐</summary>

	Added September 10, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple19/v4/cd/72/30/cd723067-64a5-ba1c-bacf-7d3ac967fcf6/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/85/8f/07/858f0765-90e5-7924-a856-c69debad6822/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple19/v4/ac/a7/5c/aca75cef-caa0-417e-9542-6e819ad02c2b/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/41/1a/5b/411a5be1-031f-ff95-b981-f93da80c0f9c/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Quick Chat](https://github.com/aslanyanhaik/Quick-Chat): Real time chat app  
  <details>
	<summary><code>swift</code> <code>swift3</code> <code>firebase</code> ⭐⭐⭐⭐</summary>

	Added January  6, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/aslanyanhaik/Quick-Chat/master/screenshot.gif'><code>Screenshot 1</code></a> 
  </details>

- [Real-time Chat](https://www.raywenderlich.com/5359-firebase-tutorial-real-time-chat)  
  <details>
	<summary><code>firebase</code> </summary>

	Added November 11, 2016<br>  License: `other`<br>
	<a href='https://koenig-media.raywenderlich.com/uploads/2016/08/RoadCyclingChatThread.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Riot](https://github.com/vector-im/riot-ios): Collaboration for teams, chat & share with https://matrix.org/blog/index [` App Store`](https://itunes.apple.com/us/app/vector-open-source-collaboration/id1083446067)  
  <details>
	<summary><code>objc</code> <code>webrtc</code> <code>realm</code> ⭐⭐</summary>

	https://matrix.org/blog/index<br>  Added July 21, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple18/v4/7a/22/48/7a224810-475c-cb4e-a165-02761701831d/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Rocket.Chat](https://github.com/RocketChat/Rocket.Chat.iOS): Meteor chat platform app [` App Store`](https://itunes.apple.com/app/rocket-chat/id1148741252)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added January 29, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple49/v4/6b/67/2d/6b672d4d-1d88-382c-aa02-db66dfc97421/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/27/b5/b3/27b5b3e0-102e-605f-d086-def467181dcb/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/71/f0/6f/71f06f5d-07af-96b9-016a-cd27f006d211/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/ef/88/2b/ef882bb0-e6ca-882a-f355-b9b298c2412d/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple49/v4/88/f6/58/88f65868-21eb-d01a-61e9-20481d3852c1/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Signal](https://github.com/signalapp/Signal-iOS): Free, world-wide, private messaging & phone calls [` App Store`](https://itunes.apple.com/app/id874139669)  
  <details>
	<summary><code>objc</code> <code>iphone</code> <code>carthage</code> <code>socketrocket</code> <code>purelayout</code> <code>openssl</code> ⭐⭐⭐⭐⭐</summary>

	Added February 27, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple30/v4/54/bb/ac/54bbacd8-9a2d-4317-0cdf-ed35aff86770/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/77/21/be/7721be1e-3df8-15cd-ee6e-9549a24106c5/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple18/v4/89/9a/c9/899ac960-f241-d65b-0041-9351f6eabda3/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple20/v4/ee/bc/c0/eebcc086-5ddf-8073-af83-ac2709cb6b3d/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Spika](https://github.com/cloverstudio/Spika): Cross-platform messenger module  
  <details>
	<summary><code>afnetworking</code> <code>sdwebimage</code> ⭐⭐⭐</summary>

	https://spika.business/<br>  Added June  2, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/cloverstudio/Spika/raw/master/spika_demo_new.gif'><code>Screenshot 1</code></a> 
  </details>

- [surespot](https://github.com/surespot/surespot-ios): Secures all messages with end-to-end encryption [` App Store`](https://itunes.apple.com/app/surespot/id790314865)  
  <details>
	<summary><code>objc</code> </summary>

	Added March  3, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple6/v4/7d/3e/79/7d3e79c8-93f3-856d-76fd-f9db990ffd1b/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple4/v4/8f/01/7a/8f017a28-6e99-be29-9486-d3ec83b991ae/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple/v4/ee/18/74/ee1874ae-b815-9556-f2cb-aa1481180c46/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Telegram](https://github.com/peter-iakovlev/Telegram): Send messages with a focus on speed & security [` App Store`](https://itunes.apple.com/app/telegram-messenger/id686449807)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	Added April  6, 2015<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple62/v4/d1/90/fd/d190fd61-005a-a5b7-0bf4-91b5c588b970/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/95/f3/2e/95f32efb-5e42-841e-f142-b25b14f62f25/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/ad/4c/76/ad4c768a-31c3-8fb2-daf4-effd9914e46c/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/92/80/a3/9280a32a-66b6-15b9-b8fb-866ea1e13bfa/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple62/v4/be/00/19/be00193f-ee7e-9886-09d5-86ca9dfa2faf/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [TSWeChat](https://github.com/hilen/TSWeChat): A WeChat alternative  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added May 18, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/hilen/TSWeChat/raw/master/images/preview1.gif'><code>Screenshot 1</code></a> 
  </details>

- [Tutanota](https://github.com/tutao/tutanota): End-to-end encrypted email [` App Store`](https://itunes.apple.com/app/id922429609)  
  <details>
	<summary><code>javascript</code> <code>cordova</code> <code>iphone</code> <code>ipad</code> ⭐⭐⭐⭐⭐</summary>

	https://tutanota.com/<br>  Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple71/v4/7e/80/e2/7e80e291-ee1e-ffb4-9449-c0431136832c/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple62/v4/d3/37/fd/d337fd23-a7e0-a903-3249-6b793974df2d/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/7b/09/a2/7b09a205-22f4-addf-6641-c1462c1d0c98/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple22/v4/9e/c9/8f/9ec98f0b-b5a8-1aa4-98ba-b3c748ed8e18/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Vapor Chat](https://github.com/vapor-community/chat-ios-example): Basic realtime chat project using Vapor on the server  
  <details>
	<summary><code>swift</code> <code>starscream</code> </summary>

	Added September 30, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/DuQSjpY.png'><code>Screenshot 1</code></a> 
  </details>

- [Wire](https://github.com/wireapp/wire-ios): Modern, private communications with crystal clear voice, video, group chats - always encrypted [` App Store`](https://itunes.apple.com/app/wire/id930944768)  
  <details>
	<summary><code>swift</code> <code>carthage</code> <code>afnetworking</code> <code>purelayout</code> ⭐⭐⭐⭐⭐</summary>

	Added July 22, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*CEtofzY1rIOKuGT7JO3VkA.png'><code>Screenshot 1</code></a> 
  </details>


## Developer 
 
[back to top](#readme) 
 
- [AppLove](https://github.com/snowpunch/AppLove): View app reviews for all territories (countries)  
  <details>
	<summary><code>swift</code> </summary>

	Added May  7, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Awesome ML](https://github.com/eugenebokhan/Awesome-ML): Discover, download, compile & launch different image processing CoreML models  
  <details>
	<summary><code>swift</code> </summary>

	Added April  2, 2018<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://github.com/eugenebokhan/Awesome-ML/raw/master/Media/App-Demo-Transparent-Background.gif'><code>Screenshot 1</code></a> 
  </details>

- [Blink](https://github.com/blinksh/blink): Mobile shell terminal based on Mosh [` App Store`](https://itunes.apple.com/app/id1156707581)  
  <details>
	<summary><code>objc</code> <code>uickeychainstore</code> <code>passcodelock</code> ⭐⭐⭐⭐⭐</summary>

	Added July 12, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple71/v4/a4/c1/40/a4c1408f-f463-823e-7bb3-fd21b8ccc770/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple71/v4/32/7f/26/327f2687-8f48-cad8-f1d6-bddb50e64353/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/c0/d2/d8/c0d2d869-6136-2969-8310-d72781769b39/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/b3/7d/9b/b37d9b69-7242-44fb-2059-8fb1e42663e8/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Buglife](https://github.com/Buglife/Buglife-iOS): Awesome bug reporting SDK & web platform  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added January 13, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/mdwgDzd.png'><code>Screenshot 1</code></a> 
  </details>

- [Charter](https://github.com/matthewpalmer/Charter): Mailing list app  
  <details>
	<summary><code>swift</code> <code>iphone</code> <code>ipad</code> ⭐⭐⭐</summary>

	Added February 22, 2016<br>  License: `other`<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*3igvNkkU0qmS0lox6epnSQ.png'><code>Screenshot 1</code></a> 
  </details>

- [CI2Go](https://github.com/ngs/ci2go): An app for https://circleci.com/ [` App Store`](https://itunes.apple.com/app/ci2go-the-circleci-client/id940028427)  
  <details>
	<summary><code>swift</code> </summary>

	Added March 21, 2016<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple49/v4/66/36/e5/6636e56d-931e-be79-97b5-ee3f4d83a73d/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/d4/ed/ba/d4edba4e-36b3-0f5e-6e04-ca3d9e572464/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/ce/70/57/ce705779-25a3-6b5b-c02c-2e13d6268c1c/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/b4/96/83/b49683ea-62bc-e9a5-9480-bd75e529d259/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/12/ad/b0/12adb0a2-d960-ddbe-5d48-58a51fa3703c/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [CodeBucket](https://github.com/thedillonb/CodeBucket): Browse & maintain your Bitbucket repositories  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added June  3, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/thedillonb/CodeBucket/master/Screenshots/RepositoryView.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/thedillonb/CodeBucket/master/Screenshots/Slideout.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/thedillonb/CodeBucket/master/Screenshots/Repositories.png'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/thedillonb/CodeBucket/master/Screenshots/ChangeSets.png'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/thedillonb/CodeBucket/master/Screenshots/Issues.png'><code>Screenshot 5</code></a> 
  </details>

- [CodeSprint](https://github.com/chauvincent/CodeSprint-iOS): Real-time SCRUM management tool for teams  
  <details>
	<summary><code>objc</code> </summary>

	Added November 23, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple62/v4/95/15/ad/9515add9-5322-a96e-5ab6-bbd258d524d5/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/3e/95/f0/3e95f062-ed08-1a9f-b64a-f7cc05930e42/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple62/v4/88/94/25/88942500-f5ea-c03f-41d6-81477f9b78f9/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/36/1c/42/361c4270-a061-f7fc-19fa-91e4321aecc4/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/5a/47/90/5a47904c-a86c-336d-c105-9dd20dac1872/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Dash](https://github.com/Kapeli/Dash-iOS): Instant offline access to 150+ API documentation sets [` App Store`](https://itunes.apple.com/app/dash-offline-api-docs/id1239167694)  
  <details>
	<summary><code>objc</code> <code>iphone</code> <code>ipad</code> <code>kissxml</code> <code>dznemptydataset</code> <code>dtbonjour</code> <code>samkeychain</code> ⭐⭐⭐⭐⭐</summary>

	https://kapeli.com/dash_ios<br>  Added November 14, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://kapeli.com/img/dash_ios-s1.png'><code>Screenshot 1</code></a> <a href='https://kapeli.com/img/dash_ios-s2.png'><code>Screenshot 2</code></a> 
  </details>

- [ESCapey](https://github.com/brianmichel/ESCapey): macOS server & iOS client app pair that allow you to turn any iOS device into the escape key you've come to know and love  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added October 26, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/brianmichel/ESCapey/raw/master/images/ios-screenshot-2.png'><code>Screenshot 1</code></a> <a href='https://github.com/brianmichel/ESCapey/raw/master/images/ios-screenshot-1.png'><code>Screenshot 2</code></a> 
  </details>

- [Evolution](https://github.com/Evolution-App/iOS): An unofficial app for Swift Evolution [` App Store`](https://itunes.apple.com/app/evolution-app/id1210898168)  
  <details>
	<summary><code>swift</code> <code>swift-evolution</code> ⭐</summary>

	Added April 11, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/1d/91/90/1d919067-8c46-3f04-f710-ecfed6494539/pr_source.png/900x0w.png'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple128/v4/ee/84/cc/ee84cc99-5ff3-5c1c-4408-60c8f24f754d/pr_source.png/900x0w.png'><code>Screenshot 2</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple128/v4/28/86/e9/2886e929-b5a9-09ed-47e7-0ed45806f463/pr_source.png/900x0w.png'><code>Screenshot 3</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple128/v4/7a/2a/68/7a2a68f4-5575-5d70-be87-d4df54ebb12f/pr_source.png/900x0w.png'><code>Screenshot 4</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple118/v4/e6/ed/ec/e6edecdb-78ce-6cfe-4fde-470c7cee306a/pr_source.png/900x0w.png'><code>Screenshot 5</code></a> 
  </details>

- [Expo Client](https://github.com/expo/expo): Developer tool for creating experiences with interactive gestures & graphics [` App Store`](https://itunes.apple.com/app/expo-client/id982107779)  
  <details>
	<summary><code>react-native</code> <code>javascript</code> ⭐⭐⭐⭐⭐</summary>

	https://expo.io/<br>  Added April 28, 2017<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple111/v4/42/1e/6e/421e6e4d-2524-5e1a-93aa-b8159d48a8fa/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [iOSAppsInfo](https://github.com/wujianguo/iOSAppsInfo): List installed apps & URL schemes  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added October 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/wujianguo/iOSAppsInfo/raw/master/SampleImages/1.PNG'><code>Screenshot 1</code></a> <a href='https://github.com/wujianguo/iOSAppsInfo/raw/master/SampleImages/3.PNG'><code>Screenshot 2</code></a> 
  </details>

- [iperf](https://github.com/ndfred/iperf-ios): Run an iperf3 client, including reverse mode & multiple streams selection  
  <details>
	<summary><code>objc</code> </summary>

	Added November 14, 2016<br>  License: `other`<br>
	<a href='https://github.com/ndfred/iperf-ios/raw/master/Screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [iSH](https://github.com/tbodt/ish): The Linux shell on iOS  
  <details>
	<summary><code>c</code> <code>obj-c</code> ⭐⭐⭐⭐⭐</summary>

	https://ish.app<br>  Added March 21, 2019<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/PseudonymPatel/images/master/E0617EC4-E004-4DD0-B642-52BA4A189468.jpeg'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/PseudonymPatel/images/master/13DA476F-FF82-45F9-8820-710D34711ADC.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [iVim](https://github.com/terrychou/iVim): A vim port [` App Store`](https://itunes.apple.com/app/ivim/id1266544660)  
  <details>
	<summary><code>c</code> <code>vim-script</code> ⭐</summary>

	Added February 11, 2018<br>  License: `other`<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/6c/f0/84/6cf08431-01bb-aacb-27f2-bcc769a8511e/pr_source.png/230x0w.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Jasonette](https://github.com/Jasonette/JASONETTE-iOS): Create a native app over HTTP  
  <details>
	<summary><code>json</code> <code>javascript</code> ⭐⭐⭐⭐⭐</summary>

	http://jasonette.com/<br>  Added November 10, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/Jasonette/Instagram-UI-example/raw/master/images/instagram.gif'><code>Screenshot 1</code></a> 
  </details>

- [Knil](https://github.com/ethanhuang13/knil): Universal Links testing made easy [` App Store`](https://itunes.apple.com/app/knil-universal-link-testing/id1195310358)  
  <details>
	<summary>⭐⭐⭐</summary>

	Added August 11, 2018<br>
	<a href='https://i.imgur.com/FkkMn0M.gifv'><code>Screenshot 1</code></a> 
  </details>

- [Knuff](https://github.com/KnuffApp/Knuff-iOS): The debug app for Apple Push Notification service [` App Store`](https://itunes.apple.com/app/knuff-the-apns-debug-tool/id993435856)  
  <details>
	<summary><code>swift</code> <code>pop</code> <code>apns</code> </summary>

	Added October 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple49/v4/f9/21/14/f9211459-6b65-ed7c-ec75-c58c4de7f497/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Ladybug](https://github.com/ethanhuang13/ladybug): Handle rdar:// links gracefully [` App Store`](https://itunes.apple.com/app/ladybug-handles-radar-links/id1402968134)  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added July 18, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple125/v4/4a/b6/98/4ab6985f-3ac7-21cd-76d3-8479091bad07/pr_source.png/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple115/v4/c2/c3/14/c2c31427-d01d-dccd-5c16-4d7334377d7a/pr_source.png/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple115/v4/41/f3/c9/41f3c908-bd31-1297-cf88-15b66d28ce4e/pr_source.png/460x0w.png'><code>Screenshot 3</code></a> 
  </details>

- [Major Input](https://github.com/rlwimi/major-input): Read WWDC session transcripts synced with the video  
  <details>
	<summary><code>swift</code> <code>ipad</code> <code>haneke</code> <code>quick</code> <code>nimble</code> <code>carthage</code> <code>swiftyjson</code> </summary>

	Added May 31, 2017<br>  License: `other`<br>
	<a href='https://github.com/rlwimi/major-input/raw/master/Resources/screenshots/tour.gif'><code>Screenshot 1</code></a> 
  </details>

- [Matomo](https://github.com/matomo-org/matomo-mobile-2): Access analytics on the go (formerly Piwik) [` App Store`](https://itunes.apple.com/app/id737216887)  
  <details>
	<summary><code>objc</code> </summary>

	Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple5/v4/04/76/42/04764246-03ec-4c04-0b2b-710805357b74/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/6e/bf/79/6ebf7979-44a1-2d00-6b5c-eb7c9c723955/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/db/b1/e7/dbb1e7d3-6e59-3e98-8be9-197b25e99c86/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/62/10/b0/6210b03c-5d0c-45fd-c23d-f85f5de25b4b/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/d1/14/5f/d1145fb7-5cf2-f5b9-e53c-4ad68f748190/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [MobileTerminal](https://github.com/steventroughtonsmith/MobileTerminal): Proof-of-concept for sandboxed Terminal environment  
  <details>
	<summary><code>c</code> <code>dlopen</code> ⭐</summary>

	Added February  6, 2017<br>  License: `other`<br>
	<a href='http://hccdata.s3.amazonaws.com/gh_mobileterm_1.jpg'><code>Screenshot 1</code></a> 
  </details>

- [NWPusher](https://github.com/noodlewerk/NWPusher): Play with the Apple Push Notification service  
  <details>
	<summary><code>objc</code> <code>apns</code> ⭐⭐⭐⭐⭐</summary>

	Added November 28, 2016<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)<br>
	<a href='https://github.com/noodlewerk/NWPusher/raw/master/Docs/osx2.png'><code>Screenshot 1</code></a> <a href='https://github.com/noodlewerk/NWPusher/raw/master/Docs/ios.png'><code>Screenshot 2</code></a> 
  </details>

- [Pastebin Mobile](https://github.com/jonluca/PasteBinApp): Quickly and easily uploads text or code to https://pastebin.com  
  <details>
	<summary><code>swift</code> </summary>

	Added April  8, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/dJg21TF.png'><code>Screenshot 1</code></a> 
  </details>

- [Pisth](https://github.com/ColdGrub1384/Pisth): SSH and SFTP client [` App Store`](https://itunes.apple.com/app/pisth/id1331070425)  
  <details>
	<summary><code>swift</code> <code>javascript</code> <code>html</code> ⭐</summary>

	https://pisth.github.io<br>  Added January 12, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://pisth.github.io/apt/screenshots.png'><code>Screenshot 1</code></a> 
  </details>

- [RealmVideo](https://github.com/BalestraPatrick/RealmVideo): Watch Realm videos & slides  
  <details>
	<summary><code>swift</code> <code>iphone</code> ⭐⭐</summary>

	Added May 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/BalestraPatrick/RealmVideo/raw/master/Resources/demo.gif'><code>Screenshot 1</code></a> 
  </details>

- [Retriever](https://github.com/cyanzhong/Retriever): Get InfoPlist without jailbreak  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added October 27, 2016<br>  License: `other`<br>
	<a href='https://github.com/cyanzhong/retriever/raw/master/Screenshots/1.PNG'><code>Screenshot 1</code></a> <a href='https://github.com/cyanzhong/retriever/raw/master/Screenshots/2.PNG'><code>Screenshot 2</code></a> 
  </details>

- [Review Time](https://github.com/nthegedus/ReviewTime): Shows average review times for iOS & Mac apps  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added October  8, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/nthegedus/ReviewTime/raw/master/Design/ReviewTime.png'><code>Screenshot 1</code></a> 
  </details>

- [ReviewMonitor](https://github.com/RishabhTayal/Unofficial-iTC): iTunes Connect app which is actually useful  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added December 27, 2017<br>
	<a href='https://github.com/RishabhTayal/Unofficial-iTC/blob/master/public-screenshots/screenshot1.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/RishabhTayal/Unofficial-iTC/blob/master/public-screenshots/screenshot2.png?raw=true'><code>Screenshot 2</code></a> 
  </details>

- [Savanna](https://github.com/louisdh/savanna): IDE for writing Cub scripts  
  <details>
	<summary><code>swift</code> </summary>

	Added August 22, 2018<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://is4-ssl.mzstatic.com/image/thumb/Purple125/v4/45/ae/f6/45aef69e-09b9-f90f-8258-cf2f9553e06d/pr_source.png/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple125/v4/a4/2d/63/a42d63c9-b5e2-1319-0c52-72840c95cab5/pr_source.png/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple115/v4/d9/c0/51/d9c05147-ddce-c0af-aa20-9935e8487dc4/pr_source.png/460x0w.png'><code>Screenshot 3</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple125/v4/c8/5e/91/c85e914d-a9c3-b84a-7a62-c32eaa4e751e/pr_source.png/460x0w.png'><code>Screenshot 4</code></a> 
  </details>

- [Terrarium](https://github.com/penk/terrarium-app): UI prototyping for coders  
  <details>
	<summary><code>c++</code> ⭐⭐</summary>

	Added February 23, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple3/v4/80/7a/9f/807a9f8a-3ec4-087d-e50e-050eb813747a/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple1/v4/6c/42/12/6c4212ff-1e96-e68c-d3bc-cb4c4d0bd281/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/cf/1e/7a/cf1e7a68-e703-45fc-5e24-8f01f2a5b6c9/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [TLDR Man Page](https://github.com/freesuraj/TLDR): Reference dictionary for computer manual commands, but in tl;dr (too long; didn't read) mode  
  <details>
	<summary><code>swift</code> </summary>

	Added May  3, 2016<br>  License: `other`
  </details>

- [TLS Inspector](https://github.com/certificate-helper/tls-inspector): Verify the secure connection information of any website and ensure that your information is private [` App Store`](https://itunes.apple.com/app/apple-store/id1100539810)  
  <details>
	<summary><code>c</code> <code>objc</code> <code>c++</code> </summary>

	Added May  5, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/eb/03/2e/eb032e7d-9b04-0cea-89af-41478761d5b0/pr_source.png/316x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple62/v4/de/e0/70/dee07035-182f-b5e1-9e48-38c5660dd760/pr_source.png/316x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/fe/8d/03/fe8d03fd-bdc7-dca5-ddd1-57de854e716e/pr_source.png/316x0w.jpg'><code>Screenshot 3</code></a> 
  </details>

- [Unwrap](https://github.com/twostraws/Unwrap): Learn Swift interactively on your iPhone https://www.hackingwithswift.com  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	https://www.hackingwithswift.com/<br>  Added August 11, 2018<br>  License: `other`<br>
	<a href='https://i.imgur.com/BgTX6bU.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/cKXcVJQ.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/1eO1hgP.png'><code>Screenshot 3</code></a> <a href='https://i.imgur.com/bs0fVFr.png'><code>Screenshot 4</code></a> 
  </details>

- [WWDCast](https://github.com/sgl0v/WWDCast): The unofficial WWDC application to watch WWDC videos and sessions on your ChromeCast  
  <details>
	<summary><code>swift</code> <code>rxswift</code> <code>mvvm</code> </summary>

	Added June 10, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen1.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen2.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen3.png'><code>Screenshot 3</code></a> 
  </details>

- [花灰](https://github.com/lexrus/Huahui): How to prounounce programming terms in English  
  <details>
	<summary><code>swift</code> 🌐 ⭐</summary>

	https://twitter.com/lexrus/status/836928202912063491<br>  Added March  2, 2017<br>  License: `other`<br>
	<a href='https://media.giphy.com/media/3oKIPvvaugnP88DdOE/source.gif'><code>Screenshot 1</code></a> 
  </details>


### GitHub 
 
[back to top](#readme) 
 
- [CodeHub](https://github.com/CodeHubApp/CodeHub): Browse & maintain GitHub repositories [` App Store`](https://itunes.apple.com/app/id707173885)  
  <details>
	<summary><code>csharp</code> ⭐⭐⭐⭐⭐</summary>

	http://codehub-app.com/<br>  Added June  1, 2016<br>  License: `other`<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple49/v4/34/47/f7/3447f73d-7c25-0ace-719c-d8a286521ed7/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/4c/e1/5b/4ce15b73-3010-47c4-2c94-569b1898aebb/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/28/8b/0d/288b0d9b-d596-4128-de57-d51310d63cff/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/e7/eb/f0/e7ebf020-0ad7-f61a-e702-e6507e8c1925/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/fc/94/aa/fc94aaa7-bddf-5c48-9727-09ee45595194/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Contributions for GitHub](https://github.com/JustinFincher/GitHubContributionsiOS): Look at your GitHub contributions graph in a Today Extension [` App Store`](https://itunes.apple.com/app/contributions-for-github/id1153432612)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added October  6, 2016<br>  License: `other`<br>
	<a href='https://github.com/JustinFincher/GitHubContributionsiOS/raw/master/Sketch/GitHub-Contributions.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Evolution](https://github.com/Evolution-App/iOS): An unofficial app for Swift Evolution [` App Store`](https://itunes.apple.com/app/evolution-app/id1210898168)  
  <details>
	<summary><code>swift</code> <code>swift-evolution</code> ⭐</summary>

	Added April 11, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/1d/91/90/1d919067-8c46-3f04-f710-ecfed6494539/pr_source.png/900x0w.png'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple128/v4/ee/84/cc/ee84cc99-5ff3-5c1c-4408-60c8f24f754d/pr_source.png/900x0w.png'><code>Screenshot 2</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple128/v4/28/86/e9/2886e929-b5a9-09ed-47e7-0ed45806f463/pr_source.png/900x0w.png'><code>Screenshot 3</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple128/v4/7a/2a/68/7a2a68f4-5575-5d70-be87-d4df54ebb12f/pr_source.png/900x0w.png'><code>Screenshot 4</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple118/v4/e6/ed/ec/e6edecdb-78ce-6cfe-4fde-470c7cee306a/pr_source.png/900x0w.png'><code>Screenshot 5</code></a> 
  </details>

- [GitHawk](https://github.com/GitHawkApp/GitHawk): GitHub project manager [` App Store`](https://itunes.apple.com/app/githawk-for-github/id1252320249)  
  <details>
	<summary><code>swift</code> <code>iglistkit</code> <code>snapkit</code> <code>alamofire</code> ⭐⭐⭐⭐⭐</summary>

	Added July  5, 2017<br>  License: `other`<br>
	<a href='http://i.imgur.com/XwW4MI2.png'><code>Screenshot 1</code></a> <a href='http://i.imgur.com/sFgTFJX.png'><code>Screenshot 2</code></a> 
  </details>

- [GitHub-Swift](https://github.com/acmacalister/Github-Swift)  
  <details>
	<summary><code>swift</code> </summary>

	Added May  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [GitHubSearch](https://github.com/Karambirov/GitHubSearch): GitHub client written using MVVM without Rx and Interface Builder  
  <details>
	<summary><code>swift</code> <code>router</code> <code>realm</code> </summary>

	Added April 19, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://user-images.githubusercontent.com/6949755/52898872-71a60e00-31f4-11e9-853a-d7993aae4eed.png'><code>Screenshot 1</code></a> 
  </details>

- [Gitify](https://github.com/manosim/gitify-mobile): Brings your GitHub notifications in your pocket  
  <details>
	<summary><code>react-native</code> </summary>

	Added July  8, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple18/v4/88/b6/8a/88b68a7f-d3d8-e51b-9918-cb886b7a4a24/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [GiTiny](https://github.com/k-lpmg/GiTiny): Explore what's trending in GitHub [` App Store`](https://itunes.apple.com/app/tiny-github/id1461424565)  
  <details>
	<summary><code>swift</code> <code>rxswift</code> <code>mvvm-c</code> <code>clean-architecture</code> ⭐</summary>

	Added May  1, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://user-images.githubusercontent.com/15151687/57021987-bc1e1f00-6c68-11e9-8d43-25beb9465284.jpg'><code>Screenshot 1</code></a> <a href='https://user-images.githubusercontent.com/15151687/57021990-c17b6980-6c68-11e9-8b56-852508131809.jpg'><code>Screenshot 2</code></a> <a href='https://user-images.githubusercontent.com/15151687/57021992-c3452d00-6c68-11e9-8b54-0f01dd887622.jpg'><code>Screenshot 3</code></a> <a href='https://user-images.githubusercontent.com/15151687/57021995-c4765a00-6c68-11e9-8b95-f3087c8b8e37.jpg'><code>Screenshot 4</code></a> 
  </details>

- [GitPoint](https://github.com/gitpoint/git-point): GitHub app with a minimal & beautiful UI [` App Store`](https://itunes.apple.com/app/gitpoint/id1251245162)  
  <details>
	<summary><code>react-native</code> ⭐⭐⭐⭐⭐</summary>

	Added July 14, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple127/v4/6d/82/6b/6d826be2-2f68-495c-0ba1-86d3da548287/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple117/v4/1c/14/83/1c148311-bbee-ff46-6b97-1d109a0213b4/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [Monkey](https://github.com/coderyi/Monkey): Browse top GitHub coders & repositories  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐</summary>

	Added August 28, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple71/v4/77/4f/b6/774fb6df-5f9a-2218-0e53-5e9bd35e50e3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple71/v4/3f/25/c4/3f25c4b0-2de6-42ae-d33a-dbfefc1f1378/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple22/v4/27/d0/fc/27d0fcb4-485b-d7d4-3bdb-472859cc7166/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/88/a2/d0/88a2d013-04a5-732d-ae05-e477b0becf9e/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple62/v4/99/e9/49/99e9499e-ab0f-ed2b-b54d-70a819166c11/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [MrCode](https://github.com/haolloyin/MrCode): GitHub app that can cache Markdown content  
  <details>
	<summary><code>objc</code> <code>iphone</code> 🌐 ⭐⭐</summary>

	Added November  5, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/haolloyin/MrCode/master/Screenshots/screenshots_1.jpg'><code>Screenshot 1</code></a> 
  </details>

- [OctoPodium](https://github.com/nunogoncalves/iOS-OctoPodium): List users ranked by GitHub repository star count  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added February 18, 2016<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple60/v4/1b/54/e0/1b54e0e9-fc86-b8ea-01dd-f13c63507bad/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/11/43/09/114309a8-6399-011d-ee34-3e2b59d01d6a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple30/v4/c2/31/70/c2317036-b9ed-3d18-35b7-beb733f8e074/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple60/v4/d3/a1/84/d3a18462-d036-304a-72af-d283e51fed39/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple20/v4/58/03/34/5803343a-be95-66c7-27ea-ebb648ca3436/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Pocket Trailer](https://github.com/ptsochantaris/trailer): Manage pull requests & issues for GitHub / GitHub Enterprise [` App Store`](https://itunes.apple.com/app/id806104975)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added October  4, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple60/v4/9a/a4/9a/9aa49a25-e999-4f3d-e059-89025713cf69/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple20/v4/13/59/b0/1359b0e6-22c4-09ab-6212-e8190f8c3894/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple30/v4/a8/42/13/a8421320-3def-b527-0b12-10a418ce0088/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple18/v4/32/df/45/32df45e3-9e47-1d30-0596-e1888ae6cd3b/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple20/v4/ff/7a/f0/ff7af006-4f67-d158-bda2-c7f461686d73/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [RKGist](https://github.com/RestKit/RKGist): GitHub Gists  
  <details>
	<summary><code>objc</code> <code>restkit</code> </summary>

	Added April  9, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/3yKeZP7.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/cPwvXZa.png'><code>Screenshot 2</code></a> 
  </details>

- [Siesta GitHub Browser](https://github.com/bustoutsolutions/siesta/tree/master/Examples/GithubBrowser): Browse & star GitHub repositories  
  <details>
	<summary><code>swift</code> <code>rest</code> ⭐⭐⭐</summary>

	Added July 26, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/OBGvFKw.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/50eCbeX.png'><code>Screenshot 2</code></a> 
  </details>

- [SwiftHub](https://github.com/khoren93/SwiftHub): GitHub client written in RxSwift and MVVM clean architecture [` App Store`](https://itunes.apple.com/app/swifthub-git-client/id1448628710)  
  <details>
	<summary><code>swift</code> <code>rxswift</code> <code>mvvm</code> <code>moya</code> <code>fastlane</code> ⭐⭐⭐</summary>

	Added September  1, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/khoren93/SwiftHub/blob/master/screenshots/01_search_repository_screen.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/khoren93/SwiftHub/blob/master/screenshots/02_repository_details_screen.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/khoren93/SwiftHub/blob/master/screenshots/03_settings_screen.png?raw=true'><code>Screenshot 3</code></a> 
  </details>


## Education 
 
[back to top](#readme) 
 
- [Conjugar](https://github.com/vermont42/Conjugar): Learn and Practice All the Spanish Verb Tenses [` App Store`](https://itunes.apple.com/us/app/conjugar/id1236500467)  
  <details>
	<summary><code>swift</code> </summary>

	Added March 31, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/browse.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/verb.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/quiz.png?raw=true'><code>Screenshot 3</code></a> <a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/browseInfo.png?raw=true'><code>Screenshot 4</code></a> <a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/info.png?raw=true'><code>Screenshot 5</code></a> 
  </details>

- [Go Flashcards](https://github.com/roymckenzie/Go-Flashcards): Create stacks of flashcards and review them on their iPad, iPhone, or Apple Watch  
  <details>
	<summary><code>swift</code> <code>realm</code> <code>watchos</code> <code>cloudkit</code> <code>spotlight</code> </summary>

	Added February 18, 2018<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://is4-ssl.mzstatic.com/image/thumb/Purple82/v4/c7/52/24/c7522479-fb2a-3667-7d62-5351dc064423/mzl.swmmmbqv.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple122/v4/2e/ce/1c/2ece1c19-0322-4855-495f-bf6d330e85d5/mzl.vusqxtss.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple122/v4/c9/15/e2/c915e243-0276-f089-195d-f9bb0647025e/mzl.rvnqhird.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple111/v4/dd/2d/bb/dd2dbb29-2c60-e6cd-9a4d-e90781d04382/mzl.hrjdrozv.png/460x0w.jpg'><code>Screenshot 4</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple111/v4/58/c6/e0/58c6e0ed-5be7-6320-ce72-084232f6a29f/pr_source.png/460x0w.jpg'><code>Screenshot 5</code></a> 
  </details>

- [iGrades](https://github.com/maurovc/iGrades): Track your class grades [` App Store`](https://itunes.apple.com/app/id816987574)  
  <details>
	<summary><code>objc</code> </summary>

	Added March 16, 2015<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple3/v4/8d/22/e0/8d22e0df-5cea-5fa5-c18e-779b335099ec/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/8c/be/5f/8cbe5f3c-4a89-726b-eb30-037944e756be/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/c8/77/fd/c877fd32-1c98-0268-5164-0cb95b48ce27/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/ce/5f/28/ce5f2856-901f-d130-1173-9c4f869c9fc3/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple5/v4/2a/df/94/2adf9489-96da-4974-db83-5f119d58b11b/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Kotoba](https://github.com/willhains/Kotoba): Quickly search the built-in dictionary to see definitions of words. Collect the words you want to remember  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added August 21, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/yNc3GOl.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/aF4JedS.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/pw0M2yi.png'><code>Screenshot 3</code></a> <a href='https://i.imgur.com/zv3RKrZ.png'><code>Screenshot 4</code></a> 
  </details>

- [My First Memory](https://github.com/Sajjon/SwiftIntro): Memory game, includes introduction to iOS & Swift  
  <details>
	<summary><code>swift</code> <code>instagram api</code> </summary>

	Added July  6, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://i.imgur.com/8u73w5u.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/MShIfCe.png'><code>Screenshot 2</code></a> 
  </details>

- [Pocket Code](https://github.com/catrobat/catty): Allows you to create games, animations, interactive music videos, and many kind of other apps, directly on device [` App Store`](https://itunes.apple.com/app/pocket-code/id1117935892)  
  <details>
	<summary><code>swift</code> <code>objc</code> </summary>

	https://www.catrobat.org<br>  Added March  6, 2019<br>  License: `other`
  </details>

- [Population Clock](https://github.com/Netfilter-Com/PopulationClock): Learn about geography & demographics [` App Store`](https://itunes.apple.com/app/population-clock-hd/id590689957)  
  <details>
	<summary><code>objc</code> </summary>

	Added March  2, 2016<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple2/v4/23/ff/89/23ff89c0-a1ac-f9aa-faae-1a2b9180d88a/screen520x924.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Prayer in English](https://github.com/Flinesoft/Prayer): Help understand the spoken text in Islamic prayers [` App Store`](https://itunes.apple.com/app/prayer-in-english/id1217136884)  
  <details>
	<summary><code>swift</code> </summary>

	Added April  3, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple122/v4/f0/3d/8e/f03d8e27-3e94-a07a-255c-2c56afdf9256/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple111/v4/fd/17/ca/fd17cab3-a3e2-165c-2b0e-d8ff8faeed13/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple111/v4/d1/d2/98/d1d29891-952b-88ad-e865-759ac918ec1f/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Recast](https://github.com/cuappdev/podcast-ios): A podcast client that seeks to transform the way you listen to, interact with, and share and discover podcasts  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added May 26, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple128/v4/0b/b5/f6/0bb5f665-9207-58d7-effd-23879f680a01/mzl.jtdasfzc.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple128/v4/b0/85/4c/b0854c05-6930-b70a-28bc-ea65aefe123f/mzl.udtmgexa.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/95/5c/7b/955c7b98-b7b6-6680-4024-3f756fef12ac/pr_source.png/460x0w.png'><code>Screenshot 3</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/57/d1/bc/57d1bc1d-c8ef-50d4-dda0-fadcd7cc9282/pr_source.png/460x0w.png'><code>Screenshot 4</code></a> 
  </details>

- [Transcription Helper](https://github.com/novinfard/TranscriptionHelper): Player for assisting in transcription [` App Store`](https://itunes.apple.com/app/transcription-helper/id1157585714)  
  <details>
	<summary><code>objc</code> </summary>

	https://novinfard.com<br>  Added May 24, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is4-ssl.mzstatic.com/image/thumb/Purple71/v4/df/ca/54/dfca5417-f1d7-3c7f-675a-9bd3e7c1b082/source/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple62/v4/27/9e/83/279e8336-a1e4-3bbe-4162-4fce7651b2bf/source/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple62/v4/62/1c/7d/621c7db7-8259-dad3-247c-850b50a76797/source/460x0w.png'><code>Screenshot 3</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple71/v4/1d/f8/2f/1df82ff0-2f41-c97e-c5dd-a9418323804c/source/460x0w.png'><code>Screenshot 4</code></a> 
  </details>

- [WaniKani](https://github.com/haawa799/WaniKani-iOS): Learn kanji with https://www.wanikani.com/  
  <details>
	<summary><code>swift</code> </summary>

	Added May  3, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple49/v4/da/d8/8e/dad88eec-4269-1521-fb4e-78286ef6d949/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/e3/70/13/e37013b8-d618-1cfb-c84b-7a19bebabba6/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/63/55/69/63556904-f2dc-0c4a-8b7e-8feef7baf592/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/77/1d/b3/771db3a9-91d8-26fd-99fb-a86f61bc6b54/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple49/v4/eb/ad/97/ebad97c8-c4d8-c0b3-0cde-c462f8a9441b/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [WWDCast](https://github.com/sgl0v/WWDCast): The unofficial WWDC application to watch WWDC videos and sessions on your ChromeCast  
  <details>
	<summary><code>swift</code> <code>rxswift</code> <code>mvvm</code> </summary>

	Added June 10, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen1.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen2.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen3.png'><code>Screenshot 3</code></a> 
  </details>


## Emulator 
 
[back to top](#readme) 
 
- [ActiveGS](https://github.com/ogoguel/activegs-ios): Apple II/IIGS Emulator with in-app game browser, MFi & iCade controller support  
  <details>
	<summary><code>objc</code> </summary>

	Added May 13, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/ogoguel/activegs-ios/master/README.images/screen5.png'><code>Screenshot 1</code></a> 
  </details>

- [DOSPad](https://github.com/litchie/dospad): DOSBox  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added May 13, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://github.com/litchie/dospad/blob/master/screenshots/portrait.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [GBA4iOS](https://bitbucket.org/rileytestut/gba4ios/): Gameboy, Gameboy Color & Gameboy Advance emulator  
  <details>
	<summary><code>objc</code> </summary>

	Added November 21, 2015<br>  License: `other`<br>
	<a href='http://www.wtfgamersonly.com/wp-content/uploads/2014/08/gba4ios.jpg'><code>Screenshot 1</code></a> 
  </details>

- [iAmiga (iUAE)](https://github.com/emufreak/iAmiga): Commodore Amiga emulator, based on UAE  
  <details>
	<summary><code>objc</code> </summary>

	Added May 14, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://moreinfo.thebigboss.org/moreinfo/iuae1.jpg'><code>Screenshot 1</code></a> <a href='http://moreinfo.thebigboss.org/moreinfo/iuae4.jpg'><code>Screenshot 2</code></a> 
  </details>

- [iSH](https://github.com/tbodt/ish): The Linux shell on iOS  
  <details>
	<summary><code>c</code> <code>obj-c</code> ⭐⭐⭐⭐⭐</summary>

	https://ish.app<br>  Added March 21, 2019<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/PseudonymPatel/images/master/E0617EC4-E004-4DD0-B642-52BA4A189468.jpeg'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/PseudonymPatel/images/master/13DA476F-FF82-45F9-8820-710D34711ADC.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [MAME4iOS](https://github.com/yoshisuga/MAME4iOS): MAME frontend  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added May 13, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://i.ytimg.com/vi/Gj5LQN5iing/hqdefault.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Mini vMac](https://github.com/zydeco/minivmac4ios): Early 68K Macintosh emulator  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	https://namedfork.net/minivmac/<br>  Added July 11, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://namedfork.net/images/minivmac4ios/keyboard.png'><code>Screenshot 1</code></a> 
  </details>

- [nds4ios](https://github.com/raaxis/nds4ios): Nintendo DS emulator, port of DeSmuME  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added May 14, 2016<br>  License: `other`<br>
	<a href='http://cdn.redmondpie.com/wp-content/uploads/2015/11/ROM-List_.jpg'><code>Screenshot 1</code></a> 
  </details>

- [PPSSPP](https://github.com/hrydgard/ppsspp): PSP emulator  
  <details>
	<summary><code>c++</code> ⭐⭐⭐⭐⭐</summary>

	Added May 13, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://www.ppsspp.org/img/screens/small/finalfantasycrisiscore.jpg'><code>Screenshot 1</code></a> <a href='http://www.ppsspp.org/img/screens/small/burnoutdominator.jpg'><code>Screenshot 2</code></a> <a href='http://www.ppsspp.org/img/screens/small/littlebigplanet.jpg'><code>Screenshot 3</code></a> 
  </details>

- [Provenance](https://github.com/Provenance-Emu/Provenance): Emulators frontend for Sega Genesis, SNES, NES, GB/GBC & more  
  <details>
	<summary><code>realm</code> ⭐⭐⭐⭐⭐</summary>

	Added April 27, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://jamesaddyman.com/provenance/screenshots/provenance1.png'><code>Screenshot 1</code></a> <a href='https://jamesaddyman.com/provenance/screenshots/provenance6.png'><code>Screenshot 2</code></a> 
  </details>

- [RetroArch](https://github.com/libretro/RetroArch): Comprehensive emulator frontend with support for NES, SNES, Gameboy, Sega Master System, Genesis, Playstation, N64, Atari Lynx & more  
  <details>
	<summary><code>c</code> ⭐⭐⭐⭐⭐</summary>

	Added May 13, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://i.imgur.com/MUNX0Mq.jpg'><code>Screenshot 1</code></a> 
  </details>


## Event 
 
[back to top](#readme) 
 
- [ConfFriends](https://github.com/ay8s/ConfFriends): Easy way to connect with fellow developers during WWDC, Layers & AltConf [` App Store`](https://itunes.apple.com/app/id1386399019)  
  <details>
	<summary><code>objc</code> </summary>

	Added September  2, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is3-ssl.mzstatic.com/image/thumb/Purple125/v4/ef/8b/c2/ef8bc243-adfd-7a19-cdc0-70706eb7a536/pr_source.png/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple115/v4/fe/4e/1f/fe4e1f0d-23dc-b8df-6a7c-3f55996466b7/pr_source.png/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple115/v4/86/ef/b0/86efb0c9-c2d2-b6a1-a0be-7ecf3f336b7c/pr_source.png/460x0w.png'><code>Screenshot 3</code></a> 
  </details>

- [EventBlankApp](https://github.com/icanzilb/EventBlankApp): Template event / conference app  
  <details>
	<summary><code>swift</code> <code>iphone</code> ⭐⭐</summary>

	Added April 13, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/FfNizrW.png'><code>Screenshot 1</code></a> 
  </details>

- [F8 2016](https://github.com/fbsamples/f8app): Official F8 app  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added April 14, 2016<br>  License: `other`<br>
	<a href='https://github.com/fbsamples/f8app/raw/master/.github/screenshot-app@2x.png'><code>Screenshot 1</code></a> 
  </details>

- [MeetupOrganizer](https://github.com/ayunav/MeetupOrganizer): Extends the Meetup app's functionality  
  <details>
	<summary><code>swift</code> <code>alamofire</code> <code>oauthswift</code> </summary>

	Added January 20, 2017<br>  License: `other`<br>
	<a href='https://github.com/ayunav/MeetupOrganizer/blob/master/MeetupOrganizerAppDemo.gif'><code>Screenshot 1</code></a> 
  </details>

- [Nortal TechDay 2015](https://github.com/mikkoj/NortalTechDay)  
  <details>
	<summary><code>react native</code> ⭐⭐</summary>

	Added May  3, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://res.cloudinary.com/mikkoj/image/upload/v1467119333/nortal-techday-1.mov_triupn.gif'><code>Screenshot 1</code></a> <a href='http://res.cloudinary.com/mikkoj/image/upload/v1467119489/nortal-techday-2.mov_lcvqqx.gif'><code>Screenshot 2</code></a> 
  </details>

- [Northern California Cherry Blossom Festival](https://github.com/keitaito/NCCBF-iOS) [` App Store`](https://itunes.apple.com/app/northern-california-cherry-blossom-festival/id981016442)  
  <details>
	<summary><code>swift</code> </summary>

	https://sfcherryblossom.org<br>  Added May  4, 2017<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple122/v4/85/60/0d/85600dea-3b85-bb34-07c0-a66db27d11e3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple111/v4/5d/00/d6/5d00d698-9537-6216-575f-b9dd327d3219/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple111/v4/e5/97/e2/e597e2e9-2d30-f341-72b9-fe1a1227b8c4/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Parties for WWDC](https://github.com/genadyo/WWDC)  
  <details>
	<summary><code>swift</code> <code>cloudkit</code> ⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple20/v4/5f/9e/6a/5f9e6a9a-db21-1e8a-c45a-aef6ba65956b/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple30/v4/7e/6f/12/7e6f12a7-8d4b-0416-4d7a-f4745a2d7538/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple60/v4/4c/0f/cf/4c0fcf21-8713-0d61-c0df-0dafdbe525e8/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/c0/21/e4/c021e48b-fa87-a873-1c8b-95e58aba71e7/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple18/v4/e0/69/9c/e0699c09-6cb4-c1a5-4fa1-9cd7117eaa86/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [RWDevCon](https://github.com/raywenderlich/RWDevCon-App) [` App Store`](https://itunes.apple.com/app/rwdevcon-tutorial-conference/id958625272)  
  <details>
	<summary><code>swift</code> </summary>

	Added March 13, 2016<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple49/v4/6b/d2/d0/6bd2d030-51a6-c61f-4529-ab7993fb8f11/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/7a/80/6b/7a806b7a-d456-7f45-7ccf-dcca3ef0e834/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/a3/58/9a/a3589ae2-9a46-8310-d6d3-85847005cfd8/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple49/v4/76/4a/fa/764afab7-1f22-d358-169b-6f7e16db0420/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/18/67/8d/18678d85-125a-8686-4b6f-8b6661b56a96/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [TechTavta](https://github.com/LUGM/TechTatva-15): Keep track of all events for Techtatva 2015  
  <details>
	<summary><code>objc</code> </summary>

	Added April 19, 2016<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple3/v4/b8/c5/a4/b8c5a466-4466-404a-0c8d-2b82d4b633f3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/79/d7/52/79d7520a-4d52-c801-0c6d-9f2a35644608/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/2b/6b/5d/2b6b5d04-aa10-6532-05ef-d189d5d28626/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/43/be/fd/43befdba-e3f2-d0d4-9d0b-8acacf57b8c2/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple62/v4/e4/6b/03/e46b0382-cd97-607e-de99-2800694d927f/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [try! Swift NYC](https://github.com/tryswift/trySwiftNYC)  
  <details>
	<summary><code>swift</code> <code>toucan</code> <code>realm</code> ⭐</summary>

	Added November  8, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/xyu7t89.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/Jes7vLF.png'><code>Screenshot 2</code></a> 
  </details>

- [try! Swift Tokyo](https://github.com/tryswift/trySwiftAppFinal)  
  <details>
	<summary><code>swift</code> <code>timepiece</code> <code>realm</code> <code>kingfisher</code> <code>acknowlist</code> ⭐⭐</summary>

	Added February 22, 2017<br>  License: `other`<br>
	<a href='https://cloud.githubusercontent.com/assets/4190298/23140345/534ae20c-f7b1-11e6-8584-b65aded1f59e.png'><code>Screenshot 1</code></a> <a href='https://cloud.githubusercontent.com/assets/4190298/23140344/53463e82-f7b1-11e6-8d84-c0cedcc930b1.png'><code>Screenshot 2</code></a> 
  </details>

- [WWDC Family iOS](https://github.com/Foreverland/ios): Easily connect with fellow developers during WWDC  
  <details>
	<summary><code>swift</code> </summary>

	Added February 21, 2017<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/wwdc-family/design/master/Images/1.png'><code>Screenshot 1</code></a> 
  </details>

- [WWDC Family React Native](https://github.com/wwdc-family/app): Easily connect with fellow developers during WWDC  
  <details>
	<summary><code>react-native</code> ⭐</summary>

	Added April  3, 2017<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/wwdc-family/app/master/design/Screenshot1.png'><code>Screenshot 1</code></a> 
  </details>


## Extension 
 
[back to top](#readme) 
 
- [Celluloid Photo Editing extension](https://github.com/100mango/Celluloid)  
  <details>
	<summary><code>swift</code> <code>snapkit</code> 🌐 ⭐⭐⭐</summary>

	Added July 24, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple60/v4/81/ee/c1/81eec17b-96c0-6b5c-de9b-da1515ffc3f9/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Post Manager](https://github.com/tombaranowicz/PostManager): Post/schedule Twitter posts like Buffer, includes a Share Extension  
  <details>
	<summary><code>swift</code> <code>node</code> </summary>

	Added July 15, 2016<br>  License: `other`<br>
	<a href='https://github.com/tombaranowicz/PostManager/raw/master/IMG/Simulator%20Screen%20Shot%2015%20Jul%202016%2007.52.18.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/tombaranowicz/PostManager/raw/master/IMG/Simulator%20Screen%20Shot%2015%20Jul%202016%2007.52.54.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/tombaranowicz/PostManager/raw/master/IMG/Simulator%20Screen%20Shot%2015%20Jul%202016%2007.54.47.png?raw=true'><code>Screenshot 3</code></a> 
  </details>

- [Send To Me](https://github.com/PiXeL16/SendToMe): Share content to your email with a single tap  
  <details>
	<summary><code>swift</code> </summary>

	Added July 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple49/v4/8a/a1/9d/8aa19d98-cde0-1260-9391-8cc9d27019f6/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/55/17/3e/55173edb-4240-952f-6a4c-a7d39b8db7b7/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/51/2a/79/512a7981-d796-8dae-ac21-68a8b02ea85f/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple49/v4/30/e5/2f/30e52ff8-8f01-870e-fb16-b5a6d16e9ad3/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>


### Content Blocking 
 
[back to top](#readme) 
 
- [Adblock Fast](https://github.com/rocketshipapps/adblockfast) [` App Store`](https://itunes.apple.com/app/adblock-fast/id1032930802)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added September 25, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple71/v4/95/67/fb/9567fb02-2fe7-f4b1-ffd6-aa4892a82c65/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple62/v4/d8/d0/99/d8d0998b-4b1d-87bb-82d3-174e89d3c14d/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/38/a8/18/38a818c9-7579-a57c-fe5b-506c4f0beff8/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Adblock Plus](https://github.com/adblockplus/adblockplussafariios) [` App Store`](https://itunes.apple.com/app/adblock-plus-abp/id1028871868)  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added December 14, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/dd/f6/8d/ddf68dbd-400f-91c1-75a0-ba0140db96ae/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple20/v4/4b/80/3f/4b803f04-4a47-c851-8d80-03db7a35ac20/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/77/77/85/7777857c-fe75-6919-69cb-52d1af3b8422/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/d7/4d/fd/d74dfd93-8898-b4a6-8ac4-aa5c2d3436e6/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/1e/74/81/1e748193-bd49-1837-3bab-3a8f80fa516b/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Adguard](https://github.com/AdguardTeam/AdguardForiOS): Content blocker for Safari browser [` App Store`](https://itunes.apple.com/app/adguard-adblock-privacy/id1047223162)  
  <details>
	<summary><code>objc</code> <code>javascript</code> ⭐⭐</summary>

	Added May  6, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://user-images.githubusercontent.com/28860202/37027267-e9cf7534-2141-11e8-89fd-3fc99c3f2c86.png'><code>Screenshot 1</code></a> <a href='https://user-images.githubusercontent.com/28860202/37027271-ec5f5972-2141-11e8-884b-038d73fb68ae.png'><code>Screenshot 2</code></a> 
  </details>

- [Blahker](https://github.com/ethanhuang13/blahker): Safari content blocker for interstitial ads, mainly for websites in Taiwan [` App Store`](https://itunes.apple.com/app/blahker-ba-la-ke-gai-ban-guang/id1182699267)  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added April  2, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple71/v4/ca/75/fd/ca75fdfe-3952-e440-bca6-3fe9ce0d6d09/pr_source.png/316x0w.png'><code>Screenshot 1</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple62/v4/f9/23/44/f9234464-ba35-362f-a75f-e79ada4aa93e/pr_source.png/316x0w.png'><code>Screenshot 2</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple71/v4/c1/04/11/c1041198-8aed-e23c-61fa-04ff8b7b38ae/pr_source.png/316x0w.png'><code>Screenshot 3</code></a> 
  </details>

- [BlockParty](https://github.com/krishkumar/BlockParty)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added June 29, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/krishkumar/BlockParty/raw/master/Screenshot01.png'><code>Screenshot 1</code></a> <a href='https://github.com/krishkumar/BlockParty/raw/master/Screenshot02.png'><code>Screenshot 2</code></a> 
  </details>

- [Firefox Focus](https://github.com/mozilla-mobile/focus-ios): Browse the web privately [` App Store`](https://itunes.apple.com/app/id1055677337)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added December  8, 2015<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple71/v4/32/81/20/328120a1-29c2-4dd8-fec8-8024eb5bb5ee/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Swab](https://github.com/pkamb/swab): Ad blocker for creative, web & design ads [` App Store`](https://itunes.apple.com/app/swab-content-blocker-creative/id1042086002)  
  <details>
	<summary><code>swift</code> </summary>

	http://swabthe.com/<br>  Added July 12, 2016<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple3/v4/be/ea/39/beea3978-efb6-07ef-aefb-3d01e09531d9/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>


### Today 
 
[back to top](#readme) 
 
- [Bus Today](https://github.com/JohnWong/bus-today): Track bus line on your wrist, includes Today Extension [` App Store`](https://itunes.apple.com/app/jin-ri-gong-jiao-tong-zhi/id975022341)  
  <details>
	<summary><code>objc</code> 🌐 </summary>

	Added February 17, 2016<br>  License: `other`<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/94/5e/05/945e0506-9e18-749a-1ed9-e018949bfbad/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple69/v4/8f/6c/74/8f6c7422-fdc8-89e4-3514-0ea044e7fd50/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/39/03/e1/3903e1cf-d614-5d26-e3b1-3f9180aa162e/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/7b/9a/d2/7b9ad2f6-0438-c850-f8e0-268b712873a0/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/ce/6f/fc/ce6ffc7a-7f95-0c08-f05b-77f15612d0c7/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Contributions for GitHub](https://github.com/JustinFincher/GitHubContributionsiOS): Look at your GitHub contributions graph in a Today Extension [` App Store`](https://itunes.apple.com/app/contributions-for-github/id1153432612)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added October  6, 2016<br>  License: `other`<br>
	<a href='https://github.com/JustinFincher/GitHubContributionsiOS/raw/master/Sketch/GitHub-Contributions.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Fojusi](https://github.com/dasdom/Tomate): Work timer with Today Extension [` App Store`](https://itunes.apple.com/app/fojusi/id923044693)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added June 21, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple32/v4/cd/ac/98/cdac9892-c5e1-9389-6efe-ef31a90daaf4/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple6/v4/6c/c1/1b/6cc11bb2-5f1e-693c-f05c-313034b0194a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/05/67/17/05671722-b9e9-0698-7725-59ff117e377d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/8c/2c/a0/8c2ca0be-628e-4daa-0911-bdf0b58318e1/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [LunarCore](https://github.com/cyanzhong/LunarCore): Small lunar calendar with Today Extension [` App Store`](https://itunes.apple.com/app/id1031088612)  
  <details>
	<summary><code>objc</code> 🌐 ⭐⭐⭐</summary>

	Added October 31, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/cyanzhong/LunarCore/raw/master/iOS.png'><code>Screenshot 1</code></a> 
  </details>

- [OpenIt](https://github.com/BalestraPatrick/OpenIt): Launch other apps  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added June  7, 2016<br>  License: `other`<br>
	<a href='https://github.com/BalestraPatrick/OpenIt/raw/master/OpenItDemo.gif'><code>Screenshot 1</code></a> 
  </details>

- [TodayMind](https://github.com/cyanzhong/TodayMind): Manage Reminders directly in a Today Extension [` App Store`](https://itunes.apple.com/app/id1207158665)  
  <details>
	<summary><code>swift</code> 🌐 ⭐⭐⭐</summary>

	Added February 28, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple122/v4/09/1e/87/091e87a0-cf27-3546-b8ab-f18e300f028e/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple111/v4/ca/1d/37/ca1d3780-fb6f-e350-43fa-cae7997598a4/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple111/v4/da/ce/55/dace5554-786a-71c5-e943-ee413d64ec71/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple122/v4/7b/84/c8/7b84c8b5-1304-ea84-1dc7-92c5a3867034/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple111/v4/65/89/cc/6589cce3-df56-7e9a-7f7b-23945bd1724a/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [TodayStocks](https://github.com/premnirmal/TodayStocks): Show portfolio in a minimalist Today Extension  
  <details>
	<summary><code>objc</code> </summary>

	Added June 29, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple1/v4/81/de/d6/81ded63c-8a48-dff9-062f-92ac2c5299ee/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/d2/ca/dd/d2cadd24-5d85-f613-aba2-9931cb785b65/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/82/5a/ff/825affaf-cc4a-6d24-99e0-f3197f769f58/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple7/v4/6e/03/d6/6e03d609-2cb7-4095-cc24-a63b1c8e8d12/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [VPN On](https://github.com/lexrus/VPNOn): Extension to turn on VPN [` App Store`](https://itunes.apple.com/app/vpn-on/id951344279)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 16, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*9qSbd77zijp5UPODaWM9CQ.png'><code>Screenshot 1</code></a> 
  </details>


## Files 
 
[back to top](#readme) 
 
- [Cozy Drive](https://github.com/cozy/cozy-drive): Store, manage, share all your files, photos and documents securely in the cloud (5GB free storage) [` App Store`](https://itunes.apple.com/app/cozy-drive/id1224102389)  
  <details>
	<summary><code>javascript</code> <code>cordova</code> </summary>

	https://cozy.io/en/<br>  Added February 20, 2018<br>  License: [`agpl-3.0`](http://choosealicense.com/licenses/agpl-3.0/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple62/v4/b0/cc/e8/b0cce897-0e91-db42-fb0d-a3e7f1b8c91a/mzl.kfmaddan.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/73/00/4c/73004c98-1b29-5dd2-4e61-1f83a309ded6/mzl.tsjggnvf.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/3d/a3/a4/3da3a42f-9ebf-a80f-4930-dee1dc0f24ef/mzl.zejyzppj.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple128/v4/86/98/fc/8698fcbe-6761-7bf8-a86f-053ebe1848db/mzl.yqxbksxf.png/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [FileExplorer](https://github.com/Augustyniak/FileExplorer): Powerful file browser that allows its users to choose and remove files and/or directories  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added January 26, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/Augustyniak/FileExplorer/master/Resources/General.gif'><code>Screenshot 1</code></a> 
  </details>

- [Local Storage](https://github.com/geberl/swift-localstorage): Save files on your device, visualize storage use, unzip, hash [` App Store`](https://itunes.apple.com/app/id1339306324)  
  <details>
	<summary><code>swift</code> </summary>

	Added April 14, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://i.imgur.com/t0okveQ.png'><code>Screenshot 1</code></a> 
  </details>

- [Nextcloud](https://github.com/nextcloud/ios): A safe home for all your data [` App Store`](https://itunes.apple.com/app/nextcloud/id1125420102)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	https://nextcloud.com<br>  Added April  2, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple118/v4/f9/87/cb/f987cbdd-1382-b745-1eff-85cf980e673f/pr_source.jpg/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/a2/44/89/a2448912-df4f-ac28-a30d-82a9699a9fe4/mzl.bdctkilq.jpg/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple118/v4/25/ba/7c/25ba7cc2-f9b4-518c-e201-c03bcceffbe1/mzl.fxvipxna.jpg/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple118/v4/8a/dc/14/8adc144f-e5bc-512e-6f1b-5583dd7bb014/mzl.uymqtwli.jpg/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [ownCloud](https://github.com/owncloud/ios): File browser & sync for ownCloud file hosting service [` App Store`](https://itunes.apple.com/app/owncloud/id543672169)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added May 18, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple62/v4/fd/37/a1/fd37a1e0-d1dd-4830-6eb3-0e6825d4ba75/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple22/v4/04/ca/6e/04ca6e9b-24b9-7a91-a72b-020153721110/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/71/66/6d/71666db7-0256-3742-4ba7-543ab499c24b/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/ce/0a/6f/ce0a6ffa-1da8-d2ad-dab0-9e2e04752fcc/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/ad/d5/7f/add57f6a-f4c6-55e0-4b99-6548e32ae37f/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Seafile Pro](https://github.com/haiwen/seafile-iOS): App for Seafile self-hosted file sharing [` App Store`](https://itunes.apple.com/app/id639202512)  
  <details>
	<summary><code>objc</code> ⭐</summary>

	https://www.seafile.com/en/home/<br>  Added June  1, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple69/v4/ed/0e/97/ed0e97b6-a234-0cf4-be3f-26cad9e8af54/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/a8/f7/90/a8f79012-1000-bd3b-a35c-bdd1a6c67006/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/c5/ad/b2/c5adb208-d27d-35ff-ef4d-91a031155986/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/50/03/6a/50036a6e-861b-dd04-56e8-1590d539c5fe/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/a1/a5/c5/a1a5c524-5a8c-6a68-5bca-30bdb3989b3d/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>


## Finance 
 
[back to top](#readme) 
 
- [Argent](https://github.com/argent-os/argent-ios): Payments app  
  <details>
	<summary><code>swift</code> </summary>

	Added July 21, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/argent-os/argent-ios/master/demo.png'><code>Screenshot 1</code></a> 
  </details>

- [BoardBank](https://github.com/richardxyx/BoardBank): Money manager for board games [` App Store`](https://itunes.apple.com/app/boardbank-money-manager-for/id1191367526)  
  <details>
	<summary><code>swift</code> ⭐</summary>

	https://www.richardneitzke.com<br>  Added March 20, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/fXB42iY.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/EMGOw0g.png'><code>Screenshot 2</code></a> 
  </details>

- [Buck Tracker](https://github.com/hkalexling/Buck_Tracker): Expense tracker  
  <details>
	<summary><code>swift</code> </summary>

	Added November 16, 2015<br>  License: `other`
  </details>

- [EconoApp](https://github.com/viniciusvieir/EconoApp): Keep track of economic information  
  <details>
	<summary><code>swift</code> </summary>

	Added June 26, 2017<br>
	<a href='https://raw.githubusercontent.com/viniciusvieir/EconoApp/1da96afc7317c1096a6c9a45c7a06f9d72f431fb/Screenshot%20EN%201.jpg'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/viniciusvieir/EconoApp/3520001bbbc88e6e2f15d6fc0ca7e6bcb0819364/Screenshot%20EN%202.jpg'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/viniciusvieir/EconoApp/2afa3886d92de25f87a272f18fd5725f875ed108/Screenshot%20EN%203.jpg'><code>Screenshot 3</code></a> 
  </details>

- [EMI Calculator](https://github.com/tirupati17/loan-emi-calculator-clean-swift): Calculate your Equated Monthly installment (EMI) for home, car & personal loans [` App Store`](https://itunes.apple.com/app/id1105890730)  
  <details>
	<summary><code>swift</code> <code>viper</code> </summary>

	Added July  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple20/v4/20/94/8a/20948a2b-3d8d-e65b-2831-a582d912ed13/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/aa/6a/2f/aa6a2f8a-d067-725a-e1f4-83caeaac8e75/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple30/v4/e6/87/fb/e687fb83-cd3d-6b40-2d3b-94f6fd1e82a5/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Encryptr](https://github.com/SpiderOak/Encryptr): A zero-knowledge, cloud-based e-wallet & password manager [` App Store`](https://itunes.apple.com/app/id1066041348)  
  <details>
	<summary><code>cordova</code> <code>grunt</code> <code>node</code> ⭐⭐⭐⭐</summary>

	https://spideroak.com/encryptr/<br>  Added June  2, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple49/v4/cc/ab/0f/ccab0fca-197f-56c0-c265-4b73c99e4ef8/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Exchanger](https://github.com/vkaltyrin/exchanger): Exchange currencies from multiply wallets on ECB exchange rates  
  <details>
	<summary><code>viper</code> <code>objc</code> <code>core-data</code> </summary>

	Added December 21, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vkaltyrin/exchanger/blob/master/screenshot.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Neverlate](https://github.com/ayunav/Neverlate): Pay-if-U-R-late app with geofences  
  <details>
	<summary><code>objc</code> <code>venmo api</code> </summary>

	Added May 27, 2016<br>  License: `other`<br>
	<a href='https://github.com/ayunav/Neverlate/raw/master/NeverlateDemo.gif'><code>Screenshot 1</code></a> 
  </details>

- [SIP Calculator](https://github.com/tirupati17/sip-calculator-swift): Calculate the future value of SIP (Systematic Investment Plan) payments [` App Store`](https://itunes.apple.com/app/id1092822415)  
  <details>
	<summary><code>swift</code> </summary>

	Added July 17, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple69/v4/dc/cc/2c/dccc2c04-f147-30b4-0a9e-9bff2a857476/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Smart Wallet](https://github.com/novinfard/SmartWallet): Managing money and budget [` App Store`](https://itunes.apple.com/app/smart-wallet/id1378013954)  
  <details>
	<summary><code>swift</code> </summary>

	https://novinfard.com<br>  Added May 18, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://novinfard.com/media/gitshots/SmartWallet%20-%20iPhone%20X%20-%201.png'><code>Screenshot 1</code></a> <a href='http://novinfard.com/media/gitshots/SmartWallet%20-%20iPhone%20X%20-%202.png'><code>Screenshot 2</code></a> <a href='http://novinfard.com/media/gitshots/SmartWallet%20-%20iPhone%20X%20-%203.png'><code>Screenshot 3</code></a> <a href='http://novinfard.com/media/gitshots/SmartWallet%20-%20iPhone%20X%20-%204.png'><code>Screenshot 4</code></a> <a href='http://novinfard.com/media/gitshots/SmartWallet%20-%20iPhone%20X%20-%205.png'><code>Screenshot 5</code></a> 
  </details>

- [Tip Calculator](https://github.com/tirupati17/tip-calculator-auto-layout-viper-objective-c): Calculate tip & split the bill between any number of people [` App Store`](https://itunes.apple.com/app/id1139456857)  
  <details>
	<summary><code>viper</code> </summary>

	Added August  8, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/tirupati17/tip-calculator-auto-layout-viper-objective-c/master/TipCalculator/Resources/Images/iphone_5s.png'><code>Screenshot 1</code></a> 
  </details>

- [TodayStocks](https://github.com/premnirmal/TodayStocks): Show portfolio in a minimalist Today Extension  
  <details>
	<summary><code>objc</code> </summary>

	Added June 29, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple1/v4/81/de/d6/81ded63c-8a48-dff9-062f-92ac2c5299ee/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/d2/ca/dd/d2cadd24-5d85-f613-aba2-9931cb785b65/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/82/5a/ff/825affaf-cc4a-6d24-99e0-f3197f769f58/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple7/v4/6e/03/d6/6e03d609-2cb7-4095-cc24-a63b1c8e8d12/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [ToThePenny](https://github.com/vanyaland/ToThePenny): Budget tracker  
  <details>
	<summary><code>objc</code> </summary>

	Added April 27, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple7/v4/a3/8e/6d/a38e6df9-b9bb-cb89-bca3-bad9b682fb05/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/18/5b/b1/185bb117-bb3e-fa8b-58cf-c60e73af51b9/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple1/v4/db/70/8f/db708fd7-b3be-fd6b-a7aa-0f4f6af4ba25/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple7/v4/ce/8c/3f/ce8c3f07-99fa-bc94-7223-32620cc7dbd4/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple7/v4/5a/37/35/5a37355a-d2bb-49ba-e6b9-abe7a4b518ee/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>


### Cryptocurrency 
 
[back to top](#readme) 
 
- [Bither](https://github.com/bither/bither-ios): Simple & secure Bitcoin wallet  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added April  3, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple7/v4/f9/f8/d4/f9f8d401-2a9a-fb50-fe24-76a1158600b2/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [BitPrice](https://github.com/Bruno-Furtado/bitprice-ios): Display and monitor the current Bitcoint rate [` App Store`](https://itunes.apple.com/app/id1343270451)  
  <details>
	<summary><code>swift</code> </summary>

	Added February  6, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple118/v4/07/30/e3/0730e3d1-dd14-e27f-b982-734f3f8dda6d/source/230x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/da/2a/10/da2a1060-8e6c-4a9d-41ef-3839a493cf92/source/230x0w.jpg'><code>Screenshot 2</code></a> 
  </details>

- [BitStore](https://github.com/BitStore/BitStore-iOS): Bitcoin wallet  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added April 11, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple5/v4/4a/97/6b/4a976b84-565e-e7a1-b62b-b2a14b3cea7a/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/19/23/7a/19237adf-2fa5-39aa-f92f-7c1a0f9d3c4b/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/e0/65/f1/e065f1b2-cb58-ae9a-8b10-012dc1c81c11/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/5d/a3/69/5da3692e-96a8-7c15-d115-16bdb2e6329f/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple1/v4/ae/40/19/ae4019c9-463b-3b73-7147-1b47473596d7/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Bread](https://github.com/breadwallet/breadwallet-ios): Bitcoin wallet [` App Store`](https://itunes.apple.com/app/breadwallet/id885251393)  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added July  8, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://is2.mzstatic.com/image/thumb/Purple118/v4/5d/97/3b/5d973bb2-2e40-428e-bc10-ee4eb11ecc0d/source/392x696bb.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Essentia](https://github.com/essentiaone/Essentia-iOS): Multi wallet, All in one Blockchain solution [` App Store`](https://itunes.apple.com/ua/app/essentia/id1438535734)  
  <details>
	<summary><code>swift</code> </summary>

	Added March 30, 2019<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://clogos.essdev.info/ios/iOS_code_Essentia.png'><code>Screenshot 1</code></a> 
  </details>

- [Trust](https://github.com/TrustWallet/trust-wallet-ios): Ethereum Wallet and Web3 DApp Browser [` App Store`](https://itunes.apple.com/app/trust-ethereum-wallet/id1288339409)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	https://trustwallet.com/<br>  Added March 17, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://uploads-ssl.webflow.com/5a88babea6e0f90001b39b0d/5aa0e8bcefcfd2000161d6eb_Main_Image-p-500.png'><code>Screenshot 1</code></a> 
  </details>

- [Wei Wallet](https://github.com/popshootjapan/WeiWallet-iOS): Ethereum wallet [` App Store`](https://itunes.apple.com/app/wei-wallet/id1376979142)  
  <details>
	<summary><code>swift</code> <code>swinject</code> 🌐 ⭐⭐</summary>

	License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/popshootjapan/WeiWallet-iOS/master/resources/cover_img.png'><code>Screenshot 1</code></a> 
  </details>


## Game 
 
[back to top](#readme) 
 
- [2048](https://github.com/austinzheng/iOS-2048)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added March 24, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/austinzheng/iOS-2048/raw/master/screenshots/ss1.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [2048](https://github.com/austinzheng/swift-2048)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 18, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*Lzt_Wm8hbVUEptBW-vhhMg.png'><code>Screenshot 1</code></a> 
  </details>

- [2048](https://github.com/danqing/2048)  
  <details>
	<summary><code>spritekit</code> <code>objc</code> ⭐⭐⭐⭐</summary>

	Added July 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple4/v4/a4/f8/af/a4f8af1d-3878-0817-859d-de76bae169c7/screen568x568.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Aeropack](https://github.com/insurgentgames/Aeropack): Steampunk retro 2D platformer  
  <details>
	<summary><code>objc</code> </summary>

	Added May 31, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://www.guitarinfocenter.com/gameimages/aeropack1.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Bat Loves Bugs](https://github.com/xyclos/BatLovesBugs): Eat as many bugs as you can catch  
  <details>
	<summary><code>objc</code> </summary>

	Added October 27, 2016<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple1/v4/9a/1a/f9/9a1af9cc-7db1-7985-a14f-b5ccdfcc985b/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/da/43/ec/da43ecba-523c-02b4-1391-1b9104e8f5cc/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/c1/78/f6/c178f6ab-6803-430d-5028-a764015d240d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/27/44/51/2744512c-9a1a-0e68-2cd1-7aa8392a7ddd/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/88/f1/33/88f13350-94f9-7248-2fb7-9bed86ff3179/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Canabalt](https://github.com/ericjohnson/canabalt-ios): Infinite runner [` App Store`](https://itunes.apple.com/app/canabalt/id333180061)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐</summary>

	Added March 26, 2015<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple5/v4/17/8b/bc/178bbcd2-96ac-c280-e01a-c9a7b5cbbda7/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/0e/b2/dc/0eb2dc13-d153-5631-53c5-db019d461d70/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple1/v4/b2/51/45/b25145a0-69b9-7a9b-4c2d-c0d1f2748c87/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/12/a4/04/12a404e7-7822-d824-9ca2-c268ea911ffe/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/78/0d/69/780d6918-15e8-09ee-4a39-a5f787f0ff25/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [CardsAgainst](https://github.com/jpsim/CardsAgainst): Cards Against Humanity app  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://www.objc.io/images/issue-18/dedicated-9942fc7b.gif'><code>Screenshot 1</code></a> 
  </details>

- [Castle Hassle](https://github.com/bryceredd/CastleHassle): A real-time physical game where you build your kingdom while crushing your opponents  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added May 31, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Chuck](https://github.com/moowahaha/Chuck): Throw a ball and catch it, over and over and over  
  <details>
	<summary><code>objc</code> </summary>

	Added October 25, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple6/v4/c6/fd/bc/c6fdbcde-afe3-a9aa-44ea-781ca2b8e468/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple22/v4/b4/4a/07/b44a070b-ec26-2b15-40d0-dc71de6daa1f/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple32/v4/32/26/2b/32262b2d-90ce-96fd-bf5a-445156aeee08/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/8e/40/9d/8e409d97-5b09-4581-8f3f-5b7ba83c4f1d/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple32/v4/23/1f/c5/231fc547-694a-995d-13d6-7d1097487388/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [CodeCombat](https://github.com/codecombat/codecombat-ios): Multiplayer programming game for learning how to code  
  <details>
	<summary><code>objc</code> </summary>

	Added January 23, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple1/v4/a6/e5/e4/a6e5e42e-cfb4-159c-8fe6-819e0db0d09c/screen480x480.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Concentration game (翻翻看)](https://github.com/geek5nan/FanFanSwift)  
  <details>
	<summary><code>swift</code> 🌐 ⭐</summary>

	Added May 14, 2015<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/geek5nan/FanFanSwift/master/screenshot/2.png'><code>Screenshot 1</code></a> 
  </details>

- [Conway's Game of Life (Vie)](https://github.com/fabienwarniez/Vie) [` App Store`](https://itunes.apple.com/app/vie-conways-game-of-life/id989686123)  
  <details>
	<summary><code>objc</code> </summary>

	Added July 22, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple20/v4/3f/36/56/3f3656f4-30d9-df8b-6a58-e1260a72dee9/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Doom Classic](https://github.com/id-Software/DOOM-iOS) [` App Store`](https://itunes.apple.com/app/doom-classic/id336347946)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added May 19, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple6/v4/87/bf/74/87bf7496-9c18-61df-272e-2803844f0747/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple/v4/88/95/dd/8895ddc3-f46c-4da3-058a-3c9b76016ee3/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple/v4/4a/17/2e/4a172e70-08c6-ed51-51c9-317e836a4cca/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [DOOM Classic 2](https://github.com/id-Software/DOOM-IOS2) [` App Store`](https://itunes.apple.com/app/doom-ii-rpg/id354051766)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added May 19, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple/v4/2a/60/50/2a6050d0-c040-3684-fb0f-1694fd1edde4/screen480x480.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Dragon Shout App 2](https://github.com/rblalock/dragon_shout_app_open_source): A social journal for the Elder Scrolls® series  
  <details>
	<summary><code>objc</code> </summary>

	Added June  1, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)
  </details>

- [DropColour](https://github.com/elpassion/DropColour-iOS): Drag & drop one circle onto another of the same color [` App Store`](https://itunes.apple.com/app/dropcolour/id1046339763)  
  <details>
	<summary><code>swift</code> <code>swift2.2</code> ⭐</summary>

	Added July 12, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple60/v4/7f/50/5a/7f505ad9-b065-e8e3-6fe2-6d8610c13fa7/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Dungeon Crawl](https://github.com/CliffsDover/crawl): A game of dungeon exploration, combat & magic, involving characters of diverse skills  
  <details>
	<summary><code>objc</code> </summary>

	https://github.com/CliffsDover/crawl/tree/iOS_Release<br>  Added March 23, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://i.imgur.com/MZZeHCf.png'><code>Screenshot 1</code></a> 
  </details>

- [FityIt](https://github.com/txaiwieser/FityIt): Challenging shapes game of skill and reflexes [` App Store`](https://itunes.apple.com/app/fityit-the-shapes-game/id991444581)  
  <details>
	<summary><code>swift</code> <code>spritekit</code> <code>game</code> <code>animation</code> </summary>

	Added May 28, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-1-GameScreen.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-2-GameScreen.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-3-GameScreen.png'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-4-GameScreen.png'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-5-GameScreen.png'><code>Screenshot 5</code></a> 
  </details>

- [Flappy Fly-Bird](https://github.com/jVirus/flappy-fly-bird): A clone of Flappy Bird using SpriteKit and GameplayKit  
  <details>
	<summary><code>swift</code> <code>spritekit</code> <code>gameplaykit</code> </summary>

	Added July 23, 2018<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-01.PNG'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-02.PNG'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-03.PNG'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-04.PNG'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-05.PNG'><code>Screenshot 5</code></a> 
  </details>

- [FlappyBird clone - Scary Flight](https://github.com/EvgenyKarkan/ScaryFlight)  
  <details>
	<summary><code>objc</code> </summary>

	Added May 13, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple4/v4/9d/17/17/9d17174d-aee3-a503-38bf-d768056313ce/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple6/v4/43/de/20/43de20bb-d602-e5e4-c7ea-5f4b4551b6fc/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple/v4/d1/a3/59/d1a359c5-0b01-6b61-d87b-a69d9d67dbb5/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [FlappySwift](https://github.com/fullstackio/FlappySwift): Flappy Bird clone  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 18, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://i.imgur.com/1NLoToU.gif'><code>Screenshot 1</code></a> 
  </details>

- [Frogatto & Friends](https://github.com/frogatto/frogatto): Action-adventure game, starring a certain quixotic frog  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	https://frogatto.com/<br>  Added October 27, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/vMp5j2Y.gif'><code>Screenshot 1</code></a> 
  </details>

- [Frotz](https://github.com/ifrotz/iosfrotz): Play hundreds of free works of Interactive Fiction (text adventure games) [` App Store`](https://itunes.apple.com/app/id287653015)  
  <details>
	<summary><code>objc</code> </summary>

	https://github.com/ifrotz/iosfrotz/blob/wiki/FrotzMain.md<br>  Added June  1, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple62/v4/c9/c1/a2/c9c1a21b-bf4a-6f4e-058f-5578e10013a3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/3a/52/47/3a524725-42b9-54e6-d81e-8f81790d977f/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/76/75/fe/7675fe03-875c-6ea3-a3fb-2bc5b8c43aec/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/09/f1/1b/09f11b70-c3ef-a97f-73f3-9be6b32eed3b/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/9b/b0/40/9bb04057-975f-1519-1490-b7b53fd6c576/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Game of War clone](https://github.com/shankqr/4xMobileGame): 4x strategy game  
  <details>
	<summary><code>objc</code> <code>helpshift</code> <code>ssziparchive</code> </summary>

	Added July  5, 2017<br>  License: `other`<br>
	<a href='https://user-images.githubusercontent.com/3216424/27571005-10f73774-5b35-11e7-9a84-c0b720280fc1.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Green Mahjong](https://github.com/danbeck/green-mahjong): Solitaire mahjong [` App Store`](https://itunes.apple.com/app/id933634500)  
  <details>
	<summary><code>javascript</code> <code>netbeans</code> </summary>

	Added October 27, 2016<br>  License: `other`<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple3/v4/0e/08/99/0e0899aa-4685-d52e-1bea-1586e7531ac4/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/58/d2/aa/58d2aab2-e9f9-919d-6856-a94ddb296bdb/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple1/v4/0e/94/aa/0e94aaa8-43fb-8e0b-0238-5acf559da6c0/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple1/v4/7d/9e/b2/7d9eb29e-a89d-04f6-a323-8d17839e11df/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/4e/dc/41/4edc41ac-ccd3-ce53-2318-a984ee69b3b6/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Hedgewars](http://hg.hedgewars.org/hedgewars/): A turn-based strategy game [` App Store`](https://itunes.apple.com/app/id391234866)  
  <details>
	<summary><code>objc</code> </summary>

	http://www.hedgewars.org/<br>  Added June  2, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple71/v4/23/7d/d5/237dd544-8e72-4a38-ec03-b4d48d0ef94a/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/d6/54/d5/d654d552-a3df-1d88-a5f9-8af48bf8edcb/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/66/eb/1d/66eb1d41-66e0-aebd-51cf-0f8d165849a7/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/58/7d/52/587d5293-4f6f-2901-41fd-aebf8abca45a/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple62/v4/b0/8e/04/b08e0476-b276-9fff-093e-d4213091e1e3/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Hostile Takeover](https://github.com/spiffcode/hostile-takeover): A release of the real time strategy game Warfare Incorporated  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added June  1, 2016<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)<br>
	<a href='https://i.imgur.com/PQ1QX2u.jpg'><code>Screenshot 1</code></a> 
  </details>

- [hoxChess](https://github.com/huygithub/hoxChess): Xiangqi (Chinese Chess) with single & multiplayer modes  
  <details>
	<summary><code>objc</code> </summary>

	Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple4/v4/3a/ac/87/3aac87ca-d5cc-9bea-3899-807cf211da85/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/d8/75/0d/d8750d68-3619-b760-99c5-ec4eac12ae35/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/41/9c/d3/419cd344-da8a-f046-3bcf-757f6f10768d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/11/28/6e/11286e79-b0b0-1057-7315-3e122a15a62c/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple4/v4/ca/99/1e/ca991e9e-1fe3-8764-b7f9-5c38b4c6e565/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Legend-Wings](https://github.com/woguan/Legend-Wings): EverWing game clone (survive as much you can, earn gold, and upgrade/purchase new characters)  
  <details>
	<summary><code>swift</code> <code>spritekit</code> ⭐⭐</summary>

	Added April  8, 2019<br>  License: `other`<br>
	<a href='https://github.com/woguan/Legend-Wings/blob/master/Angelica%20Fighti/Gif/v3_5_1-1.gif?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/woguan/Legend-Wings/blob/master/Angelica%20Fighti/Gif/v3_5_1-2.gif?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/woguan/Legend-Wings/blob/master/Angelica%20Fighti/Gif/v3_5_1-3.gif?raw=true'><code>Screenshot 3</code></a> <a href='https://github.com/woguan/Legend-Wings/blob/master/Angelica%20Fighti/Gif/v3_5_1-4.gif?raw=true'><code>Screenshot 4</code></a> 
  </details>

- [littlego](https://github.com/herzbube/littlego): Game of Go [` App Store`](https://itunes.apple.com/app/little-go/id490753989)  
  <details>
	<summary><code>iphone</code> <code>ipad</code> </summary>

	Added March  6, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple71/v4/ad/36/59/ad3659ad-8c68-5f2f-36ca-fa27d5042e58/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple62/v4/ba/9e/b6/ba9eb6ca-7c61-2277-4406-3ba863bed714/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple62/v4/e3/96/b4/e396b4a4-5cd7-847a-a7c4-66f714470699/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/98/48/ab/9848ab1c-831a-c76a-4ad3-c1512b54ef5c/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/9b/52/85/9b528510-9276-04aa-2500-11248a7aca01/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Master](https://github.com/Kjuly/iPokeMon): PokéMon-like game that uses your location  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added May 15, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [MechaHamster](https://github.com/google/mechahamster): Roll through customizable environments that you can share with friends  
  <details>
	<summary><code>unity3d</code> <code>csharp</code> <code>firebase</code> ⭐</summary>

	Added May 19, 2017<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://google.github.io/mechahamster/gameplay1.png'><code>Screenshot 1</code></a> 
  </details>

- [Memory Game](https://github.com/matiasvillaverde/mobile-ios-vipergame): Memory game using VIPER with robust Unit Tests and Fastlane  
  <details>
	<summary><code>swift</code> </summary>

	Added July 23, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/matiasvillaverde/mobile-ios-vipergame/master/header.png'><code>Screenshot 1</code></a> 
  </details>

- [Mission999](https://github.com/whunmr/Mission999)  
  <details>
	<summary><code>objc</code> </summary>

	Added February 17, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple6/v4/6a/6f/1f/6a6f1f51-23ab-7457-f5db-47590d971f2d/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/cc/34/24/cc34240d-245f-4776-dc12-11c0eef68b51/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/55/d9/20/55d9203f-ae32-c684-1cbd-328334082f2a/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple30/v4/44/51/4b/44514bb9-5c0b-ada3-eaa3-fa31fabcda90/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple6/v4/e6/ff/e8/e6ffe8ed-9702-e843-6202-c51a94b52e62/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [MUDRammer](https://github.com/splinesoft/MUDRammer): MUD app (Multi-User Dungeon) [` App Store`](https://itunes.apple.com/app/mudrammer-a-modern-mud-client/id597157072)  
  <details>
	<summary><code>objc</code> <code>iphone</code> <code>ipad</code> </summary>

	Added June 28, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple4/v4/88/e8/ec/88e8ec63-a6a8-9dfe-ade2-d4e9666ee9e9/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple1/v4/44/b7/ca/44b7ca02-aab1-314e-4fd8-01f588ef6b85/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple4/v4/27/22/46/2722468d-705c-dc8c-08dc-79d801e492f1/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple4/v4/29/fc/5f/29fc5f66-2e80-f455-61d7-08c5acd56046/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/aa/94/19/aa9419d0-2742-e741-e3af-215aaa567aaa/screen696x696.jpeg'><code>Screenshot 5</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple1/v4/c6/bc/0d/c6bc0d7c-a61d-e2cd-7274-b7b94ff38cee/screen696x696.jpeg'><code>Screenshot 6</code></a> 
  </details>

- [My First Memory](https://github.com/Sajjon/SwiftIntro): Memory game, includes introduction to iOS & Swift  
  <details>
	<summary><code>swift</code> <code>instagram api</code> </summary>

	Added July  6, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://i.imgur.com/8u73w5u.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/MShIfCe.png'><code>Screenshot 2</code></a> 
  </details>

- [Neocom for EVE Online](https://github.com/mrdepth/Neocom): EveOnline MMORG character management tool [` App Store`](https://itunes.apple.com/app/eveuniverse/id418895101)  
  <details>
	<summary><code>objc</code> </summary>

	Added June  1, 2016<br>  License: [`lgpl-2.1`](http://choosealicense.com/licenses/lgpl-2.1/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple62/v4/45/76/1c/45761c5c-7f4e-1a5a-842a-76314a1268a1/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/7d/d7/f4/7dd7f488-cd08-d943-450f-8fcb2d5471cc/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/10/32/49/10324902-3310-8541-aac4-1104e97b5f48/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple71/v4/6e/dc/f8/6edcf87a-3b7c-41f2-e2a1-ffb0ad99830f/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/59/66/a8/5966a85b-0851-bfc1-f539-47708f5cc38c/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Oh My Plane](https://github.com/softdevstory/OhMyPlane): A game like flappy bird [` App Store`](https://itunes.apple.com/app/oh-my-plane/id1100985506)  
  <details>
	<summary><code>swift</code> <code>spritekit</code> <code>gameplaykit</code> </summary>

	Added April 19, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple30/v4/75/09/3a/75093af9-f01e-4eaa-58a7-a3ae8facfbbd/pr_source.png/314x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple30/v4/8e/9e/6b/8e9e6b52-0fb7-930a-4e2c-61101528f416/mzl.kmlrojad.png/314x0w.jpg'><code>Screenshot 2</code></a> 
  </details>

- [Ragnarok](https://github.com/riley-usagi/SwiftAdvance): Simple game application for the practice of beginners in Swift-programming  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added September  4, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/riley-usagi/SwiftAdvance/master/Screenshots/1.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/riley-usagi/SwiftAdvance/master/Screenshots/2.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/riley-usagi/SwiftAdvance/master/Screenshots/3.png'><code>Screenshot 3</code></a> 
  </details>

- [S.C.P-Asylum-Fail](https://github.com/cpo007/S.C.P-Asylum-Fail): A game like ’Life Line’  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added October  8, 2016<br>  License: `other`<br>
	<a href='https://github.com/cpo007/S.C.P-Asylum-Fail/blob/master/Image/Launch.png'><code>Screenshot 1</code></a> <a href='https://github.com/cpo007/S.C.P-Asylum-Fail/blob/master/Image/Home.png'><code>Screenshot 2</code></a> 
  </details>

- [SaveTheDot](https://github.com/JakeLin/SaveTheDot): Escape from the squares  
  <details>
	<summary><code>swift</code> <code>uiviewpropertyanimator</code> ⭐⭐⭐</summary>

	Added June 23, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/573856/16248754/90150c2a-3854-11e6-9ee1-c2e4f228a9b6.gif'><code>Screenshot 1</code></a> 
  </details>

- [SHMUP](https://github.com/fabiensanglard/Shmup): 3D multiplatform game written primarily in C [` App Store`](https://itunes.apple.com/app/shmup/id337663605)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	http://fabiensanglard.net/shmup/<br>  Added July 12, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple/v4/e2/ee/82/e2ee8263-7265-3376-ec94-604ab58e631a/screen320x480.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Skeleton Key](https://github.com/insurgentgames/Skeleton-Key-iOS): A puzzle game where you must shift keys around a board to unlock treasure chests  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added May 31, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Space Zero](https://github.com/xyclos/space_squared): Merchant ships have been stranded in space! Rescue as many as you can, but watch out for enemies!  
  <details>
	<summary><code>swift</code> </summary>

	Added November  2, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple62/v4/9a/a7/5b/9aa75b3a-0dec-0834-7475-dbd611e0ba5d/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Spare Parts](https://github.com/adamwulf/spare-parts-app): Simple 2D point & line physics using Verlet integration [` App Store`](https://itunes.apple.com/app/spare-parts/id981297199)  
  <details>
	<summary><code>objc</code> </summary>

	Added April  6, 2015<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple5/v4/22/a4/44/22a444e1-7626-03ee-05e7-6bdf58ea577d/screen480x480.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [teh internets](https://github.com/insurgentgames/teh-internets): Pilot a rolfcopter to collect lolcats, dodge popups, feed trolls cheezburgers & more in this side-scrolling arcade shooter  
  <details>
	<summary><code>objc</code> </summary>

	Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://cdn.iphoneincanada.ca/wp-content/uploads/2009/11/IMG_0520.PNG'><code>Screenshot 1</code></a> 
  </details>

- [Wolfenstein 3D](https://github.com/id-Software/Wolf3D-iOS): Wolfenstein 3D for iOS [` App Store`](https://itunes.apple.com/app/wolfenstein-3d-classic-platinum/id309470478)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added May 19, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple5/v4/7e/e4/82/7ee482ac-e8e2-edef-1187-d27110ed80d3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/08/71/7b/08717b85-2044-bc08-0b7e-db345d80ff1d/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>


### Cocos2d 
 
http://cocos2d.org/ — [back to top](#readme) 
 
- [Alienblast](https://github.com/etamity/AlienBlast): Cute & sweet shooting game [` App Store`](https://itunes.apple.com/app/id1098323034)  
  <details>
	<summary><code>swift</code> <code>spritebuilder</code> </summary>

	Added July 18, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple49/v4/fd/71/de/fd71deb3-7e75-2d3d-5de1-e859712af0ef/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/ba/35/35/ba35350b-2507-990a-4ee0-b1b4fa822413/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/c2/e1/d3/c2e1d311-7d49-2d4b-5948-e13bd7066536/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/26/32/be/2632be98-bce4-6a61-2eac-c8417e4b8b1d/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/e9/4b/50/e94b50db-71b8-13c8-603f-8cee86236b60/screen696x696.jpeg'><code>Screenshot 5</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/70/a4/7c/70a47c33-d67c-1563-3bc9-7a238f83d65b/screen696x696.jpeg'><code>Screenshot 6</code></a> 
  </details>

- [Balloon Burst](https://github.com/jamiely/ios-balloon-burst)  
  <details>
	<summary><code>objc</code> </summary>

	Added May 16, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/z9rNl4a.png'><code>Screenshot 1</code></a> 
  </details>

- [Heredox](https://github.com/RolandasRazma/Heredox): Place tiles to form your allegiance's symbols  
  <details>
	<summary><code>objc</code> </summary>

	http://www.heredox.com/<br>  Added June  1, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/Wg6TIR7.jpg'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/PatEcU8.jpg'><code>Screenshot 2</code></a> 
  </details>

- [Lumio](https://github.com/sephine/lumio): Puzzle game  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added October 27, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/sephine/lumio/master/Lumio/Resources/Screenshots/ScreenShot1.png'><code>Screenshot 1</code></a> 
  </details>


### SpriteKit 
 
https://developer.apple.com/reference/spritekit — [back to top](#readme) 
 
- [2048](https://github.com/danqing/2048)  
  <details>
	<summary><code>spritekit</code> <code>objc</code> ⭐⭐⭐⭐</summary>

	Added July 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple4/v4/a4/f8/af/a4f8af1d-3878-0817-859d-de76bae169c7/screen568x568.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Crosses-n-Ous](https://github.com/jVirus/tic-tac-toe): Class Tic Tac Toe reincarnation with AI and state machines  
  <details>
	<summary><code>swift</code> <code>gameplaykit</code> </summary>

	Added August 27, 2017<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://user-images.githubusercontent.com/5098753/29486890-28e5c01a-84f9-11e7-8572-8b9f3b3d37a4.gif'><code>Screenshot 1</code></a> 
  </details>

- [FityIt](https://github.com/txaiwieser/FityIt): Challenging shapes game of skill and reflexes [` App Store`](https://itunes.apple.com/app/fityit-the-shapes-game/id991444581)  
  <details>
	<summary><code>swift</code> <code>spritekit</code> <code>game</code> <code>animation</code> </summary>

	Added May 28, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-1-GameScreen.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-2-GameScreen.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-3-GameScreen.png'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-4-GameScreen.png'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/txaiwieser/fityit/master/fastlane/screenshots/en-US/iPhone%20X-5-GameScreen.png'><code>Screenshot 5</code></a> 
  </details>

- [Five In A Row (五子棋)](https://github.com/WelkinXie/FiveInARow)  
  <details>
	<summary><code>objc</code> 🌐 </summary>

	Added May  6, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/anzIXHK.png'><code>Screenshot 1</code></a> 
  </details>

- [Flappy Fly-Bird](https://github.com/jVirus/flappy-fly-bird): A clone of Flappy Bird using SpriteKit and GameplayKit  
  <details>
	<summary><code>swift</code> <code>spritekit</code> <code>gameplaykit</code> </summary>

	Added July 23, 2018<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-01.PNG'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-02.PNG'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-03.PNG'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-04.PNG'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/jVirus/flappy-fly-bird/master/resources/img-05.PNG'><code>Screenshot 5</code></a> 
  </details>

- [GameJam](https://github.com/TheSwiftAlps/GameJam): Contains all the games that were made at the Game Jam  
  <details>
	<summary><code>swift</code> <code>spritekit</code> </summary>

	Added August 22, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/zTZyj8e.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/4aFlJUv.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/t4NdOM7.png'><code>Screenshot 3</code></a> <a href='https://i.imgur.com/6ltFesP.png'><code>Screenshot 4</code></a> 
  </details>

- [Mergel](https://github.com/snazzware/Mergel): Shape matching puzzle  
  <details>
	<summary><code>swift</code> </summary>

	Added November  9, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/978TVq5.png'><code>Screenshot 1</code></a> 
  </details>

- [Oh My Plane](https://github.com/softdevstory/OhMyPlane): A game like flappy bird [` App Store`](https://itunes.apple.com/app/oh-my-plane/id1100985506)  
  <details>
	<summary><code>swift</code> <code>spritekit</code> <code>gameplaykit</code> </summary>

	Added April 19, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple30/v4/75/09/3a/75093af9-f01e-4eaa-58a7-a3ae8facfbbd/pr_source.png/314x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple30/v4/8e/9e/6b/8e9e6b52-0fb7-930a-4e2c-61101528f416/mzl.kmlrojad.png/314x0w.jpg'><code>Screenshot 2</code></a> 
  </details>

- [Sakura Fly](https://github.com/cl7/Sakura-Fly) [` App Store`](https://itunes.apple.com/app/sakura-fly/id1019023051)  
  <details>
	<summary><code>objc</code> </summary>

	Added March 14, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/6619146/13731560/965791fe-e942-11e5-9a11-f66f404fa18c.gif'><code>Screenshot 1</code></a> 
  </details>

- [Snake Classic](https://github.com/PiXeL16/SnakeClassic): A snake engine for all Apple devices  
  <details>
	<summary><code>swift</code> </summary>

	Added August 31, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/PiXeL16/SnakeClassic/master/Art/SnakeWatch.png'><code>Screenshot 1</code></a> 
  </details>

- [Stick-Hero-Swift](https://github.com/phpmaple/Stick-Hero-Swift)  
  <details>
	<summary><code>swift</code> <code>iphone</code> <code>ipad</code> ⭐⭐</summary>

	Added June 30, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/phpmaple/Stick-Hero-Swift/master/Assets/Images/stick_background.jpg'><code>Screenshot 1</code></a> 
  </details>

- [SwiftSnake](https://github.com/caleb0/SwiftSnake): Snake clone  
  <details>
	<summary><code>swift</code> </summary>

	Added August 19, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/mBi9Jfj.png'><code>Screenshot 1</code></a> 
  </details>


## Health 
 
[back to top](#readme) 
 
- [Arex](https://github.com/a2/arex): Reminders for taking your medications  
  <details>
	<summary><code>swift</code> <code>swift2.2</code> <code>carthage</code> <code>pistachio</code> <code>reactivecocoa</code> </summary>

	Added June  9, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [CaseAssistant](https://github.com/herrkaefer/CaseAssistant): Cases recording, study, & sharing for ophthalmologist  
  <details>
	<summary><code>swift</code> <code>realm</code> 🌐 ⭐</summary>

	Added June 17, 2016<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple1/v4/b2/6c/9c/b26c9cfb-91da-df36-7c08-b9d6b22dae24/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple7/v4/f6/37/56/f6375600-df23-5faf-79b0-0214f031d847/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple7/v4/96/e7/3b/96e73bf8-a1cf-7b66-d5e6-6829d2a540a6/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple7/v4/ce/20/13/ce2013e4-fc70-0b41-718d-c391bb3d9b9e/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/d4/4b/25/d44b2552-cc5f-3b56-74ac-513ee347da0a/screen696x696.jpeg'><code>Screenshot 5</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple7/v4/2a/53/4b/2a534b42-ebef-537e-f7ff-9b90ef827922/screen696x696.jpeg'><code>Screenshot 6</code></a> 
  </details>

- [Depressed](https://github.com/DerLobi/Depressed): Test if you are depressed [` App Store`](https://itunes.apple.com/app/depressed/id1062594092)  
  <details>
	<summary><code>swift</code> </summary>

	Added January 13, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple69/v4/9f/82/17/9f8217e4-00da-b516-1853-23fbc6ecbdaf/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple49/v4/c9/cd/e2/c9cde204-5712-97c4-c952-7f0884490153/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/28/fd/66/28fd66a4-d756-34ce-98f0-aa5dae26ff7d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/7e/80/b9/7e80b966-2e41-a36a-a1a3-b02c70ec0961/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Gleam](https://github.com/akarataev/gleam-ios): Use machine learning algorithm to help make an early diagnosis of melanoma and get the necessary treatment on time  
  <details>
	<summary><code>swift</code> <code>coreml</code> <code>avkit</code> <code>viper</code> </summary>

	Added January 15, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/akarataev/gleam-ios/master/Docs/Mockup-small.png'><code>Screenshot 1</code></a> 
  </details>

- [Glucosio](https://github.com/Glucosio/glucosio-ios): Diabetes management and research  
  <details>
	<summary><code>swift</code> <code>objc</code> <code>healthkit</code> <code>realm</code> </summary>

	Added January 13, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)
  </details>

- [Good Spirits](https://github.com/archagon/good-spirits): Drink tracker with weekly limits, Untappd support, and HealthKit sync [` App Store`](https://itunes.apple.com/app/good-spirits/id1434237439)  
  <details>
	<summary><code>swift</code> <code>healthkit</code> ⭐</summary>

	Added September  3, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://github.com/archagon/good-spirits/raw/master/screen1.png'><code>Screenshot 1</code></a> <a href='https://github.com/archagon/good-spirits/raw/master/screen2.png'><code>Screenshot 2</code></a> <a href='https://github.com/archagon/good-spirits/raw/master/screen3.png'><code>Screenshot 3</code></a> 
  </details>

- [HealthKit~Swift](https://github.com/Darktt/HealthKit-Swift): Sample app  
  <details>
	<summary><code>swift</code> <code>healthkit</code> </summary>

	Added October 27, 2015<br>  License: `other`<br>
	<a href='https://i.imgur.com/0pIsqGe.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/DbSH2qC.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/VIexU8t.png'><code>Screenshot 3</code></a> <a href='https://i.imgur.com/iuiwmyY.png'><code>Screenshot 4</code></a> 
  </details>

- [Hidrate](https://github.com/mjcuva/Hidrate): Interacts with smart water bottle  
  <details>
	<summary><code>objc</code> </summary>

	Added May  3, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/nOAhewe.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/DmfcHr6.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/5xlFNzo.png'><code>Screenshot 3</code></a> <a href='https://i.imgur.com/mCDJdlD.png'><code>Screenshot 4</code></a> 
  </details>

- [MedKeeper](https://github.com/jonrobinsdev/MedKeeper): Efficiently keeping track of medications and when to take them  
  <details>
	<summary><code>swift</code> </summary>

	Added September  2, 2018<br>  License: `other`<br>
	<a href='http://i.imgur.com/5SWRa9K.png'><code>Screenshot 1</code></a> 
  </details>

- [MyWeight History](https://github.com/diogot/MyWeight): Body mass tracker with easy data input & access to history [` App Store`](https://itunes.apple.com/app/myweight-history/id1098061879)  
  <details>
	<summary><code>swift</code> </summary>

	Added June 12, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple122/v4/2d/28/8c/2d288c05-33f0-1f18-b06a-4e3a24e1d608/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Nightguard](https://github.com/nightscout/nightguard): Display blood glucose values stored on your nightscout server  
  <details>
	<summary><code>swift</code> <code>apple-watch</code> </summary>

	http://www.nightscout.info/<br>  Added June 17, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-1.jpg'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-2.jpg'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-3.jpg'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-4.jpg'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/nightscout/nightguard/master/images/ng55-5.jpg'><code>Screenshot 5</code></a> 
  </details>


### Fitness 
 
[back to top](#readme) 
 
- [fitPlant](https://github.com/KrisKodira/fitPlant): Workout tracker where you can grow artificial plants  
  <details>
	<summary></summary>

	Added February 26, 2019<br>
	<a href='https://raw.githubusercontent.com/KrisKodira/fitPlant/master/design/ios-app/main-view.png'><code>Screenshot 1</code></a> 
  </details>

- [Jim](https://github.com/kylejm/Jim): Track your gym workouts  
  <details>
	<summary><code>swift</code> <code>parse</code> </summary>

	Added January  4, 2016<br>  License: `other`
  </details>

- [LogU](https://github.com/brettalcox/logU-swift): Simple logging app for strength athletes  
  <details>
	<summary><code>swift</code> </summary>

	Added April 11, 2016<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple69/v4/3b/93/e1/3b93e16c-298e-0f9d-2339-e81e8ec73d8a/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/a5/0a/d9/a50ad971-6053-f4c4-2dc1-23efc843a207/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/2f/21/50/2f21504e-ebc3-5ea9-77c9-b6d940fc7d6d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/4e/8c/a1/4e8ca167-df01-5d8f-ca5e-f0458099e0dc/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/c9/53/9b/c9539bcd-3064-bdab-0192-6d82a785a458/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [RaceMe](https://github.com/enochng1/RaceMe): Run tracking & ghosting  
  <details>
	<summary><code>swift</code> <code>parse</code> ⭐⭐⭐</summary>

	Added July 20, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/enochng1/RaceMe/master/raceMeGitImage.png'><code>Screenshot 1</code></a> 
  </details>

- [RaceRunner](https://github.com/vermont42/RaceRunner): A Run-Tracking App for Runners Who Race [` App Store`](https://itunes.apple.com/us/app/racerunner-run-tracking-app/id1065017082)  
  <details>
	<summary><code>swift</code> </summary>

	Added March 31, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/vermont42/RaceRunner/master/RaceRunner/RaceRunner1.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/vermont42/RaceRunner/blob/master/RaceRunner/RaceRunner2.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/vermont42/RaceRunner/blob/master/RaceRunner/RaceRunner2-1.png?raw=true'><code>Screenshot 3</code></a> <a href='https://github.com/vermont42/RaceRunner/blob/master/RaceRunner/RaceRunner8.png?raw=true'><code>Screenshot 4</code></a> <a href='https://github.com/vermont42/RaceRunner/blob/master/RaceRunner/RaceRunner3.png?raw=true'><code>Screenshot 5</code></a> <a href='https://github.com/vermont42/RaceRunner/blob/master/RaceRunner/RaceRunner4.png?raw=true'><code>Screenshot 6</code></a> 
  </details>

- [rTracker](https://github.com/rob-miller/rTracker): A generic, customizable personal data tracker [` App Store`](https://itunes.apple.com/app/rtracker-track-it-all-your-way/id486541371)  
  <details>
	<summary><code>objc</code> </summary>

	Added April 19, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple3/v4/00/c2/36/00c236fe-5e93-7c98-33d6-f228d4d86f47/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/61/a4/7a/61a47a57-36e3-8c79-6d5e-4664d83734b7/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/32/9c/a7/329ca79e-eaba-f25f-cd5c-43ab865834e6/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple5/v4/be/b1/56/beb15613-dc36-6ded-9aa5-148667b866f8/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/74/ff/c8/74ffc84a-8d27-62bd-7f23-c9eb9e60944c/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Swift-Walk-Tracker](https://github.com/kevinvanderlugt/Swift-Walk-Tracker): Track your walks  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added June  7, 2015<br>  License: `other`<br>
	<a href='https://github.com/kevinvanderlugt/Swift-Walk-Tracker/raw/master/images/screenshot_map.PNG'><code>Screenshot 1</code></a> <a href='https://github.com/kevinvanderlugt/Swift-Walk-Tracker/raw/master/images/screenshot_list.PNG'><code>Screenshot 2</code></a> 
  </details>

- [Theseus](https://github.com/lazerwalker/Theseus): Personal analytics app  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added April  1, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://raw.githubusercontent.com/lazerwalker/Theseus/master/ReadmeImages/triptych.png'><code>Screenshot 1</code></a> 
  </details>


### ResearchKit 
 
https://www.apple.com/researchkit/ — [back to top](#readme) 
 
- [AsthmaHealth](https://github.com/ResearchKit/AsthmaHealth): Asthma study  
  <details>
	<summary><code>objc</code> </summary>

	Added April 14, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple69/v4/34/15/aa/3415aab3-bb08-71df-35be-156f803e04a8/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/6f/81/89/6f81894e-754b-3056-12a3-81f0e4c6e239/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/f8/49/97/f8499754-0be4-eb3c-f9e3-ffa9c5c6345c/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/c9/d6/1f/c9d61f44-4ae5-5181-5052-bb1e1821a895/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/62/35/cf/6235cf12-7979-ab53-2b97-14062bdc44fc/screen696x696.jpeg'><code>Screenshot 5</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/05/86/f8/0586f8fd-b7f5-30a5-694f-bd38e2454edc/screen696x696.jpeg'><code>Screenshot 6</code></a> 
  </details>

- [Colorblind](https://github.com/boostcode/ResearchKit-ColorBlind): Easy test for colorblind people  
  <details>
	<summary><code>swift</code> </summary>

	Added May 18, 2016<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple49/v4/70/f7/85/70f78511-8bc9-7151-2a5a-b057d24a91e5/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/c5/b3/cb/c5b3cb07-fdd8-ed26-db4a-263bbb8765d9/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/b3/cb/71/b3cb710e-b4de-adc5-2369-cfb46a2ef0a8/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [GlucoSuccess](https://github.com/ResearchKit/GlucoSuccess): Diabetes study  
  <details>
	<summary><code>objc</code> </summary>

	Added April 15, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple3/v4/01/45/a4/0145a41a-cad3-58b3-6db9-20d72bc2b595/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple5/v4/9e/40/f3/9e40f3d1-90dd-ba6a-c680-9543544b4e41/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/bb/e2/e1/bbe2e151-2884-fdf6-ba9d-5aaa76baf876/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/61/8f/72/618f7292-b0e1-48b7-040f-05b91420d745/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/e2/d8/c2/e2d8c2e8-f8f3-dec5-03c9-e662d10b4d69/screen696x696.jpeg'><code>Screenshot 5</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/e7/4b/80/e74b80fd-e9db-3a24-83af-753964ab8288/screen696x696.jpeg'><code>Screenshot 6</code></a> 
  </details>

- [mPower](https://github.com/ResearchKit/mPower): Parkinson's disease study  
  <details>
	<summary><code>objc</code> </summary>

	Added April 15, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/29/a9/f8/29a9f8e0-8c4e-2e07-46c7-2f0034ee9eb3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/ea/1f/46/ea1f46f8-f539-0bcb-348f-66721384daa7/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/a9/91/c5/a991c55e-a298-217d-c8c6-e420409f00cb/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/00/a5/3e/00a53e69-ae5b-130c-941f-618474ca0911/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple49/v4/83/1c/ce/831cce21-8d46-cb68-6d00-76570ed44a1e/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [MyHeartCounts](https://github.com/ResearchKit/MyHeartCounts): Personalized tool that can help you measure daily activity, fitness, & cardiovascular risk [` App Store`](https://itunes.apple.com/app/id972189947)  
  <details>
	<summary><code>objc</code> </summary>

	Added October 27, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple60/v4/cf/70/57/cf7057e9-d9e7-4073-cd48-5a3bcabaaa25/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple60/v4/ad/ad/55/adad5549-b6d5-1973-3e45-4c742a3875da/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple60/v4/2b/b0/64/2bb06441-1deb-8709-646d-1ce80b1a1253/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple60/v4/fe/ee/f2/feeef2b4-e4ff-e1c1-0707-404578c628b0/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Share The Journey](https://github.com/ResearchKit/ShareTheJourney): Breast cancer study  
  <details>
	<summary><code>objc</code> </summary>

	Added April 15, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)
  </details>


## Keyboard 
 
[back to top](#readme) 
 
- [AA-Keyboard](https://github.com/sonsongithub/AAKeyboard): ASCII art keyboard  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added July  1, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple6/v4/28/59/25/285925a7-b4c8-0042-d59c-5ac9ae854189/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/9f/aa/14/9faa14df-83e2-1503-67e1-d482539dca69/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [Slidden](https://github.com/Brimizer/Slidden): Customizable keyboard  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added November 24, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/Brimizer/Slidden/raw/master/assets/screenshot.png'><code>Screenshot 1</code></a> 
  </details>


## Location 
 
[back to top](#readme) 
 
- [AirCheck](https://github.com/lojals/AirCheck): Check air pollution on a map  
  <details>
	<summary><code>swift</code> <code>mapbox</code> <code>pop</code> <code>swiftyjson</code> <code>alamofire</code> 🌐 </summary>

	Added November 18, 2016<br>  License: `other`<br>
	<a href='https://media.giphy.com/media/uSyooIBl2qBHi/giphy.gif'><code>Screenshot 1</code></a> 
  </details>

- [Cepp](https://github.com/filipealva/Cepp): Find information on addresses  
  <details>
	<summary><code>swift</code> <code>afnetworking</code> 🌐 </summary>

	Added November  4, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/filipealva/Cepp/res/searchi5.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/filipealva/Cepp/res/detailsi5.png'><code>Screenshot 2</code></a> 
  </details>

- [CrimeMapper](https://github.com/swwol/CrimeMapper): Look at crime data in the UK  
  <details>
	<summary><code>swift</code> </summary>

	https://samwoolf.net<br>  Added April  6, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://samwoolf.net/wp-content/uploads/2017/03/crimemapper1a-1.jpg'><code>Screenshot 1</code></a> <a href='http://samwoolf.net/wp-content/uploads/2017/03/crimemapper2a.jpg'><code>Screenshot 2</code></a> <a href='http://samwoolf.net/wp-content/uploads/2017/03/crimemapper3a.jpg'><code>Screenshot 3</code></a> <a href='http://samwoolf.net/wp-content/uploads/2017/03/crimemapper4a.jpg'><code>Screenshot 4</code></a> <a href='http://samwoolf.net/wp-content/uploads/2017/03/crimemapper5a.jpg'><code>Screenshot 5</code></a> 
  </details>

- [DoctorNearby](https://github.com/vincezzh/doctornearby-ios): Helps you find doctors in your city  
  <details>
	<summary><code>objc</code> </summary>

	Added July 14, 2016<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple69/v4/91/75/58/9175587b-c43c-f330-342e-da05235719c0/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/58/10/27/58102772-bd0a-fde4-3525-01e4f35c132e/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/d5/90/e9/d590e967-8355-db00-03a6-1adf8bccc298/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/de/d2/b5/ded2b5b4-9414-c195-40da-36335d961d2e/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/02/3e/29/023e2983-bb73-dc0b-a541-7887704e4fac/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Doppio](https://github.com/christianroman/Doppio): Finds the nearest Starbucks  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	https://imgur.com/a/ges5M<br>  Added March  5, 2016<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)<br>
	<a href='https://i.imgur.com/2ZG08AX.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/PDUUWTj.png'><code>Screenshot 2</code></a> 
  </details>

- [EatNow](https://github.com/callzhang/Eat-Now): Get recommendations for restaurants nearby [` App Store`](https://itunes.apple.com/app/eat-now-instant-personalized/id946591471)  
  <details>
	<summary><code>objc</code> </summary>

	Added October 19, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple7/v4/e0/65/ca/e065caa7-e2be-1e25-f78a-ccb19a7cf1b0/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple7/v4/d4/bf/20/d4bf20c6-8dc8-0739-9977-1a8c3f2f7052/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple1/v4/15/60/8d/15608d60-d7c0-2dfb-e89a-97c49573fd75/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple1/v4/b2/36/fb/b236fba1-3e84-c6a4-c186-8b73abca6109/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple2/v4/1c/d0/2d/1cd02d13-9d9c-d115-1605-3fb4dae72831/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Find My Bus NJ](https://github.com/findmybusnj/findmybusnj-swift): Track NJ Transit bus times  
  <details>
	<summary><code>swift</code> </summary>

	Added July 13, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://github.com/findmybusnj/findmybusnj-swift/raw/master/README_banner.png'><code>Screenshot 1</code></a> 
  </details>

- [GeoLicious](https://github.com/da3x/GeoLicious): Location tracking made easy [` App Store`](https://itunes.apple.com/app/geolicious/id637366170)  
  <details>
	<summary><code>objc</code> </summary>

	Added March  1, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple118/v4/25/08/18/250818d7-a6b1-0af4-0efb-cb977f7c5c93/pr_source.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple128/v4/bc/ce/5f/bcce5fcd-b809-72d6-63f8-aff380326149/pr_source.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple62/v4/60/da/8c/60da8cfc-c0c4-56d2-aedb-e97cfe1be461/pr_source.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple62/v4/13/f0/80/13f08044-d8bc-03cd-341e-aed485137a8f/pr_source.png/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [GeoTappy](https://github.com/GeoTappy/GeoTappy-iOS): Share your location  
  <details>
	<summary><code>objc</code> </summary>

	Added April 14, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/FWj32S0.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/IyfFdCc.png'><code>Screenshot 2</code></a> 
  </details>

- [Grove](https://github.com/kylebshr/grove-ios): Crowd-sourced hammock locations  
  <details>
	<summary><code>swift</code> <code>alamofire</code> <code>realm</code> <code>swiftybeaver</code> <code>kingfisher</code> <code>asyncswift</code> </summary>

	Added October 17, 2016<br>  License: `other`<br>
	<a href='https://github.com/kylebshr/grove-ios/blob/master/External%20Assets/Original%20Screenshots/Screenshot%201.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [HopperBus](https://github.com/TosinAF/HopperBus-iOS): Timetable for the University of Nottingham Hopper Bus  
  <details>
	<summary><code>swift</code> </summary>

	Added January 22, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/TosinAF/HopperBus-iOS/master/Screenshots/RouteView.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/TosinAF/HopperBus-iOS/master/Screenshots/RealTimeView.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/TosinAF/HopperBus-iOS/master/Screenshots/RouteTimesView.png'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/TosinAF/HopperBus-iOS/master/Screenshots/MapView.png'><code>Screenshot 4</code></a> 
  </details>

- [iPokeGo](https://github.com/istornz/iPokeGo): Map Pokemon around you! [` App Store`](https://itunes.apple.com/app/ipokego-for-pokemon-go/id1138277066)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added January 14, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://dimitridessus.fr/img/iPokeGo/screenshots/iPokeGo7.jpg'><code>Screenshot 1</code></a> <a href='http://dimitridessus.fr/img/iPokeGo/screenshots/iPokeGo8.jpg'><code>Screenshot 2</code></a> <a href='http://dimitridessus.fr/img/iPokeGo/screenshots/iPokeGo3.jpg'><code>Screenshot 3</code></a> 
  </details>

- [Lunchify](https://github.com/sallar/lunchify-swift): Find restaurants offering 10€ lunch buffets in Finland  
  <details>
	<summary><code>swift</code> <code>swiftyjson</code> <code>alamofire</code> <code>dznemptydataset</code> </summary>

	Added October 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple49/v4/6a/24/b7/6a24b73c-dc99-d96f-93e8-268f9bb74268/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/ad/59/63/ad59636f-7605-60dd-17ac-319075222468/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/e5/62/50/e56250a9-07b0-ca33-58e4-33124aff6fab/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [MAPS.ME](https://github.com/mapsme/omim): Offline maps app with navigation [` App Store`](https://itunes.apple.com/app/id510623322)  
  <details>
	<summary><code>openstreetmap api</code> ⭐⭐⭐⭐⭐</summary>

	https://maps.me/<br>  Added May 31, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple71/v4/0b/78/17/0b7817dc-d0d4-d3fe-1a41-a3813f0598eb/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/31/a1/a8/31a1a87f-2148-223e-369d-00ef3625ae35/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/ea/4f/7f/ea4f7f30-1268-1437-177e-5bf303e987ab/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/9c/f7/9a/9cf79aa0-e3a0-b607-88e0-9fa14bc2d609/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/0b/a9/52/0ba95283-dcac-de78-05d7-7578a5b1760e/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Miataru](https://github.com/miataru/miataru-ios-client): A location tracking app where data can be shared over public or private servers [` App Store`](https://itunes.apple.com/app/id717539389)  
  <details>
	<summary><code>objc</code> </summary>

	http://miataru.com/ios/<br>  Added June  2, 2016<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple3/v4/b5/19/d4/b519d461-a067-fe54-7996-d599297162e8/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/ad/1a/ac/ad1aac76-794b-176f-f11a-5c897fb797a5/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple1/v4/20/f9/35/20f93531-bb95-4a54-b9a2-0f3a918d9b3e/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/4d/c6/24/4dc624af-0cae-4e82-427f-b9955221eb3a/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/c0/3f/16/c03f16fd-f104-d93e-d2f0-ba53283bfdb1/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Moves](https://github.com/neonichu/Places): Visualize where you spend your time  
  <details>
	<summary><code>objc</code> </summary>

	Added July 13, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/neonichu/Places/raw/master/Screenshots/1.png'><code>Screenshot 1</code></a> 
  </details>

- [Neverlate](https://github.com/ayunav/Neverlate): Pay-if-U-R-late app with geofences  
  <details>
	<summary><code>objc</code> <code>venmo api</code> </summary>

	Added May 27, 2016<br>  License: `other`<br>
	<a href='https://github.com/ayunav/Neverlate/raw/master/NeverlateDemo.gif'><code>Screenshot 1</code></a> 
  </details>

- [OneBusAway](https://github.com/OneBusAway/onebusaway-iphone): Real-time arrival & schedule information for public transit in Seattle, Atlanta, Tampa, & more [` App Store`](https://itunes.apple.com/app/onebusaway/id329380089)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added August 21, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple71/v4/6a/58/76/6a587632-97c9-1633-a5f1-c2dd09171bd8/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/5c/74/ce/5c74ce0a-a6ef-8aab-5f00-9e6e69abeec2/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple71/v4/b4/d2/2e/b4d22e1e-13b7-1bbc-740d-82efc6d5e938/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/0f/83/1c/0f831cde-e597-8ea4-372c-9ee43c0e7330/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/6a/e9/c9/6ae9c98a-366e-084a-b674-b4003e3d44e9/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [OpenStreetView](https://github.com/openstreetcam/ios): Collect OpenStreetView data [` App Store`](https://itunes.apple.com/app/openstreetview/id1089548849)  
  <details>
	<summary><code>objc</code> </summary>

	Added August 21, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple30/v4/b5/9f/0f/b59f0f32-eec9-7612-ad5f-4a545561c2cf/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [OsmAnd Maps](https://github.com/osmandapp/Osmand): A map app with access to OpenStreetMaps [` App Store`](https://itunes.apple.com/app/id934850257)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐</summary>

	https://osmand.net/<br>  Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple62/v4/6e/66/38/6e66384e-1493-1fef-bf4a-b46a32ce6add/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/10/4c/29/104c294c-1adc-93c3-bde8-ca50ce97eb04/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/c2/63/b5/c263b598-22ea-ee5e-5b0a-c2a6bf6b3215/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/d0/91/4b/d0914b8b-1908-fc6a-e7b5-59955a41c482/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/e5/7e/dc/e57edc40-d4b6-6f2c-3205-8dac724e325a/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [OwnTracks](https://github.com/owntracks/ios): Keep track of your own location, you can build your private location diary or share it with your family & friends [` App Store`](https://itunes.apple.com/app/mqttitude/id692424691)  
  <details>
	<summary><code>cocoalumberjack</code> ⭐</summary>

	Added April  3, 2016<br>  License: `other`<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/c1/6b/39/c16b39c0-da01-94b0-6a59-89d134a79d61/screen520x924.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [ParkenDD](https://github.com/kiliankoe/ParkenDD): Check the status of several public parking lots in Germany & Switzerland [` App Store`](https://itunes.apple.com/app/parkendd/id957165041)  
  <details>
	<summary><code>swift</code> </summary>

	Added April 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple42/v4/2d/d5/6e/2dd56eb7-9c19-0d14-371b-08a6f6bcba9f/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple41/v4/2a/78/f9/2a78f92a-111f-24e9-e8a7-9acef35007db/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple19/v4/74/7d/12/747d12d0-1e24-2156-1cb0-6a9296556440/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [PebCiti](https://github.com/joemasilotti/PebCiti): Pebble app to show nearest CitiBike NYC dock  
  <details>
	<summary><code>objc</code> </summary>

	Added May  5, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/joemasilotti/PebCiti/master/Screenshots/iOS.png'><code>Screenshot 1</code></a> 
  </details>

- [Prey](https://github.com/prey/prey-ios-client): Track lost or stolen devices & perform actions remotely [` App Store`](https://itunes.apple.com/app/id456755037)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	https://preyproject.com/<br>  Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple62/v4/43/f7/91/43f791d0-319a-2e3f-449a-2471e240b068/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/c3/f9/ba/c3f9ba54-b8df-10bc-e2e0-ea6b1a736d91/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple62/v4/e3/96/3e/e3963e31-b683-16c2-cc94-4768fe16020a/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/d6/af/c3/d6afc340-1972-af85-053b-8e52ed5a4588/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple62/v4/f3/50/71/f35071d7-9fa9-1bf9-fa91-2641458bcd1e/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Prey](https://github.com/prey/prey-swift-client): Track lost or stolen devices & perform actions remotely  
  <details>
	<summary><code>swift</code> </summary>

	https://preyproject.com/<br>  Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://preyproject.com/img/home/report-simple-2.png'><code>Screenshot 1</code></a> 
  </details>

- [S.I.T. (雕刻时光)](https://github.com/flexih/Cafe): An app for Chinese cafe chain Diaokeshiguang (Sit Coffee) [` App Store`](https://itunes.apple.com/app/diao-ke-shi-guang/id440983941)  
  <details>
	<summary><code>objc</code> 🌐 </summary>

	Added April 15, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/flexih/Cafe/raw/master/snapshot/1.png'><code>Screenshot 1</code></a> 
  </details>

- [Santa Tracker](https://github.com/keitaito/RealmSantaTracker)  
  <details>
	<summary><code>swift</code> <code>realm</code> </summary>

	Added May 16, 2017<br>  License: `other`<br>
	<a href='https://images.ctfassets.net/emmiduwd41v7/1TmcZsJy7Si4qCYm24aAse/158d511e7e58461d64cf902fb5a26d32/santa-app-final.png'><code>Screenshot 1</code></a> 
  </details>

- [Startups - Mapped In Israel](https://github.com/sugarso/MappedInIsrael): Discover new startups & locate co-working spaces  
  <details>
	<summary><code>objc</code> </summary>

	Added April  6, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/vSyWHSA.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/WJbZSB6.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/fTlosLW.png'><code>Screenshot 3</code></a> <a href='https://i.imgur.com/eTnGn5F.png'><code>Screenshot 4</code></a> 
  </details>

- [tpg offline](https://github.com/tpgoffline/tpg-offline-iOS): Navigate the Geneva public transport [` App Store`](https://itunes.apple.com/app/tpg-offline/id1001560047)  
  <details>
	<summary><code>swift</code> <code>carthage</code> <code>alamofire</code> <code>locationmanager</code> 🌐 </summary>

	Added October 14, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://is5.mzstatic.com/image/thumb/Purple118/v4/89/93/38/8993388e-d712-f774-f418-a3662a60aef1/source/392x696bb.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Traccar Client](https://github.com/traccar/traccar-client-ios): Report device location to the server [` App Store`](https://itunes.apple.com/us/app/traccar-client/id843156974)  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added July 12, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple3/v4/6c/6b/d6/6c6bd694-0715-d363-9a3b-ed27dbdaa0b9/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Traccar Manager](https://github.com/traccar/traccar-manager-ios): Track GPS devices on a map [` App Store`](https://itunes.apple.com/us/app/traccar-manager/id1113966562)  
  <details>
	<summary><code>objc</code> </summary>

	Added July 12, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple30/v4/26/e7/f5/26e7f5cc-f421-146b-0d05-a81733e58807/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple60/v4/62/5a/c4/625ac44e-2bb5-6f2b-044c-592e818054d3/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [VisitBCN](https://github.com/maurovc/visitBCN): City guide for Barcelona [` App Store`](https://itunes.apple.com/app/visitbcn/id904676442)  
  <details>
	<summary><code>objc</code> </summary>

	Added March 16, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple1/v4/9c/1c/ab/9c1cab42-c51f-6ba6-2838-6871f5e70e9d/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/85/ed/b9/85edb904-5006-7ea4-4eb9-3f2324fb2ce8/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/12/f0/58/12f05837-5cdb-8b8e-7e7a-b96577f138c3/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/49/31/7a/49317ad1-eb15-0e22-49e4-c9dd57f20838/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple1/v4/69/b6/40/69b64064-ffbe-f727-eac9-95e12cc84d73/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Wheelmap](https://github.com/sozialhelden/wheelmap-iphone2): Map to locate wheelchair-accessible places [` App Store`](https://itunes.apple.com/app/id399239476)  
  <details>
	<summary><code>objc</code> </summary>

	http://wheelmap.org<br>  Added June  2, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple71/v4/31/98/51/31985171-13ac-746f-b7f6-6caafa79b31b/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/9e/eb/19/9eeb1915-0499-24b3-9ca3-12a755c55b21/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple71/v4/d2/d8/1d/d2d81d12-bd4e-4068-0eca-f14b02e05c73/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple41/v4/9b/df/9b/9bdf9b42-5744-b8c1-70cf-5b68af6ad5b2/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple22/v4/7f/c7/fb/7fc7fbbc-c443-d17a-43e7-679586f80bb6/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>


## Media 
 
Image, video, audio, reading — [back to top](#readme) 
 
- [ASCII Art Generator](https://github.com/ijoshsmith/swift-ascii-art)  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added May  6, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://ijoshsmith.files.wordpress.com/2015/04/ascii_kermit.png'><code>Screenshot 1</code></a> 
  </details>

- [Blear](https://github.com/sindresorhus/blear): Transform your photos into stunning blurry wallpapers for your device [` App Store`](https://itunes.apple.com/app/blear-create-blurry-wallpapers/id994182280)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added February 24, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple111/v4/25/5b/c7/255bc7ab-95e2-1660-3bba-717b0ae21f1d/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple111/v4/34/7a/42/347a42bd-3a7b-1f86-c2b8-3e043ea5e0e7/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple122/v4/37/6b/27/376b278d-d698-981f-c931-d0e5b01c6733/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple111/v4/ed/9a/9b/ed9a9b30-72f6-fc12-662f-0d1493a3d136/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple122/v4/d0/8e/fa/d08efa30-4057-323e-15ee-9f2fe1e5aaff/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [BookPlayer](https://github.com/TortugaPower/BookPlayer): Player for your DRM-free audiobooks [` App Store`](https://itunes.apple.com/app/bookplayer-audio-book-player/id1138219998)  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added July  6, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://user-images.githubusercontent.com/14112819/42383876-3619b35c-80fe-11e8-8923-e5f80a3bb0d2.PNG'><code>Screenshot 1</code></a> <a href='https://user-images.githubusercontent.com/14112819/42383878-36354798-80fe-11e8-9621-9c88e54474ce.PNG'><code>Screenshot 2</code></a> <a href='https://user-images.githubusercontent.com/14112819/42383879-3655af6a-80fe-11e8-8516-81c19ba5f4cc.PNG'><code>Screenshot 3</code></a> 
  </details>

- [ComicFlow](https://github.com/swisspol/ComicFlow): Comic reader [` App Store`](https://itunes.apple.com/app/comicflow/id409290355)  
  <details>
	<summary><code>ipad</code> ⭐⭐</summary>

	Added August 13, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple/v4/d4/c0/91/d4c09117-c6df-beaa-db5f-0566be580645/screen480x480.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Facemotion](https://github.com/remirobert/Facemotion): Find a contact by face recognition  
  <details>
	<summary><code>opencv</code> ⭐</summary>

	Added July 27, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/3276768/16144253/4e96344e-34a4-11e6-9257-06f5bcdf06ef.gif'><code>Screenshot 1</code></a> 
  </details>

- [Filterpedia](https://github.com/FlexMonkey/Filterpedia): Core Image Filter explorer  
  <details>
	<summary><code>swift</code> <code>coreimage</code> ⭐⭐⭐⭐</summary>

	Added January  7, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://github.com/FlexMonkey/Filterpedia/raw/master/Filterpedia/assets/screenshot.jpg'><code>Screenshot 1</code></a> 
  </details>

- [GreatReader](https://github.com/semweb/GreatReader): "Great" PDF reader  
  <details>
	<summary><code>iphone</code> <code>ipad</code> ⭐⭐⭐</summary>

	Added March 16, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple4/v4/7c/02/41/7c024189-7030-2183-08fd-a7ae4f0dbb7f/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple4/v4/a4/cb/0d/a4cb0dba-039e-4f8e-1b44-95a946a3638f/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/4b/2f/2a/4b2f2ade-d9dc-cd4a-cf2b-357938ba0df0/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/d7/8a/2f/d78a2f7a-862b-c836-60c8-271d62679184/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple4/v4/72/bf/92/72bf92cd-73c6-6046-2a9a-1fb081f30fab/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Inkpad](https://github.com/sprang/Inkpad): Vector illustration  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	Added June  1, 2016<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='https://github.com/sprang/Inkpad/blob/develop/Screenshots/Gradient.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/sprang/Inkpad/blob/develop/Screenshots/Hue.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/sprang/Inkpad/blob/develop/Screenshots/Layers.png?raw=true'><code>Screenshot 3</code></a> <a href='https://github.com/sprang/Inkpad/blob/develop/Screenshots/Selection.png?raw=true'><code>Screenshot 4</code></a> <a href='https://github.com/sprang/Inkpad/blob/develop/Screenshots/Swatches.png?raw=true'><code>Screenshot 5</code></a> 
  </details>

- [Kodi](https://github.com/xbmc/xbmc): A popular media player & entertainment hub  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	https://kodi.wiki/view/IOS<br>  Added June  1, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://kodi.wiki/images/9/99/Kodi_on_ipad_in_hand.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Kodi Remote](https://github.com/xbmc/xbmc): A full-featured remote control for Kodi Media Center [` App Store`](https://itunes.apple.com/app/id520480364)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	https://kodi.tv/<br>  Added June  1, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple3/v4/b4/ec/a9/b4eca96d-142c-d230-9eff-37a11d98dca3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/ad/18/46/ad1846eb-e78b-f5a8-c404-967ac5ff18f3/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple2/v4/b1/ff/95/b1ff95a3-1bf4-c7f7-f57f-18f45e2323d7/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/4c/20/5e/4c205e02-766b-69c5-7423-34e2eeb85921/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/2f/3a/30/2f3a30f0-166d-e7ac-34a5-9b6559ef54a5/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Longboxed](https://github.com/jayhickey/Longboxed-iOS): Track the releases of your favorite comics  
  <details>
	<summary><code>objc</code> </summary>

	Added June 20, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple5/v4/63/78/76/637876d8-da2f-a781-3989-3676566703bb/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/d8/55/ba/d855bade-a829-f3c3-44a0-6e0bbc015355/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple1/v4/5d/1b/b3/5d1bb332-047f-3767-b9ec-52e80311a303/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/7c/cb/ab/7ccbab7b-104d-a08e-6a13-a384d8758558/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/63/54/a7/6354a7f6-891f-da89-b21b-1b4ab81f59cb/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Loose Leaf](https://github.com/adamwulf/loose-leaf): Take notes, import & annotate PDFs, manipulate imported photos with intuitive gestures [` App Store`](https://itunes.apple.com/app/loose-leaf/id625659452)  
  <details>
	<summary><code>ipad</code> <code>pdf</code> <code>apple pencil</code> ⭐⭐</summary>

	Added January 11, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/adamwulf/loose-leaf/blob/master/example-gif/collapse-stack.gif?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Marvel Comics](https://github.com/thiagolioy/marvelapp)  
  <details>
	<summary><code>swift</code> <code>moya</code> <code>rxswift</code> <code>dollar</code> <code>kingfisher</code> <code>quick</code> <code>nimble</code> ⭐</summary>

	Added January  9, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/thiagolioy/marvelapp/blob/master/assets/marvel_screens.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Meme Maker](https://github.com/MemeMaker/Meme-Maker-iOS): Create & share memes [` App Store`](https://itunes.apple.com/app/id962121383)  
  <details>
	<summary><code>swift</code> </summary>

	Added June  6, 2016<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple18/v4/94/86/ff/9486ff9f-23d3-ea8c-7e78-3f33d8bcf2bc/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple60/v4/3e/f2/26/3ef2262c-3d53-a7f7-d1e5-cb52b8e18ff0/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple18/v4/bf/8d/54/bf8d54f3-88ae-d5a8-570e-c00f0f1fc42f/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/68/49/b8/6849b8e9-70c1-c337-eb27-0a5cc0618bba/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple20/v4/6f/46/29/6f4629c6-b41a-07e9-e867-e34f2363ac63/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [MuPDF](http://git.ghostscript.com/?p=mupdf.git;a=summary): A PDF, XPS/OpenXPS, CBZ & EPUB document viewer [` App Store`](https://itunes.apple.com/app/id482941798)  
  <details>
	<summary><code>objc</code> </summary>

	https://mupdf.com/<br>  Added June  2, 2016<br>  License: [`agpl-3.0`](http://choosealicense.com/licenses/agpl-3.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple3/v4/da/1b/05/da1b0583-54d6-d116-1ebb-4d4d9a4737ac/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple1/v4/ac/50/ef/ac50ef39-e1af-2dd1-87a3-d0b2931d089b/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/44/9d/26/449d26a2-756c-d034-f734-0f6924b9937d/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Papr](https://github.com/jdisho/Papr): An unofficial client for https://unsplash.com  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added April 12, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/jdisho/Papr/develop/Screenshots/home.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/jdisho/Papr/develop/Screenshots/photo_details.png'><code>Screenshot 2</code></a> 
  </details>

- [Pictograph](https://github.com/MrAdamBoyd/Pictograph): Hide messages in images with steganography [` App Store`](https://itunes.apple.com/us/app/id1051879856)  
  <details>
	<summary><code>swift</code> </summary>

	Added June 14, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple69/v4/ce/65/eb/ce65eb78-616b-b274-0f3d-52c73818cd4c/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/3c/ac/c3/3cacc3cd-dcc9-98da-26ea-6ec44691ebcd/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple7/v4/0b/4a/a3/0b4aa3eb-cdec-8563-c3de-5fbb80de6b04/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [projectM](https://sourceforge.net/projects/projectm/): Advanced music visualization [` App Store`](https://itunes.apple.com/app/id530922227)  
  <details>
	<summary><code>opengl</code> </summary>

	http://projectm.sourceforge.net/<br>  Added June  2, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple7/v4/44/17/41/44174112-c9f9-1719-8967-c43cb42bbf26/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple7/v4/80/05/55/8005556a-437c-2d6a-d41d-044fc4e6740a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/1a/6e/8e/1a6e8ef0-998f-34e4-7c92-f41de9227c73/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple2/v4/35/c4/e2/35c4e23b-7eae-f138-a333-66e92b4c63dc/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/f3/8a/2b/f38a2bcd-e5d9-22b8-61cd-0b9e4cc159ae/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Queue'd Music](https://github.com/rldaulton/queued-music): A real-time, votable, democratized music queue on iPad and iPhone using Spotify  
  <details>
	<summary><code>swift</code> </summary>

	https://www.queuedapp.com<br>  Added April 17, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://www.queuedapp.com/img/image-3.png'><code>Screenshot 1</code></a> <a href='https://www.queuedapp.com/img/image-2.png'><code>Screenshot 2</code></a> <a href='https://www.queuedapp.com/img/powerful.png'><code>Screenshot 3</code></a> 
  </details>

- [Screenshotter](https://github.com/rsattar/screenshotter): Organize & manage screenshots [` App Store`](https://itunes.apple.com/app/screenshotter-organize-manage/id826596892)  
  <details>
	<summary><code>iphone</code> </summary>

	Added July 28, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple111/v4/be/d3/72/bed372f2-d1fb-511b-8e76-d55a7805fc64/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [SeeFood](https://github.com/kingreza/SeeFood): Detect various dishes using the camera  
  <details>
	<summary><code>swift</code> <code>coreml</code> ⭐⭐</summary>

	Added September  5, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://github.com/kingreza/SeeFood/raw/master/seefood1.gif'><code>Screenshot 1</code></a> 
  </details>

- [Selfie Stick](https://github.com/RF-Nelson/open-source-selfie-stick): Sync 2 devices & use one as a remote control for the other's camera [` App Store`](https://itunes.apple.com/app/id1084487132)  
  <details>
	<summary><code>objc</code> </summary>

	Added February 18, 2016<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple69/v4/e2/df/a7/e2dfa79d-8c5b-1626-7743-bd5796626c4c/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/e3/32/92/e332929e-ade9-7df5-539f-347a5ceec305/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [SwiftSpace](https://github.com/FlexMonkey/SwiftSpace): Gyroscope driven drawing in 3D space  
  <details>
	<summary><code>swift</code> <code>coremotion</code> ⭐</summary>

	Added September  1, 2015<br>  License: `other`<br>
	<a href='https://i.imgur.com/6khfaX6.png'><code>Screenshot 1</code></a> 
  </details>

- [Tagger](https://github.com/vanyaland/Tagger): Help tag your photos on Instagram or Flickr  
  <details>
	<summary><code>swift</code> </summary>

	Added July  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vanyaland/Tagger/raw/master/Screenshots/main.png'><code>Screenshot 1</code></a> 
  </details>

- [Transcription Helper](https://github.com/novinfard/TranscriptionHelper): Player for assisting in transcription [` App Store`](https://itunes.apple.com/app/transcription-helper/id1157585714)  
  <details>
	<summary><code>objc</code> </summary>

	https://novinfard.com<br>  Added May 24, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is4-ssl.mzstatic.com/image/thumb/Purple71/v4/df/ca/54/dfca5417-f1d7-3c7f-675a-9bd3e7c1b082/source/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple62/v4/27/9e/83/279e8336-a1e4-3bbe-4162-4fce7651b2bf/source/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple62/v4/62/1c/7d/621c7db7-8259-dad3-247c-850b50a76797/source/460x0w.png'><code>Screenshot 3</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple71/v4/1d/f8/2f/1df82ff0-2f41-c97e-c5dd-a9418323804c/source/460x0w.png'><code>Screenshot 4</code></a> 
  </details>

- [Upupu](https://github.com/xcoo/upupu): Simple camera app that can backup pictures [` App Store`](https://itunes.apple.com/app/upupu/id508401854)  
  <details>
	<summary><code>webdav</code> <code>dropbox</code> </summary>

	Added April  9, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple62/v4/c3/82/0a/c3820aba-84fb-fc93-2cd6-092d52360128/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/40/7a/69/407a69d2-7f9e-2c01-0548-e96ba9f862f5/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/4d/ea/cf/4deacf02-1071-6dda-e7fe-730858a0515e/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [wallabag](https://github.com/wallabag/ios-app): A self-hosted read-it-later app [` App Store`](https://itunes.apple.com/app/wallabag-2-official/id1170800946)  
  <details>
	<summary><code>swift</code> </summary>

	Added February  5, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/wallabag/ios-app/blob/master/fastlane/framed/iPhone6Plus-01Home-d41d8cd98f00b204e9800998ecf8427e_framed.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/wallabag/ios-app/blob/master/fastlane/framed/iPhone6Plus-02Article-d41d8cd98f00b204e9800998ecf8427e_framed.png?raw=true'><code>Screenshot 2</code></a> 
  </details>


### Animoji 
 
[back to top](#readme) 
 
- [Animoji Studio](https://github.com/insidegui/AnimojiStudio): Make Animoji videos with unlimited duration and share anywhere  
  <details>
	<summary><code>objc</code> <code>iphonex</code> ⭐⭐⭐⭐</summary>

	Added November 26, 2017<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)
  </details>

- [SBSAnimoji](https://github.com/simonbs/SBSAnimoji): Uses Apple's private framework AvatarKit  
  <details>
	<summary><code>swift</code> <code>iphonex</code> ⭐⭐⭐</summary>

	Added November  7, 2017<br>  License: `other`<br>
	<a href='https://github.com/simonbs/SBSAnimoji/raw/master/screenshot.png'><code>Screenshot 1</code></a> 
  </details>


### Audio 
 
[back to top](#readme) 
 
- [Analog Synth X](https://audiokit.io/examples/AnalogSynthX/): Simple analog synthesizer keyboard music app example  
  <details>
	<summary><code>swift</code> <code>swift2</code> </summary>

	https://github.com/audiokit/AudioKit/tree/master/Examples/iOS/AnalogSynthX<br>  Added February  1, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*hj0rxmPvapxpY1URdvw97A.png'><code>Screenshot 1</code></a> 
  </details>

- [AudioKit ROM Player](https://github.com/AudioKit/ROMPlayer): Make your own sample music instrument [` App Store`](https://itunes.apple.com/app/fm-player-classic-dx-synths/id1307785646)  
  <details>
	<summary><code>swift</code> <code>swift4</code> <code>ipad</code> ⭐⭐</summary>

	https://audiokitpro.com/rom-player-code/<br>  Added December 12, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://audiokitpro.com/wp-content/uploads/2017/11/romplayer.png'><code>Screenshot 1</code></a> 
  </details>

- [AudioKitSynthOne](https://github.com/AudioKit/AudioKitSynthOne): Free synthesizer https://audiokitpro.com/synth/ [` App Store`](https://itunes.apple.com/app/audiokit-synth-one-synthesizer/id1371050497)  
  <details>
	<summary><code>swift</code> <code>objc</code> ⭐⭐⭐</summary>

	https://audiokitpro.com/synth/<br>  Added July 24, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://audiokitpro.com/images/ak2.gif'><code>Screenshot 1</code></a> 
  </details>

- [DoubanFM](https://github.com/XVXVXXX/DoubanFM): https://douban.fm/ app  
  <details>
	<summary><code>afnetworking</code> <code>mpmovieplayer</code> <code>iphone</code> 🌐 ⭐⭐</summary>

	Added October  1, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/XVXVXXX/DoubanFM/raw/master/readmeImage/page0.png'><code>Screenshot 1</code></a> 
  </details>

- [MiamiSunglasses](https://github.com/MoralCode/MiamiSunglasses): Plays the first five seconds of the CSI Miami theme song for on-the-go meme creation (YEAAAAAAAAAAHH)  
  <details>
	<summary><code>swift</code> </summary>

	Added May 13, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/DYoZw6Q.png'><code>Screenshot 1</code></a> 
  </details>

- [Monotone Delay](https://github.com/jkandzi/Monotone-Delay): A simple synthesiser, based on the Korg Monotron Delay [` App Store`](https://itunes.apple.com/app/monotone-delay/id737483162)  
  <details>
	<summary><code>objc</code> </summary>

	http://monotone.justuskandzi.com<br>  Added December 21, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple5/v4/7d/be/82/7dbe82a0-26a2-ec64-2804-47de55caa190/screen520x924.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Podcasts](https://github.com/Karambirov/Podcasts): A clone of Apple's Podcasts  
  <details>
	<summary><code>swift</code> <code>rxswift</code> </summary>

	Added April  7, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://user-images.githubusercontent.com/6949755/54340090-a5375500-4647-11e9-8124-87794e1c2c05.png'><code>Screenshot 1</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340091-a5375500-4647-11e9-844d-e6a5cd78fd44.png'><code>Screenshot 2</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340092-a5cfeb80-4647-11e9-8cf7-3b9b4892b20c.png'><code>Screenshot 3</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340093-a5cfeb80-4647-11e9-84a1-2de51cdc0ccc.png'><code>Screenshot 4</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340095-a5cfeb80-4647-11e9-8ae5-f758aaa3014e.png'><code>Screenshot 5</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340096-a5cfeb80-4647-11e9-853c-fa0aa9128d34.png'><code>Screenshot 6</code></a> 
  </details>

- [Prodigal Music Player](https://github.com/SpongeBobSun/Prodigal-iOS) [` App Store`](https://itunes.apple.com/app/kuansun/id1231296263)  
  <details>
	<summary><code>swift</code> <code>snapkit</code> <code>haneke</code> <code>koloda</code> </summary>

	Added May  3, 2017<br>  License: `other`<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple114/v4/b5/d4/72/b5d472cf-ca00-aba0-da09-776dc597595a/pr_source.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple114/v4/6d/85/02/6d850217-73a8-3379-5110-54ca812d6ae0/pr_source.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple124/v4/85/79/6d/85796d78-6c7f-6dc6-327f-f3dfcc4c72a3/pr_source.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple124/v4/05/e3/da/05e3da31-0d41-dc1d-8111-6bceed1b8095/pr_source.png/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [Queue'd Music](https://github.com/rldaulton/queued-music): A real-time, votable, democratized music queue on iPad and iPhone using Spotify  
  <details>
	<summary><code>swift</code> </summary>

	https://www.queuedapp.com<br>  Added April 17, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://www.queuedapp.com/img/image-3.png'><code>Screenshot 1</code></a> <a href='https://www.queuedapp.com/img/image-2.png'><code>Screenshot 2</code></a> <a href='https://www.queuedapp.com/img/powerful.png'><code>Screenshot 3</code></a> 
  </details>

- [Radio Paradise](https://github.com/ilTofa/rposx): Official app for http://www.radioparadise.com/ [` App Store`](https://itunes.apple.com/app/id663334697)  
  <details>
	<summary><code>objc</code> </summary>

	https://www.iltofa.com/rphd/<br>  Added June  1, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple30/v4/97/22/95/97229577-fbbd-2de8-3822-b906eadb6354/screen800x500.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Swift Radio Pro](https://github.com/analogcode/Swift-Radio-Pro): Professional radio station app  
  <details>
	<summary><code>swift</code> <code>swift2</code> ⭐⭐⭐⭐⭐</summary>

	Added January 24, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*THdzhTjeuB-niUriPwsxfg.png'><code>Screenshot 1</code></a> 
  </details>

- [VoiceMemos](https://github.com/MoZhouqi/VoiceMemos): Audio recorder  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added April  1, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/MoZhouqi/VoiceMemos/master/Screenshots/recording.png'><code>Screenshot 1</code></a> 
  </details>


### Content 
 
[back to top](#readme) 
 
- [American Chronicle](https://github.com/ryanipete/AmericanChronicle): Search Chronicling America's collection of digitized U.S. newspapers [` App Store`](https://itunes.apple.com/app/id1092988367)  
  <details>
	<summary><code>swift</code> <code>viper</code> </summary>

	http://ryanipete.com/AmericanChronicle/<br>  Added June 22, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple60/v4/1e/82/3b/1e823b8a-d10c-2085-2063-1d18ba68ce2e/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [ArtShredder](https://github.com/marty-suzuki/ArtShredder): Banksy Shredder  
  <details>
	<summary><code>swift</code> <code>arkit</code> <code>banksy</code> 🌐 </summary>

	https://marty-suzuki.github.io/ArtShredder/<br>  Added December 10, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/marty-suzuki/ArtShredder/master/Images/anim.gif'><code>Screenshot 1</code></a> <a href='https://camo.qiitausercontent.com/fc07258a6de07cd230de6ea740043046eab57d92/68747470733a2f2f71696974612d696d6167652d73746f72652e73332e616d617a6f6e6177732e636f6d2f302f36303332352f34363832663864312d323366352d386365322d376132332d6435303933613439643664322e676966'><code>Screenshot 2</code></a> 
  </details>

- [Artsy](https://github.com/artsy/eigen): The art world in your pocket [` App Store`](https://itunes.apple.com/app/artsy-art-world-in-your-pocket/id703796080)  
  <details>
	<summary><code>iphone</code> <code>ipad</code> <code>afnetworking</code> <code>mantle</code> <code>cocoapodskeys</code> <code>reactivecocoa</code> ⭐⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple30/v4/f9/fd/e3/f9fde323-7f53-12d9-99cc-94f435fc9a06/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple30/v4/dc/17/9a/dc179a52-4cda-f91e-c36a-5d6bce72ff3c/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/52/65/c4/5265c4b3-5d0c-4fce-1520-f1a6da6835af/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple20/v4/9f/84/d6/9f84d61d-59d5-e10e-236a-fd8c9685c9c1/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple18/v4/75/09/05/75090520-f464-e0c4-8d9b-9b07c6bb8c15/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Artsy Folio](https://github.com/artsy/energy): Artwork showcase [` App Store`](https://itunes.apple.com/app/artsy-folio/id504862164)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added August 11, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple71/v4/23/c4/ea/23c4eaee-0df9-1ef2-c179-944e4a0ef83d/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple62/v4/94/c0/c2/94c0c26d-f357-ae4f-c428-97d6b030e36d/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/fe/2b/67/fe2b6779-8a73-2924-8aa3-45cc42cb1127/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/6e/78/13/6e781329-db0f-81ca-1783-428f85b4f76c/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [bar](https://github.com/soffes/bar): Cocktail menu  
  <details>
	<summary><code>swift</code> </summary>

	Added January 26, 2015<br>  License: `other`<br>
	<a href='https://i.imgur.com/PTUo4e7.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/bXZH0LB.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/tIFW8bu.png'><code>Screenshot 3</code></a> <a href='https://i.imgur.com/D095xih.png'><code>Screenshot 4</code></a> 
  </details>

- [Dunk](https://github.com/naoyashiga/Dunk)  
  <details>
	<summary><code>swift</code> <code>dribbble</code> ⭐⭐⭐</summary>

	Added December 10, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*0TkH9-Guo_A_hdlI9UEnvQ.png'><code>Screenshot 1</code></a> 
  </details>

- [Homepok](https://github.com/iAlexander/Homepok): Catalog of Ukrainian vehicle plates  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added November 27, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/iAlexander/Homepok/master/Screenshots.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Kiwix](https://github.com/kiwix/apple): An offline reader for Wikipedia (& many other websites) [` App Store`](https://itunes.apple.com/app/id997079563)  
  <details>
	<summary><code>swift</code> </summary>

	https://wiki.kiwix.org/wiki/Main_Page<br>  Added June  2, 2016<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple30/v4/d7/75/7d/d7757dca-fbd0-2ad8-5cb5-eedd8a440664/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple60/v4/0a/a6/50/0aa650de-c849-a135-528b-9eaf30da9207/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple60/v4/a4/1c/db/a41cdb64-d122-80f4-fc3c-fc8ebf430f22/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple60/v4/ec/8e/6a/ec8e6a20-8dae-4619-d352-24f076c86550/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple18/v4/da/23/5c/da235cde-a1e6-2cab-3bdb-7d42d81e98e1/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [KonaBot](https://github.com/hkalexling/KonaBot-iOS): An app for http://konachan.net/ [` App Store`](https://itunes.apple.com/app/konabot/id1055716649)  
  <details>
	<summary><code>swift</code> </summary>

	Added December  3, 2015<br>  License: `other`<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/3c/49/5c/3c495c55-a5bf-fb2d-4896-1185afcebe28/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/62/72/49/627249dc-fa3e-b859-cbbb-e039e34966fe/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/87/d5/56/87d556a0-a9df-3d4d-cdb8-21103ba30d75/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/c7/f0/46/c7f046c0-8915-8e90-80a1-2e258204d212/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/fe/45/c4/fe45c4c1-ced9-7ffc-9175-a5e3c3e74b91/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [LidderbuchApp](https://github.com/AcelLuxembourg/LidderbuchApp): Songbook for Luxembourgish students [` App Store`](https://itunes.apple.com/app/lidderbuch/id997143407)  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added September 28, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple3/v4/14/b8/82/14b882f5-3e8b-bd4e-a42f-ce6e36db1c83/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple6/v4/92/13/ed/9213ed30-3533-d50b-4e61-a28057dc9111/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/1b/8d/c5/1b8dc5f0-6308-da78-42e8-df7eff755959/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/28/38/4f/28384f60-d2eb-067c-4c15-469e83ce2307/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Molecules](http://www.sunsetlakesoftware.com/molecules): Visualize molecules in 3D [` App Store`](https://itunes.apple.com/app/molecules/id284943090)  
  <details>
	<summary><code>objc</code> </summary>

	Added May 31, 2016<br>  License: `other`<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple/v4/2f/7c/cd/2f7ccdde-4478-b24b-7801-809b11b9e6f3/screen320x480.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [movieapp](https://github.com/JuneDomingo/movieapp): Discover movies & tv shows  
  <details>
	<summary><code>react native</code> <code>tmdb</code> ⭐⭐⭐⭐</summary>

	Added November 28, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/5106887/20606597/f176b3e2-b2ac-11e6-9163-c9e625df7748.png'><code>Screenshot 1</code></a> 
  </details>

- [MovieDict](https://github.com/lurado/MovieDict): Offline dictionary for international movie titles [` App Store`](https://itunes.apple.com/app/movieglot-what-do-they-call-it/id710587066)  
  <details>
	<summary><code>wikipedia</code> </summary>

	https://moviedict.info<br>  Added July 26, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://moviedict.info/iphone.png'><code>Screenshot 1</code></a> 
  </details>

- [movies](https://github.com/KMindeguia/movies): Movie info app  
  <details>
	<summary><code>afnetworking</code> <code>sdwebimage</code> <code>tmdb</code> ⭐⭐⭐</summary>

	Added February 20, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/KMindeguia/movies/master/Gif%20Demo/demo.gif'><code>Screenshot 1</code></a> 
  </details>

- [OpenPics](https://github.com/pj4533/OpenPics): View historical images from multiple remote sources [` App Store`](https://itunes.apple.com/app/openpics/id633423505)  
  <details>
	<summary><code>swift</code> </summary>

	Added December 31, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://github.com/pj4533/OpenPics/raw/master/openpics.gif'><code>Screenshot 1</code></a> 
  </details>

- [osia](https://github.com/dkhamsing/osia): Super basic app to browse open-source-ios-apps  
  <details>
	<summary><code>swift</code> </summary>

	Added July 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/dkhamsing/osia/raw/master/Assets/0.1.png'><code>Screenshot 1</code></a> 
  </details>

- [PhishOD](https://github.com/alecgorge/PhishOD-iOS): Listen to any song from phish.in, view concert ratings & reviews from phish.net [` App Store`](https://itunes.apple.com/app/phish-on-demand-all-phish/id672139018)  
  <details>
	<summary><code>objc</code> </summary>

	Added June 26, 2015<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple5/v4/9d/27/83/9d27832d-3c16-a64e-f3a2-7e3fbd5cc2b5/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple5/v4/ec/74/2a/ec742a14-e875-2070-178b-948def533d2e/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/9d/c4/58/9dc45823-97bd-296d-0126-fc9e86879d87/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/9f/aa/5f/9faa5ff9-d299-9859-8c8c-00d680d26dd6/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/80/1f/f7/801ff748-97f6-9092-0b7d-dda68070de3d/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [PhotoBrowser](https://github.com/MoZhouqi/PhotoBrowser): Simple Instagram photo browser  
  <details>
	<summary><code>swift</code> <code>instagram api</code> ⭐⭐⭐</summary>

	Added March 31, 2015<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/MoZhouqi/PhotoBrowser/master/assets/login.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/MoZhouqi/PhotoBrowser/master/assets/gallary.png'><code>Screenshot 2</code></a> 
  </details>

- [PHPHub](https://github.com/Aufree/phphub-ios): App for https://laravel-china.org/  
  <details>
	<summary><code>iphone</code> <code>ipad</code> 🌐 ⭐⭐⭐⭐</summary>

	Added December  4, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [PopcornTime](https://github.com/danylokos/popcorntime-ios): PopcornTime movie app  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added May 20, 2015<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/danylokostyshyn/popcorntime-ios/master/Screenshots/1.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/danylokostyshyn/popcorntime-ios/master/Screenshots/2.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/danylokostyshyn/popcorntime-ios/master/Screenshots/3.png'><code>Screenshot 3</code></a> 
  </details>

- [Popular Movies](https://github.com/vanyaland/Popular-Movies): Cross-platform app for discovering recent & popular movies  
  <details>
	<summary><code>swift</code> <code>realm</code> <code>alamofire</code> <code>tmdb</code> </summary>

	Added January 19, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vanyaland/Popular-Movies/blob/master/res/iOS-movie-detail.png'><code>Screenshot 1</code></a> <a href='https://github.com/vanyaland/Popular-Movies/blob/master/res/iOS-movies-list.png'><code>Screenshot 2</code></a> 
  </details>

- [QiitaCollection](https://github.com/anzfactory/QiitaCollection): Technical knowledge sharing & collaboration platform  
  <details>
	<summary><code>objc</code> 🌐 </summary>

	Added October 17, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple5/v4/4f/7d/a9/4f7da952-8094-5e24-723b-c2c6d590c605/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/00/20/8d/00208db3-aa34-7f70-0c82-ced3cf27f569/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple1/v4/ec/60/2a/ec602a8e-40e5-44bd-475c-d26d8baf6c47/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/ca/57/7d/ca577d9b-623f-7b0c-3baa-855f783284a1/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/69/09/1d/69091d91-c788-ab5d-467b-4866763ed7d9/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Reading List](https://github.com/AndrewBennet/readinglist): Track personal reading lists [` App Store`](https://itunes.apple.com/app/reading-list-a-book-tracking-log/id1217139955)  
  <details>
	<summary><code>swift</code> <code>iphone</code> <code>ipad</code> <code>core-data</code> ⭐</summary>

	Added July 21, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [RealmVideo](https://github.com/BalestraPatrick/RealmVideo): Watch Realm videos & slides  
  <details>
	<summary><code>swift</code> <code>iphone</code> ⭐⭐</summary>

	Added May 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/BalestraPatrick/RealmVideo/raw/master/Resources/demo.gif'><code>Screenshot 1</code></a> 
  </details>

- [Showio](https://github.com/madyanov/showio-app): Simple TV show tracker [` App Store`](https://itunes.apple.com/app/id1445035408)  
  <details>
	<summary><code>swift</code> <code>tmdb</code> </summary>

	https://madyanov.com/showio/en/<br>  Added March 17, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/madyanov/showio-app/blob/master/assets/screen-1.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/madyanov/showio-app/blob/master/assets/screen-2.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/madyanov/showio-app/blob/master/assets/screen-3.png?raw=true'><code>Screenshot 3</code></a> 
  </details>

- [SoundCloudSwift](https://github.com/pepibumur/SoundCloudSwift): SoundCloud app  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added May  1, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*C0s-C27rJbQrIa0j5dBctQ.png'><code>Screenshot 1</code></a> 
  </details>

- [Textbook](https://github.com/JohnWong/textbook): textbooks from People's Education Press in China  
  <details>
	<summary><code>swift</code> 🌐 </summary>

	Added February 17, 2016<br>  License: `other`<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple7/v4/53/a8/65/53a8655a-f9bc-61c5-260e-2ef534d8b950/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple1/v4/a4/1e/6d/a41e6d5b-54cd-a1e7-eafd-eb49278b26c8/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/2f/84/19/2f8419f7-bb15-c1d2-28eb-674e780ba533/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple7/v4/52/20/0c/52200c71-07d2-a6c6-d3da-2bacf03ac0d1/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Words](https://github.com/soffes/words): Thesaurus app  
  <details>
	<summary><code>objc</code> </summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/84QPJ8v.png'><code>Screenshot 1</code></a> 
  </details>

- [WWDC Students](https://github.com/wwdc): WWDC scholarship entries  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added March 21, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/EsK2V67.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/vmrzCDz.png'><code>Screenshot 2</code></a> 
  </details>

- [xkcd](https://github.com/paulrehkugler/xkcd) [` App Store`](https://itunes.apple.com/app/xkcd/id303688284)  
  <details>
	<summary><code>iphone</code> </summary>

	Added June  5, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple19/v4/39/b4/d5/39b4d554-fad7-152c-5a7c-3b111524ca99/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple41/v4/d0/f5/13/d0f5131a-7e94-6b3e-82f7-b01d3dc14fc5/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple41/v4/b9/e0/eb/b9e0eb3b-935b-6ce6-8fbb-c975f073b9f7/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple22/v4/03/6d/88/036d88c7-11d8-9699-db7d-7af36a41bb93/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [xkcd Open Source](https://github.com/mamaral/xkcd-Open-Source): An xkcd comic reader [` App Store`](https://itunes.apple.com/app/xkcd-open-source/id995811425)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added June  5, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple71/v4/d0/27/26/d0272612-eb38-f31b-c9d4-3eac2869af32/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/41/19/3b/41193bd3-c509-4ca5-705c-02a76eea1563/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple62/v4/7a/72/23/7a7223c4-3af8-45cc-70ce-2bf736105be2/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/22/b9/07/22b907ab-074c-c3c9-533d-3ab6a3788aaa/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [YaleMobile](https://github.com/kiokoo/YaleMobile): App for Yale University students  
  <details>
	<summary><code>objc</code> </summary>

	Added July 13, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple3/v4/b3/63/b0/b363b05e-8d4a-a8b5-1591-efc0cce59314/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/a0/c4/6d/a0c46d99-a34e-d317-5df2-8b348850c20a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/8c/08/eb/8c08ebfd-da89-af44-c1c5-9c39ec464576/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple5/v4/fd/9d/3d/fd9d3d73-3a97-af1c-d421-abf38b518f24/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/eb/3c/49/eb3c4940-c927-284d-0dfb-e96eb4ca0703/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>


### GIF 
 
Mostly using http://giphy.com/ — [back to top](#readme) 
 
- [AlohaGIF](https://github.com/michaello/Aloha): Create GIFs easily with speech detection [` App Store`](https://itunes.apple.com/app/aloha-gifs-with-dynamic-subtitles/id1231254189)  
  <details>
	<summary><code>swift</code> <code>avfoundation</code> <code>sfspeechrecognizer</code> </summary>

	Added October 28, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://is1.mzstatic.com/image/thumb/Purple82/v4/44/60/72/446072a3-cc4f-3fc8-ece5-14568643dc15/source/392x696bb.jpg'><code>Screenshot 1</code></a> <a href='http://is4.mzstatic.com/image/thumb/Purple91/v4/90/58/e3/9058e3be-4676-5668-8301-2488df8322d3/source/392x696bb.jpg'><code>Screenshot 2</code></a> 
  </details>

- [Giraffe](https://github.com/evgeniyd/Giraffe)  
  <details>
	<summary><code>swift</code> <code>reactivecocoa</code> </summary>

	Added September  1, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/evgeniyd/Giraffe/master/App_Preview_Giraffe_Screens.png'><code>Screenshot 1</code></a> 
  </details>

- [LivelyGIFs](https://github.com/KrisYu/LivelyGIFs): Show your Live Photos & export as GIF  
  <details>
	<summary><code>objc</code> </summary>

	Added April  6, 2017<br>
	<a href='https://github.com/KrisYu/LivelyGIFs/blob/master/demo.gif?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [notGIF](https://github.com/atuooo/notGIF): Play - Tag - Share your GIFs in Photos  
  <details>
	<summary><code>swift</code> <code>gif</code> <code>tag</code> <code>share</code> </summary>

	Added July  1, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/atuooo/notGIF/master/images/screenshots.png'><code>Screenshot 1</code></a> 
  </details>


### Photo 
 
[back to top](#readme) 
 
- [ArtShredder](https://github.com/marty-suzuki/ArtShredder): Banksy Shredder  
  <details>
	<summary><code>swift</code> <code>arkit</code> <code>banksy</code> 🌐 </summary>

	https://marty-suzuki.github.io/ArtShredder/<br>  Added December 10, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/marty-suzuki/ArtShredder/master/Images/anim.gif'><code>Screenshot 1</code></a> <a href='https://camo.qiitausercontent.com/fc07258a6de07cd230de6ea740043046eab57d92/68747470733a2f2f71696974612d696d6167652d73746f72652e73332e616d617a6f6e6177732e636f6d2f302f36303332352f34363832663864312d323366352d386365322d376132332d6435303933613439643664322e676966'><code>Screenshot 2</code></a> 
  </details>

- [ColorBlur](https://github.com/maurovc/ColorBlur): Add blur to your photos [` App Store`](https://itunes.apple.com/app/id928863510)  
  <details>
	<summary><code>objc</code> </summary>

	Added March 16, 2015<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple3/v4/68/3f/1b/683f1b36-f274-e2f0-64a6-ae00aadca2ab/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple1/v4/bb/b9/f5/bbb9f50a-4358-a5d0-604f-29e29ed7677f/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/f9/8c/11/f98c116a-a49a-598e-e5d7-be0684c35bc5/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple1/v4/ff/6b/2c/ff6b2c22-68be-1f50-868a-e23ff8add3aa/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [EmotionNote Diary](https://github.com/Yogayu/EmotionNote): Choose or take a photo of your face & the app will tell you your emotion  
  <details>
	<summary><code>swift</code> </summary>

	Added April 19, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/Yogayu/EmotionNote/raw/master/imgs/Desktop%20HD.png'><code>Screenshot 1</code></a> 
  </details>

- [iOS-Depth-Sampler](https://github.com/shu223/iOS-Depth-Sampler): A collection of code examples for Depth APIs  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added September 19, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/shu223/iOS-Depth-Sampler/blob/master/README_resources/3d.gif?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/shu223/iOS-Depth-Sampler/blob/master/README_resources/portraitmatte.gif?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/shu223/iOS-Depth-Sampler/blob/master/README_resources/arkit-depth.gif?raw=true'><code>Screenshot 3</code></a> <a href='https://github.com/shu223/iOS-Depth-Sampler/blob/master/README_resources/depth_1.gif?raw=true'><code>Screenshot 4</code></a> 
  </details>

- [Megabite](https://github.com/AaronRandall/Megabite): Turn a photo of your food into a face  
  <details>
	<summary><code>opencv</code> <code>pop</code> ⭐⭐</summary>

	Added February  2, 2016<br>  License: `other`<br>
	<a href='https://github.com/AaronRandall/Megabite/raw/master/Megabite/Assets.xcassets/Megabite.gif'><code>Screenshot 1</code></a> 
  </details>

- [MetaX](https://github.com/Ckitakishi/MetaX): Check, edit and delete metadata of photos [` App Store`](https://itunes.apple.com/app/metax/id1376589355)  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added May  7, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/Ckitakishi/MetaX/master/Screenshots/iPhone_en.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/Ckitakishi/MetaX/master/Screenshots/iPad_en.png'><code>Screenshot 2</code></a> 
  </details>

- [PixPic](https://github.com/Yalantis/PixPic): Photo editing  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added July 29, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/c8ahfkv.png'><code>Screenshot 1</code></a> 
  </details>

- [SharedImages](https://github.com/crspybits/SharedImages): Save your images in your own cloud storage (e.g., Google Drive), and safely share those images with others  
  <details>
	<summary><code>swift</code> <code>google drive api</code> <code>facebook api</code> <code>syncserverii client</code> </summary>

	Added November 18, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/crspybits/SharedImages/raw/master/Screenshots/screenshot1.png'><code>Screenshot 1</code></a> 
  </details>

- [Triggy](https://github.com/jnordberg/triggy): Intervalometer for WiFi-enabled Canon DSLRs [` App Store`](https://itunes.apple.com/app/triggy/id1193570460)  
  <details>
	<summary><code>swift</code> </summary>

	Added May 18, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/jnordberg/triggy/master/triggy.jpg'><code>Screenshot 1</code></a> 
  </details>

- [VK Photos](https://github.com/Stmol/vkphotos): Image gallery for social network VK.com [` App Store`](https://itunes.apple.com/app/id1435811369)  
  <details>
	<summary><code>swift</code> <code>flux</code> <code>rxswift</code> </summary>

	Added October 10, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://github.com/Stmol/vkphotos/blob/master/.readme/screen1.jpg?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/Stmol/vkphotos/blob/master/.readme/screen2.jpg?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/Stmol/vkphotos/blob/master/.readme/screen3.jpg?raw=true'><code>Screenshot 3</code></a> 
  </details>

- [WeAre](https://github.com/SherlockQi/HeavenMemoirs): Augmented reality album [` App Store`](https://itunes.apple.com/app/weare/id1304227680)  
  <details>
	<summary><code>swift</code> <code>arkit</code> 🌐 ⭐⭐⭐</summary>

	Added December  6, 2018<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple118/v4/39/ae/1a/39ae1aa9-e91a-3cac-15b1-c19ee9c55001/pr_source.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple118/v4/08/ed/70/08ed70e4-49fe-bf83-ca97-c118a8148fb8/pr_source.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple118/v4/cc/89/c0/cc89c006-3110-42a5-5eab-a9c04176e774/pr_source.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple118/v4/66/83/e2/6683e207-07ca-7d2c-290f-11c1f1d55d71/pr_source.png/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>


### Video 
 
[back to top](#readme) 
 
- [360 VR Player](https://github.com/hanton/HTY360Player): 360 video player  
  <details>
	<summary><code>iphone</code> <code>ipad</code> ⭐⭐⭐⭐</summary>

	Added December  2, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple60/v4/61/14/fa/6114fa5c-1e42-b09b-53db-55b01eb3e810/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple20/v4/06/49/61/0649619f-972d-f7b3-f38c-f81f07a78660/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple20/v4/b5/0e/31/b50e3114-df2c-b729-a344-1f000fdc02e0/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [DownTube](https://github.com/MrAdamBoyd/DownTube): Download videos from YouTube for offline use  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added June 15, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/MrAdamBoyd/DownTube/master/Screenshots/screenshot1.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/MrAdamBoyd/DownTube/master/Screenshots/screenshot2.png'><code>Screenshot 2</code></a> 
  </details>

- [Fetch](https://github.com/TryFetch/Fetch): The best way to watch Put.io  
  <details>
	<summary><code>iphone</code> <code>ipad</code> <code>alamofire</code> <code>swiftyjson</code> <code>keychainaccess</code> <code>realm</code> <code>1password</code> </summary>

	http://getfetchapp.com/<br>  Added November 16, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://getfetchapp.com/img/product.png'><code>Screenshot 1</code></a> 
  </details>

- [Playerly](https://github.com/justjs/Playerly): Play videos from the Files app in a better and darker interface which avoids losing your playback position  
  <details>
	<summary><code>swift</code> </summary>

	Added January 16, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/justJS/Playerly/master/Playerly/Other/Screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [prankPro](https://github.com/huijimuhe/prankPro): Record a 6-second video while playing prank sounds  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added March 24, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/geiofMw.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/fdYYztR.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/sh4pL25.png'><code>Screenshot 3</code></a> 
  </details>

- [VLC](https://github.com/videolan/vlc): Media Player [` App Store`](https://itunes.apple.com/app/vlc-for-ios/id650377962)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	https://www.videolan.org/<br>  Added March 22, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple1/v4/09/9c/32/099c326b-be06-90db-a070-591bb182b718/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/cf/ea/8e/cfea8e88-0160-6c53-6595-78bb802d5252/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/a6/2b/21/a62b2150-b431-4b12-2707-a681f83554aa/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>


## News 
 
[back to top](#readme) 
 
- [Designer News](https://github.com/MengTo/DesignerNewsApp): Browse the https://www.designernews.co/ design & technology site  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 15, 2015<br>  License: `other`<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*NeMFTvgJVJiM8aiy4Pambw.png'><code>Screenshot 1</code></a> 
  </details>

- [GrinnellEvents](https://github.com/kvnbautista/Grinnell-Events-iOS): Grinnell College campus events  
  <details>
	<summary><code>objc</code> </summary>

	Added October 16, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple1/v4/6e/46/d1/6e46d11f-87e0-0015-cc26-d19bf960a9a9/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/e0/29/8c/e0298c8d-bbea-170f-83b8-6939787fc024/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/db/93/8a/db938a1c-e143-546b-c453-3b0864599163/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Keinex tech blog](https://github.com/Keinex/Keinex-iOS)  
  <details>
	<summary><code>swift</code> </summary>

	Added August  8, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/Keinex/Keinex-iOS/blob/master/1.jpg'><code>Screenshot 1</code></a> <a href='https://github.com/Keinex/Keinex-iOS/blob/master/2.jpg'><code>Screenshot 2</code></a> 
  </details>

- [LobsterApp](https://github.com/rhysforyou/LobsterApp): Browse the https://lobste.rs community news site  
  <details>
	<summary><code>objc</code> </summary>

	Added July 21, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/WF6eY71.png'><code>Screenshot 1</code></a> 
  </details>

- [lobsters-reader](https://github.com/cfdrake/lobsters-reader)  
  <details>
	<summary><code>swift</code> </summary>

	Added June 13, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/cfdrake/lobsters-reader/master/Assets/screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [NirZhihuDaily2.0](https://github.com/zpz1237/NirZhihuDaily2.0)  
  <details>
	<summary><code>objc</code> 🌐 ⭐⭐⭐⭐</summary>

	Added November  4, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/zpz1237/NirZhihuDaily2.0/raw/master/effect1.gif'><code>Screenshot 1</code></a> 
  </details>

- [TabDump](https://github.com/dkhamsing/TabDump): TabDump news app  
  <details>
	<summary><code>afnetworking</code> </summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/dkhamsing/TabDump/raw/master/assets/screenshots/screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [The Oakland Post](https://github.com/aclissold/the-oakland-post): Oakland University student-run newspaper in Rochester, Michigan  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added March 18, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)
  </details>

- [v2ex](https://github.com/singro/v2ex): Browse the https://www.v2ex.com/ startup, designer & developer site [` App Store`](https://itunes.apple.com/app/v2ex-chuang-yi-gong-zuo-zhe/id898181535)  
  <details>
	<summary><code>objc</code> 🌐 ⭐⭐⭐⭐</summary>

	Added April 19, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple18/v4/cd/7e/af/cd7eafe2-9672-c37a-9c95-bad1651e23b9/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple18/v4/d5/a3/18/d5a31896-d70d-9d06-ba50-004df03d3735/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple20/v4/af/75/88/af7588a9-8481-5d75-f3fd-8b1aa0a35bd6/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple60/v4/3a/cb/a3/3acba32e-10c3-4916-1136-ebb922c33a2a/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple30/v4/ac/80/bb/ac80bbc1-1f81-1faf-26a0-c141e515082c/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [ZeitSuche](https://github.com/niftycode/ZeitSuche_iOS): Search for articles published by Germany's 'Zeit' newspaper  
  <details>
	<summary><code>swift</code> <code>iphone</code> </summary>

	Added June  7, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://bodo-schoenfeld.de/wp-content/uploads/2016/07/ZeitSuche-Screenshot.png'><code>Screenshot 1</code></a> 
  </details>


### Hacker News 
 
https://news.ycombinator.com/ — [back to top](#readme) 
 
- [HackerNews](https://github.com/amitburst/HackerNews)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added March 19, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/amitburst/HackerNews/raw/master/Resources/screenshot1.png'><code>Screenshot 1</code></a> 
  </details>

- [Hackers](https://github.com/weiran/Hackers) [` App Store`](https://itunes.apple.com/app/hackers-hacker-news-reading/id603503901)  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added December 15, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple115/v4/14/98/59/149859fe-f4e3-0a12-d7fb-2d3383efdf45/mzl.ebnguksi.png/460x0w.jpg'><code>Screenshot 1</code></a> 
  </details>

- [HN Reader](https://github.com/Dimillian/SwiftHN): Hacker News Reader [` App Store`](https://itunes.apple.com/app/hn-reader-hacker-news-reader/id919243741)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*6Bey3OUZ2Xhuk-ZXCB-gOg.png'><code>Screenshot 1</code></a> 
  </details>

- [news](https://github.com/grp/newsyc): yc  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐</summary>

	Added March 19, 2015<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)
  </details>

- [React Native Hacker News](https://github.com/G2Jose/ReactNative-HackerNews) [` App Store`](https://itunes.apple.com/app/react-native-hacker-news/id1220272464)  
  <details>
	<summary><code>react-native</code> </summary>

	Added March 30, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/G2Jose/ReactNative-HackerNews/refactor/redux/screenshots/iOS/show.png'><code>Screenshot 1</code></a> 
  </details>

- [Simple Reader](https://github.com/rnystrom/HackerNewsReader) [` App Store`](https://itunes.apple.com/app/simple-reader-free-open-source/id1000995253)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added October 21, 2015<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple7/v4/f6/ad/cf/f6adcf2a-ede3-ef34-aa6b-97632b2b0ad7/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple7/v4/6c/cc/9b/6ccc9bab-f69f-e697-e854-785a87fc25ee/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/40/7a/3d/407a3d55-692a-7975-170a-414c2df0e0fe/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>


### News API 
 
https://newsapi.org/ — [back to top](#readme) 
 
- [DailyFeed](https://github.com/paulsumit1993/DailyFeed)  
  <details>
	<summary><code>swift</code> </summary>

	Added January 26, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/paulsumit1993/DailyFeed/master/assets/iphone_dailyfeed.jpg'><code>Screenshot 1</code></a> 
  </details>

- [News](https://github.com/vanyaland/News): Discover & read news on a range of news sources/blogs  
  <details>
	<summary><code>objc</code> </summary>

	Added November  1, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/vanyaland/News/master/res/sources.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/vanyaland/News/master/res/articles.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/vanyaland/News/master/res/article.png'><code>Screenshot 3</code></a> 
  </details>


### RSS 
 
[back to top](#readme) 
 
- [Feeds4U](https://github.com/EvgenyKarkan/Feeds4U): Well architected RSS reader [` App Store`](https://itunes.apple.com/app/feeds4u/id1038456442)  
  <details>
	<summary><code>swift</code> </summary>

	Added October 10, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple41/v4/a1/97/59/a19759d4-a458-cb91-72fd-5ea8b43330e8/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/55/f1/1e/55f11e69-eaa3-3d69-da83-07925223e3c4/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/14/69/32/146932c6-52e1-f6f6-5259-5a7846c24055/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/6e/25/7b/6e257bdc-f103-30ef-f676-acf5018e5ec3/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [RSSRead](https://github.com/ming1016/RSSRead): Includes offline mode  
  <details>
	<summary><code>objc</code> 🌐 ⭐⭐⭐</summary>

	Added April 19, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple3/v4/15/a3/26/15a3262c-4dd0-e9c3-9215-3f30cffae17b/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple1/v4/1d/6a/c9/1d6ac957-8507-39bd-a74b-c185399b2ec6/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/78/2a/fa/782afab4-c37e-f882-cc1b-52af95d00447/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple5/v4/77/15/8a/77158a0d-e8bd-3fd5-6b23-5e6cde61b9df/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/6a/2b/e7/6a2be7dc-361d-e815-e35c-5ce9f47cd1c3/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [SwiftBlog](https://github.com/BalestraPatrick/SwiftBlog): Read the official Apple Swift Blog with RSS  
  <details>
	<summary><code>swift</code> </summary>

	Added June 21, 2016<br>  License: `other`<br>
	<a href='https://github.com/BalestraPatrick/SwiftBlog/raw/master/Screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Tenere News Reader](https://github.com/yavuz/Tenere) [` App Store`](https://itunes.apple.com/tr/app/tenere-news-reader/id987277462)  
  <details>
	<summary><code>objc</code> </summary>

	Added August 20, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple1/v4/75/87/99/75879937-4c0d-a6df-ac99-e1f9b30b8e66/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>


## Official 
 
[back to top](#readme) 
 
- [Chrome](https://chromium.googlesource.com/chromium/src.git/+/master/ios/)  
  <details>
	<summary><code>objective-c++</code> </summary>

	https://blog.chromium.org/2017/01/open-sourcing-chrome-on-ios.html<br>  Added February  1, 2017<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple71/v4/4b/d8/9a/4bd89a0d-d1f8-ea48-492a-2cec600c453c/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/20/f2/6e/20f26eb0-e862-358f-8252-0e299bc89d94/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/53/5b/b4/535bb49d-d1ec-7edc-4195-ba0359de2779/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/56/ee/b0/56eeb0f0-0e39-cb27-d389-511e2d9964c4/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/e8/a1/ab/e8a1ab12-b616-f9d0-7f1b-2e1764b0e872/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Coding](https://github.com/Coding/Coding-iOS): Official Coding app  
  <details>
	<summary><code>reactivecocoa</code> <code>masonry</code> 🌐 ⭐⭐⭐⭐⭐</summary>

	Added September 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/d9/af/b7/d9afb7d3-1d4c-2e44-1501-371f2a32a0da/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/ed/8c/2f/ed8c2f53-0d0f-e44f-40a8-f55f87dfd517/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/43/09/21/430921eb-aa5a-c68a-9c02-8372dba3a241/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/43/f2/27/43f227be-e0ec-f5de-ef7c-5a786719899a/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/42/98/19/429819d8-b91b-d248-3fc1-1a6f127d82de/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [DuckDuckGo](https://github.com/duckduckgo/ios): Official DuckDuckGo app [` App Store`](https://itunes.apple.com/app/duckduckgo-search-stories/id663592361)  
  <details>
	<summary><code>afnetworking</code> ⭐⭐⭐</summary>

	Added March 17, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple22/v4/09/83/3f/09833f7a-445e-0324-7d0e-6b75d9a3a7c3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple41/v4/54/30/1f/54301f79-bded-4986-157f-4daf3012a244/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/8e/16/b1/8e16b1e7-eefb-4b60-5525-d7cece5debb9/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple41/v4/a4/38/86/a43886a3-5ece-21bd-33ef-68b21be66d0c/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple19/v4/2b/42/1c/2b421c88-688e-9213-b647-c6a22bf41d66/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [F8 2016](https://github.com/fbsamples/f8app): Official F8 app  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added April 14, 2016<br>  License: `other`<br>
	<a href='https://github.com/fbsamples/f8app/raw/master/.github/screenshot-app@2x.png'><code>Screenshot 1</code></a> 
  </details>

- [Firefox](https://github.com/mozilla-mobile/firefox-ios): Official Firefox app [` App Store`](https://itunes.apple.com/app/firefox-web-browser/id989804926)  
  <details>
	<summary><code>swift</code> <code>carthage</code> <code>alamofire</code> <code>snapkit</code> <code>libphonenumber</code> ⭐⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple49/v4/53/81/08/53810869-af7c-31ff-c2bd-43b2a7ec5f56/screen322x572.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Kickstarter](https://github.com/kickstarter/ios-oss): Where independent creators & passionate backers come together to bring new ideas to life [` App Store`](https://itunes.apple.com/app/kickstarter/id596961532)  
  <details>
	<summary><code>swift</code> <code>1password</code> <code>alamorefire</code> <code>stripe</code> <code>ios-snapshot-test-case</code> ⭐⭐⭐⭐⭐</summary>

	Added December 14, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple71/v4/80/e2/06/80e206db-711c-ba1d-dfd1-cf02de5336d7/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/80/e7/17/80e717dd-3ff1-7159-6e0a-5a357b197184/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/25/fb/c7/25fbc7b3-ac7c-6019-9a15-c86491121989/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/e9/73/49/e97349df-f83d-5970-8937-fffb38fb544c/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/ad/c0/93/adc0936c-22d3-d2c1-cb7b-c53cd1f79b9c/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Kodi](https://github.com/xbmc/xbmc): A popular media player & entertainment hub  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	https://kodi.wiki/view/IOS<br>  Added June  1, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://kodi.wiki/images/9/99/Kodi_on_ipad_in_hand.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Kodi Remote](https://github.com/xbmc/xbmc): A full-featured remote control for Kodi Media Center [` App Store`](https://itunes.apple.com/app/id520480364)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	https://kodi.tv/<br>  Added June  1, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple3/v4/b4/ec/a9/b4eca96d-142c-d230-9eff-37a11d98dca3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/ad/18/46/ad1846eb-e78b-f5a8-c404-967ac5ff18f3/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple2/v4/b1/ff/95/b1ff95a3-1bf4-c7f7-f57f-18f45e2323d7/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/4c/20/5e/4c205e02-766b-69c5-7423-34e2eeb85921/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/2f/3a/30/2f3a30f0-166d-e7ac-34a5-9b6559ef54a5/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Nextcloud](https://github.com/nextcloud/ios): A safe home for all your data [` App Store`](https://itunes.apple.com/app/nextcloud/id1125420102)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	https://nextcloud.com<br>  Added April  2, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple118/v4/f9/87/cb/f987cbdd-1382-b745-1eff-85cf980e673f/pr_source.jpg/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/a2/44/89/a2448912-df4f-ac28-a30d-82a9699a9fe4/mzl.bdctkilq.jpg/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple118/v4/25/ba/7c/25ba7cc2-f9b4-518c-e201-c03bcceffbe1/mzl.fxvipxna.jpg/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple118/v4/8a/dc/14/8adc144f-e5bc-512e-6f1b-5583dd7bb014/mzl.uymqtwli.jpg/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [Nextcloud Talk](https://github.com/nextcloud/talk-ios): Video & audio calls through Nextcloud [` App Store`](https://itunes.apple.com/app/nextcloud-talk/id1296825574)  
  <details>
	<summary><code>objc</code> </summary>

	https://nextcloud.com<br>  Added April  2, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://is4-ssl.mzstatic.com/image/thumb/Purple122/v4/e3/82/1e/e3821efd-c7fe-d7ce-1416-a8ddc7b86a23/pr_source.png/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple128/v4/a8/ba/96/a8ba9621-f390-9fda-27fb-2be07e57ccde/pr_source.png/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple118/v4/e3/ae/14/e3ae1453-2409-40d9-9d4b-e83da63d7f2c/mzl.luuiuato.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple128/v4/07/0e/98/070e9847-526d-c901-b8fd-d3f50c03a718/mzl.renucwgu.png/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [Northern California Cherry Blossom Festival](https://github.com/keitaito/NCCBF-iOS) [` App Store`](https://itunes.apple.com/app/northern-california-cherry-blossom-festival/id981016442)  
  <details>
	<summary><code>swift</code> </summary>

	https://sfcherryblossom.org<br>  Added May  4, 2017<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple122/v4/85/60/0d/85600dea-3b85-bb34-07c0-a66db27d11e3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple111/v4/5d/00/d6/5d00d698-9537-6216-575f-b9dd327d3219/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple111/v4/e5/97/e2/e597e2e9-2d30-f341-72b9-fe1a1227b8c4/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [osia](https://github.com/dkhamsing/osia): Super basic app to browse open-source-ios-apps  
  <details>
	<summary><code>swift</code> </summary>

	Added July 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/dkhamsing/osia/raw/master/Assets/0.1.png'><code>Screenshot 1</code></a> 
  </details>

- [Radio Paradise](https://github.com/ilTofa/rposx): Official app for http://www.radioparadise.com/ [` App Store`](https://itunes.apple.com/app/id663334697)  
  <details>
	<summary><code>objc</code> </summary>

	https://www.iltofa.com/rphd/<br>  Added June  1, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple30/v4/97/22/95/97229577-fbbd-2de8-3822-b906eadb6354/screen800x500.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Scholars of WWDC](https://github.com/WWDCScholars/iOS-app): Official app of recipients for https://developer.apple.com/wwdc19/scholarships/ [` App Store`](https://itunes.apple.com/app/scholars-of-wwdc/id999731893)  
  <details>
	<summary><code>swift</code> </summary>

	Added July 12, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple60/v4/ab/92/bb/ab92bbe9-6540-ff6b-836d-9fd737221466/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Simplenote](https://github.com/automattic/simplenote-ios): Keep notes, lists, ideas & more (sync in the cloud) — includes sharing notes, collaboration [` App Store`](https://itunes.apple.com/app/simplenote/id289429962)  
  <details>
	<summary><code>1password</code> <code>fabric</code> <code>crashlytics</code> ⭐⭐⭐⭐</summary>

	https://simplenote.com/<br>  Added August 11, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://cdn.pastemagazine.com/www/articles/simplenoteapp.jpg'><code>Screenshot 1</code></a> 
  </details>

- [VLC](https://github.com/videolan/vlc): Media Player [` App Store`](https://itunes.apple.com/app/vlc-for-ios/id650377962)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	https://www.videolan.org/<br>  Added March 22, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple1/v4/09/9c/32/099c326b-be06-90db-a070-591bb182b718/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple1/v4/cf/ea/8e/cfea8e88-0160-6c53-6595-78bb802d5252/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/a6/2b/21/a62b2150-b431-4b12-2707-a681f83554aa/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [WhiteHouse](https://github.com/WhiteHouse/wh-app-ios): Official White House app  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added May 15, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple3/v4/da/18/da/da18da5c-96e9-42cb-e181-01aebb59d499/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple1/v4/a7/7a/bc/a77abcc4-65df-4a35-4ab8-d5c231c83198/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/c1/1b/6b/c11b6bf8-f1ce-9484-ddcb-dd3958dc76e9/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/db/ce/8b/dbce8bbc-ecbd-9a60-8b3e-7b47bdb2c6f9/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/ad/42/ad/ad42add7-5082-3bdd-67eb-10c428431134/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Wikipedia](https://github.com/wikimedia/wikipedia-ios): Official Wikipedia app [` App Store`](https://itunes.apple.com/app/wikipedia-mobile/id324715238)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple71/v4/a4/f7/b2/a4f7b2e5-12d4-d242-90b1-deb18c9e678e/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/0e/db/08/0edb082a-8c49-82cd-be7f-5ce5af9dbb6a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/b4/41/78/b441780c-9042-3048-a9f2-1c4fa9a729bf/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple71/v4/62/5b/fe/625bfe5a-67d7-794e-2098-e9fb6a7f2716/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/c3/8f/6e/c38f6e06-ae1a-32b6-7a01-5f28ddf19629/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Wire](https://github.com/wireapp/wire-ios): Modern, private communications with crystal clear voice, video, group chats - always encrypted [` App Store`](https://itunes.apple.com/app/wire/id930944768)  
  <details>
	<summary><code>swift</code> <code>carthage</code> <code>afnetworking</code> <code>purelayout</code> ⭐⭐⭐⭐⭐</summary>

	Added July 22, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*CEtofzY1rIOKuGT7JO3VkA.png'><code>Screenshot 1</code></a> 
  </details>

- [WordPress](https://github.com/wordpress-mobile/WordPress-iOS): Official WordPress app [` App Store`](https://itunes.apple.com/app/wordpress/id335703880)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	Added March 17, 2015<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*DC2_2VNsltlTH_16RKIvsw.png'><code>Screenshot 1</code></a> 
  </details>


## Reactive Programming 
 
[back to top](#readme) 
 
- [Siesta GitHub Browser](https://github.com/bustoutsolutions/siesta/tree/master/Examples/GithubBrowser): Browse & star GitHub repositories  
  <details>
	<summary><code>swift</code> <code>rest</code> ⭐⭐⭐</summary>

	Added July 26, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/OBGvFKw.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/50eCbeX.png'><code>Screenshot 2</code></a> 
  </details>


### ReactiveCocoa 
 
https://github.com/ReactiveCocoa/ReactiveCocoa — [back to top](#readme) 
 
- [Arex](https://github.com/a2/arex): Reminders for taking your medications  
  <details>
	<summary><code>swift</code> <code>swift2.2</code> <code>carthage</code> <code>pistachio</code> <code>reactivecocoa</code> </summary>

	Added June  9, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Artsy](https://github.com/artsy/eigen): The art world in your pocket [` App Store`](https://itunes.apple.com/app/artsy-art-world-in-your-pocket/id703796080)  
  <details>
	<summary><code>iphone</code> <code>ipad</code> <code>afnetworking</code> <code>mantle</code> <code>cocoapodskeys</code> <code>reactivecocoa</code> ⭐⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple30/v4/f9/fd/e3/f9fde323-7f53-12d9-99cc-94f435fc9a06/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple30/v4/dc/17/9a/dc179a52-4cda-f91e-c36a-5d6bce72ff3c/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/52/65/c4/5265c4b3-5d0c-4fce-1520-f1a6da6835af/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple20/v4/9f/84/d6/9f84d61d-59d5-e10e-236a-fd8c9685c9c1/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple18/v4/75/09/05/75090520-f464-e0c4-8d9b-9b07c6bb8c15/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [BrewMobile](https://github.com/brewfactory/BrewMobile): App for managing the beer brewing process  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added September 10, 2015<br>  License: `other`<br>
	<a href='http://brewfactory.org/BrewMobile/img/9_small.png'><code>Screenshot 1</code></a> <a href='http://brewfactory.org/BrewMobile/img/8_small.png'><code>Screenshot 2</code></a> 
  </details>

- [C-41](https://github.com/ashfurrow/C-41): Simple timer to make developing film easier & more reliable  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Coding](https://github.com/Coding/Coding-iOS): Official Coding app  
  <details>
	<summary><code>reactivecocoa</code> <code>masonry</code> 🌐 ⭐⭐⭐⭐⭐</summary>

	Added September 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/d9/af/b7/d9afb7d3-1d4c-2e44-1501-371f2a32a0da/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/ed/8c/2f/ed8c2f53-0d0f-e44f-40a8-f55f87dfd517/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/43/09/21/430921eb-aa5a-c68a-9c02-8372dba3a241/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/43/f2/27/43f227be-e0ec-f5de-ef7c-5a786719899a/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/42/98/19/429819d8-b91b-d248-3fc1-1a6f127d82de/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Giraffe](https://github.com/evgeniyd/Giraffe)  
  <details>
	<summary><code>swift</code> <code>reactivecocoa</code> </summary>

	Added September  1, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/evgeniyd/Giraffe/master/App_Preview_Giraffe_Screens.png'><code>Screenshot 1</code></a> 
  </details>

- [ReactiveSwiftFlickrSearch](https://github.com/ColinEberhardt/ReactiveSwiftFlickrSearch): Photo search  
  <details>
	<summary><code>swift</code> <code>mvvm</code> <code>flickr api</code> ⭐⭐</summary>

	Added February  4, 2015<br>  License: `other`<br>
	<a href='https://github.com/ColinEberhardt/ReactiveSwiftFlickrSearch/raw/master/FinishedApp.png'><code>Screenshot 1</code></a> 
  </details>

- [SimpleAuth](https://github.com/calebd/SimpleAuth): Simple authentication (OAuth for Twitter, Facebook, Instagram, Tumblr & more)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐</summary>

	Added April 10, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/OxImInV.png'><code>Screenshot 1</code></a> 
  </details>

- [Tropos Weather](https://github.com/thoughtbot/Tropos) [` App Store`](https://itunes.apple.com/app/tropos-weather-forecasts-for/id955209376)  
  <details>
	<summary><code>dark sky api (forecast api)</code> <code>reactivecocoa</code> ⭐⭐⭐⭐</summary>

	Added June 22, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple5/v4/8b/3e/bd/8b3ebd2c-9dfe-1ce5-cdf5-8c89d854e375/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/e6/4f/36/e64f369d-d453-f007-dd15-361d21641116/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>


### RxSwift 
 
https://github.com/ReactiveX/RxSwift — [back to top](#readme) 
 
- [Count It](https://github.com/PiXeL16/CountItApp): Dead simple way to you count anything  
  <details>
	<summary><code>swift</code> </summary>

	Added July 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple49/v4/d9/07/8b/d9078bba-fcf6-8de1-c674-d69b895f17c6/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/85/9b/94/859b94ea-b37e-6f77-fe7b-afc9f76934e7/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/19/de/08/19de08b9-4688-556e-c544-bfcc2d8154fb/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/83/71/1c/83711c7a-0119-cc7f-5f86-9e1da4d210c6/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Drrrible](https://github.com/devxoul/Drrrible) [` App Store`](https://itunes.apple.com/app/drrrible/id1229592223)  
  <details>
	<summary><code>swift</code> <code>dribbble</code> <code>reactorkit</code> <code>moya</code> <code>kingfisher</code> ⭐⭐</summary>

	Added May  3, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple111/v4/32/20/62/32206236-57e6-dd41-ccc6-9d9870a6e1ac/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple111/v4/6f/1f/77/6f1f771f-c9a8-5d60-6556-1bcb3993d568/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple122/v4/81/bc/39/81bc3933-4d0a-97da-88ab-265b679a2801/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [GitHub API Client](https://github.com/tailec/boilerplate)  
  <details>
	<summary><code>swift</code> <code>mvvm</code> <code>rxswift</code> ⭐⭐</summary>

	Added March 14, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/611wefH.png'><code>Screenshot 1</code></a> 
  </details>

- [GiTiny](https://github.com/k-lpmg/GiTiny): Explore what's trending in GitHub [` App Store`](https://itunes.apple.com/app/tiny-github/id1461424565)  
  <details>
	<summary><code>swift</code> <code>rxswift</code> <code>mvvm-c</code> <code>clean-architecture</code> ⭐</summary>

	Added May  1, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://user-images.githubusercontent.com/15151687/57021987-bc1e1f00-6c68-11e9-8d43-25beb9465284.jpg'><code>Screenshot 1</code></a> <a href='https://user-images.githubusercontent.com/15151687/57021990-c17b6980-6c68-11e9-8b56-852508131809.jpg'><code>Screenshot 2</code></a> <a href='https://user-images.githubusercontent.com/15151687/57021992-c3452d00-6c68-11e9-8b54-0f01dd887622.jpg'><code>Screenshot 3</code></a> <a href='https://user-images.githubusercontent.com/15151687/57021995-c4765a00-6c68-11e9-8b95-f3087c8b8e37.jpg'><code>Screenshot 4</code></a> 
  </details>

- [Kiosk](https://github.com/artsy/eidolon): Artsy auction app  
  <details>
	<summary><code>swift</code> <code>rxswift</code> ⭐⭐⭐⭐⭐</summary>

	Added January 27, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://artsy.github.io/images/2014-11-12-eidolon-retrospective/listings.png'><code>Screenshot 1</code></a> 
  </details>

- [Papr](https://github.com/jdisho/Papr): An unofficial client for https://unsplash.com  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added April 12, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/jdisho/Papr/develop/Screenshots/home.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/jdisho/Papr/develop/Screenshots/photo_details.png'><code>Screenshot 2</code></a> 
  </details>

- [Podcasts](https://github.com/Karambirov/Podcasts): A clone of Apple's Podcasts  
  <details>
	<summary><code>swift</code> <code>rxswift</code> </summary>

	Added April  7, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://user-images.githubusercontent.com/6949755/54340090-a5375500-4647-11e9-8124-87794e1c2c05.png'><code>Screenshot 1</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340091-a5375500-4647-11e9-844d-e6a5cd78fd44.png'><code>Screenshot 2</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340092-a5cfeb80-4647-11e9-8cf7-3b9b4892b20c.png'><code>Screenshot 3</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340093-a5cfeb80-4647-11e9-84a1-2de51cdc0ccc.png'><code>Screenshot 4</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340095-a5cfeb80-4647-11e9-8ae5-f758aaa3014e.png'><code>Screenshot 5</code></a> <a href='https://user-images.githubusercontent.com/6949755/54340096-a5cfeb80-4647-11e9-853c-fa0aa9128d34.png'><code>Screenshot 6</code></a> 
  </details>

- [RxCurrency](https://github.com/inkyfox/RxCurrency_iOS): Currency converter for ReactiveX  
  <details>
	<summary><code>swift</code> <code>swift3</code> </summary>

	Added February 16, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/inkyfox/RxCurrency_iOS/master/RxCurrency.gif'><code>Screenshot 1</code></a> 
  </details>

- [RxMarbles](https://github.com/RxSwiftCommunity/RxMarbles): Interactive diagrams of Rx Observables [` App Store`](https://itunes.apple.com/us/app/rxmarbles/id1087272442)  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added June 29, 2016<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple49/v4/87/c5/e3/87c5e346-4f01-ce50-b03f-a50d7fa02740/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/1b/db/f3/1bdbf390-575d-e759-2ea3-7e734f1d088a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/71/00/9b/71009b0c-6e10-1d12-e182-a2a88b1e077d/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [RxTodo](https://github.com/devxoul/RxTodo)  
  <details>
	<summary><code>swift</code> <code>swift3</code> <code>rxswift</code> <code>mvvm</code> ⭐⭐⭐⭐</summary>

	Added September 19, 2016<br>  License: `other`<br>
	<a href='https://cloud.githubusercontent.com/assets/931655/16531082/eae3ead2-4005-11e6-8537-a6856d704d74.png'><code>Screenshot 1</code></a> 
  </details>

- [SwiftHub](https://github.com/khoren93/SwiftHub): GitHub client written in RxSwift and MVVM clean architecture [` App Store`](https://itunes.apple.com/app/swifthub-git-client/id1448628710)  
  <details>
	<summary><code>swift</code> <code>rxswift</code> <code>mvvm</code> <code>moya</code> <code>fastlane</code> ⭐⭐⭐</summary>

	Added September  1, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/khoren93/SwiftHub/blob/master/screenshots/01_search_repository_screen.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/khoren93/SwiftHub/blob/master/screenshots/02_repository_details_screen.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/khoren93/SwiftHub/blob/master/screenshots/03_settings_screen.png?raw=true'><code>Screenshot 3</code></a> 
  </details>

- [Tweetometer](https://github.com/BalestraPatrick/Tweetometer): See who is tweeting in your timeline  
  <details>
	<summary><code>swift</code> </summary>

	Added May 26, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/BalestraPatrick/Tweetometer/raw/master/header.png'><code>Screenshot 1</code></a> 
  </details>

- [WWDCast](https://github.com/sgl0v/WWDCast): The unofficial WWDC application to watch WWDC videos and sessions on your ChromeCast  
  <details>
	<summary><code>swift</code> <code>rxswift</code> <code>mvvm</code> </summary>

	Added June 10, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen1.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen2.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/sgl0v/WWDCast/master/.github/screen3.png'><code>Screenshot 3</code></a> 
  </details>


## Sample 
 
[back to top](#readme) 
 
- [30 days of React Native demos](https://github.com/fangwei716/30-days-of-react-native)  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added August 15, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/fangwei716/ThirtyDaysOfReactNative/screenshots/screenshot/main.gif'><code>Screenshot 1</code></a> 
  </details>

- [Apple Developer Library](https://developer.apple.com/library/archive/navigation/)  
  <details>
	<summary><code>objc</code> </summary>

	Added March 24, 2015<br>  License: `other`
  </details>

- [Apple WWDC 2015](https://developer.apple.com/videos/2015/): Code samples from WWDC 2015  
  <details>
	<summary><code>objc</code> </summary>

	Added July 16, 2015<br>  License: `other`
  </details>

- [Artist](https://github.com/orta/Relay-Artist-Example): Use Relay to access the Artsy GraphQL API  
  <details>
	<summary><code>react native</code> <code>graphql</code> </summary>

	Added February  7, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/orta/Relay-Artist-Example/raw/master/screenshots/workshop.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Cannonball](https://github.com/crashlytics/cannonball-ios): Fun way to create / share stories & poems [` App Store`](https://itunes.apple.com/app/cannonball-magnetic-poetry/id929750075)  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added March 24, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple7/v4/e6/7b/37/e67b37c8-46a3-eff4-e8e4-85070f1604b9/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple5/v4/7a/09/1c/7a091c85-509a-2d34-ba92-d6361a700fed/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple5/v4/3e/65/ce/3e65ce5f-554c-1dcc-4b7c-078ada30284d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple7/v4/17/67/a9/1767a993-71ca-6e9d-9712-6d858747ea0d/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple7/v4/99/87/f0/9987f0a1-1b59-8ee1-24d1-243d443e253e/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [CastVideos](https://github.com/googlecast/CastVideos-ios): Sender app to be used as the starting for Google Cast  
  <details>
	<summary><code>swift</code> </summary>

	Added July 10, 2017<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)
  </details>

- [CloudKit](https://github.com/Yalantis/CloudKit-Demo.Objective-C)  
  <details>
	<summary><code>cloudkit</code> ⭐</summary>

	Added May 17, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/anNR2DT.png'><code>Screenshot 1</code></a> 
  </details>

- [CloudKit](https://github.com/Yalantis/CloudKit-Demo.Swift)  
  <details>
	<summary><code>swift</code> <code>cloudkit</code> ⭐⭐</summary>

	Added May 17, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/dS9aFJL.png'><code>Screenshot 1</code></a> 
  </details>

- [Face Landmarks Detection](https://github.com/mattlawer/FaceLandmarksDetection): Find facial features such as face contour, eyes, mouth and nose in an image  
  <details>
	<summary><code>swift</code> <code>vision</code> ⭐</summary>

	Added January 25, 2018<br>  License: `other`<br>
	<a href='http://i63.tinypic.com/j10k7b.gif'><code>Screenshot 1</code></a> 
  </details>

- [iOS 10 Day by Day](https://github.com/ShinobiControls/iOS10-day-by-day): Code examples for the new functions in iOS 10  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added September  2, 2016<br>  License: `other`<br>
	<a href='https://www.shinobicontrols.com/wp-content/uploads/2016/07/App_Demo.gif'><code>Screenshot 1</code></a> 
  </details>

- [iOS 11 by Examples](https://github.com/artemnovichkov/iOS-11-by-Examples): New iOS 11 APIs  
  <details>
	<summary><code>swift</code> <code>coreml</code> <code>vision</code> <code>arkit</code> <code>drag-and-drop</code> <code>core-nfc</code> <code>mapkit</code> <code>identity-lookup</code> <code>devicecheck</code> <code>spritekit</code> ⭐⭐⭐⭐⭐</summary>

	Added September  7, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/artemnovichkov/iOS-11-by-Examples/blob/master/resources/vision-landmarks-example.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [iOS 8 Sampler](https://github.com/shu223/iOS8-Sampler): Code examples for the new functions in iOS 8  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	Added April 30, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://f.cl.ly/items/2m0W310X0f0J2Z0b0o2r/top.jpg'><code>Screenshot 1</code></a> 
  </details>

- [iOS 9 Sampler](https://github.com/shu223/iOS-9-Sampler): Code examples for the new functions in iOS 9  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added September 19, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/shu223/iOS-9-Sampler/master/ResourcesForREADME/map.gif'><code>Screenshot 1</code></a> 
  </details>

- [iOSDesignPatternSamples](https://github.com/marty-suzuki/iOSDesignPatternSamples): GitHub user search app with variety of design patterns  
  <details>
	<summary><code>swift</code> <code>mvc</code> <code>mvp</code> <code>mvvm</code> <code>flux</code> <code>design-patterns</code> ⭐⭐⭐</summary>

	Added January  5, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/marty-suzuki/iOSDesignPatternSamples/blob/master/Images/app.gif?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/marty-suzuki/iOSDesignPatternSamples/blob/master/Images/diff.png?raw=true'><code>Screenshot 2</code></a> 
  </details>

- [iOSSwiftMetalCamera](https://github.com/bradley/iOSSwiftMetalCamera): An example app showing how to use AVCaptureSession with Metal in Swift  
  <details>
	<summary><code>swift</code> <code>metal</code> </summary>

	Added February  9, 2018<br>  License: `other`<br>
	<a href='https://github.com/bradley/iOSSwiftMetalCamera/blob/master/no_shader.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/bradley/iOSSwiftMetalCamera/blob/master/shader.png?raw=true'><code>Screenshot 2</code></a> 
  </details>

- [Knock](https://github.com/MatheusCavalca/Knock): Use Accelerometer & background mode to create a feature of knocking your phone  
  <details>
	<summary><code>objc</code> </summary>

	Added March 20, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/PfuYfjU.png'><code>Screenshot 1</code></a> 
  </details>

- [Layer-Parse](https://github.com/kwkhaw/Layer-Parse-iOS-Swift-Example)  
  <details>
	<summary><code>swift</code> <code>parse</code> <code>atlas</code> ⭐</summary>

	Added January 25, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/kwkhaw/Layer-Parse-iOS-Swift-Example/master/Assets/Atlas-Layer-Parse-github.png'><code>Screenshot 1</code></a> 
  </details>

- [LayerPlayer](https://github.com/scotteg/LayerPlayer): Explore the capabilities of Apple's Core Animation API [` App Store`](https://itunes.apple.com/app/layer-player/id949768742)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added March 23, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple6/v4/07/32/b6/0732b62f-2f8d-6f35-0126-40c32cb5d86f/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/bf/ca/f9/bfcaf936-e812-ca87-9e46-374c9e6a32f0/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple6/v4/a9/aa/5b/a9aa5bc4-0587-c433-055c-2b98786185a5/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple22/v4/f7/aa/7d/f7aa7d2b-8ad1-9d85-8592-c82c51309655/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/6e/c1/a5/6ec1a500-8d0b-ea2e-ee71-9647ba736685/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Live](https://github.com/ltebean/Live): Live broadcasting  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added August 23, 2018<br>  License: `other`<br>
	<a href='https://cloud.githubusercontent.com/assets/1646564/16943747/de7a0c36-4dcf-11e6-913f-103301ef8fda.png'><code>Screenshot 1</code></a> <a href='https://cloud.githubusercontent.com/assets/1646564/16943754/e1d036ee-4dcf-11e6-8994-cc2cf1709bb8.png'><code>Screenshot 2</code></a> 
  </details>

- [MVCTodo](https://github.com/davedelong/MVCTodo): Simple To Do app to illustrate the principles from my A Better MVC talk  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added November 18, 2018<br>  License: `other`
  </details>

- [Polls](https://github.com/apiaryio/polls-app): App for Polls API by Apiary  
  <details>
	<summary><code>swift</code> </summary>

	Added June 17, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/apiaryio/polls-app/raw/master/Screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Protocol-Oriented MVVM Examples](https://github.com/vanyaland/MVVM-Example)  
  <details>
	<summary><code>swift</code> <code>mvvm</code> </summary>

	Added September  8, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vanyaland/MVVM-Example/blob/master/resources/images/mvvm-generic-apps-list.png'><code>Screenshot 1</code></a> <a href='https://github.com/vanyaland/MVVM-Example/blob/master/resources/images/mvvm-generic-detail.png'><code>Screenshot 2</code></a> <a href='https://github.com/vanyaland/MVVM-Example/blob/master/resources/images/mvvm-example-minion.png'><code>Screenshot 3</code></a> 
  </details>

- [Reminders](https://github.com/tiagomartinho/Reminders): An application to demonstrate how to implement a Clean Architecture  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added February 11, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/NYupyuB.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/NInDwlx.png'><code>Screenshot 2</code></a> 
  </details>

- [RKGist](https://github.com/RestKit/RKGist): GitHub Gists  
  <details>
	<summary><code>objc</code> <code>restkit</code> </summary>

	Added April  9, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/3yKeZP7.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/cPwvXZa.png'><code>Screenshot 2</code></a> 
  </details>

- [SafariAutoLoginTest](https://github.com/mackuba/SafariAutoLoginTest): Demo of how to auto-login users using Safari cookies  
  <details>
	<summary><code>swift</code> <code>ios9</code> ⭐⭐</summary>

	https://vimeo.com/136968596<br>  Added April 22, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/vaGCfA0.png'><code>Screenshot 1</code></a> 
  </details>

- [Siesta GitHub Browser](https://github.com/bustoutsolutions/siesta/tree/master/Examples/GithubBrowser): Browse & star GitHub repositories  
  <details>
	<summary><code>swift</code> <code>rest</code> ⭐⭐⭐</summary>

	Added July 26, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/OBGvFKw.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/50eCbeX.png'><code>Screenshot 2</code></a> 
  </details>

- [Snowflake](https://github.com/bartonhammond/snowflake): A React-Native Starter App/BoilerPlate/Example with Redux, RN Router, & Jest with the Snowflake Hapi Server running locally or on RedHat OpenShift for the backend, or a Parse Server running locally or remotely on Heroku  
  <details>
	<summary><code>react-native</code> ⭐⭐⭐⭐⭐</summary>

	Added February 10, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/1282364/11598478/b2b1b5e6-9a87-11e5-8be9-37cbfa478a71.gif'><code>Screenshot 1</code></a> 
  </details>

- [StateRestorationDemo](https://github.com/shagedorn/StateRestorationDemo): State preservation & restoration APIs  
  <details>
	<summary><code>swift</code> </summary>

	Added January 25, 2016<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://raw.githubusercontent.com/shagedorn/StateRestorationDemo/master/Presentation/app_screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Swift-Demos](https://github.com/Lax/iOS-Swift-Demos): Mirror of Apple example code  
  <details>
	<summary><code>swift</code> 🌐 ⭐⭐⭐⭐⭐</summary>

	Added April 22, 2016<br>  License: `other`
  </details>


## Scan 
 
[back to top](#readme) 
 
- [Betcalsa](https://github.com/emredurukn/betcalsa): Document scanner, automatically detect your document and enhance the scans with black-and-white filter  
  <details>
	<summary><code>swift</code> <code>wescan</code> </summary>

	Added February  6, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/emredurukn/betcalsa/master/Assets/1.jpg'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/emredurukn/betcalsa/master/Assets/2.jpg'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/emredurukn/betcalsa/master/Assets/4.jpg'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/emredurukn/betcalsa/master/Assets/5.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [QR Blank](https://github.com/kahopoon/QR-Blank): No ads simple QR code URL scanner [` App Store`](https://itunes.apple.com/app/id1137064763)  
  <details>
	<summary><code>swift</code> </summary>

	Added August 10, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/kahopoon/QR-Blank/master/readme-images/intro.gif'><code>Screenshot 1</code></a> <a href='https://github.com/kahopoon/QR-Blank/raw/master/readme-images/screenA.jpeg'><code>Screenshot 2</code></a> <a href='https://github.com/kahopoon/QR-Blank/raw/master/readme-images/screenB.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [ZBar Barcode Reader](https://sourceforge.net/projects/zbar/): A comprehensive barcode reader  
  <details>
	<summary><code>objc</code> </summary>

	http://zbar.sourceforge.net/<br>  Added June  1, 2016<br>  License: [`lgpl-2.1`](http://choosealicense.com/licenses/lgpl-2.1/)
  </details>


## Security 
 
[back to top](#readme) 
 
- [Easy Diceware](https://github.com/cfdrake/easy-diceware): Passphrase generator  
  <details>
	<summary><code>swift</code> </summary>

	Added June  1, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/cfdrake/easy-diceware/master/.github/screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [iCepa](https://github.com/iCepa/iCepa): System-wide VPN based Tor client  
  <details>
	<summary><code>swift</code> <code>tor</code> ⭐⭐</summary>

	Added September  7, 2016<br>  License: `other`
  </details>

- [keyacid](https://github.com/keyacid/keyacid-iOS): Secure and easy crypto for everyone  
  <details>
	<summary><code>swift</code> <code>carthage</code> <code>libsodium</code> </summary>

	Added August  3, 2017<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple117/v4/49/ba/f3/49baf3cf-a821-ec84-21f4-ac7f466c72b4/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple117/v4/36/fe/e2/36fee29b-22fc-d047-396a-3d2b043e9d53/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [Keybase](https://github.com/keybase/client) [` App Store`](https://itunes.apple.com/app/keybase-crypto-for-everyone/id1044461770)  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added February  9, 2017<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)
  </details>

- [Krypton](https://github.com/kryptco/krypton-ios): Generate & store an SSH key on your phone [` App Store`](https://itunes.apple.com/app/krypton-by-krypt-co/id1161494806)  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added May  2, 2017<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple122/v4/a1/44/1f/a1441fb4-a4de-c877-fe07-335c75724c03/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Onions](https://github.com/onionsapp/Onions-iOS): Cloud encrypted notes  
  <details>
	<summary><code>objc</code> </summary>

	Added January 27, 2015<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple/v4/d0/08/29/d00829d7-e34f-69e7-d21b-bfd3f48ae8fc/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple4/v4/9d/18/f7/9d18f743-51ef-adfa-5720-ce52057f2232/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple2/v4/85/63/c3/8563c3ce-2e2a-0a6f-472d-68b60a274841/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple/v4/e2/43/a1/e243a12f-6391-f347-c684-22e5236f0d79/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Prey](https://github.com/prey/prey-ios-client): Track lost or stolen devices & perform actions remotely [` App Store`](https://itunes.apple.com/app/id456755037)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	https://preyproject.com/<br>  Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple62/v4/43/f7/91/43f791d0-319a-2e3f-449a-2471e240b068/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/c3/f9/ba/c3f9ba54-b8df-10bc-e2e0-ea6b1a736d91/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple62/v4/e3/96/3e/e3963e31-b683-16c2-cc94-4768fe16020a/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/d6/af/c3/d6afc340-1972-af85-053b-8e52ed5a4588/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple62/v4/f3/50/71/f35071d7-9fa9-1bf9-fa91-2641458bcd1e/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Prey](https://github.com/prey/prey-swift-client): Track lost or stolen devices & perform actions remotely  
  <details>
	<summary><code>swift</code> </summary>

	https://preyproject.com/<br>  Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://preyproject.com/img/home/report-simple-2.png'><code>Screenshot 1</code></a> 
  </details>

- [Tutanota](https://github.com/tutao/tutanota): End-to-end encrypted email [` App Store`](https://itunes.apple.com/app/id922429609)  
  <details>
	<summary><code>javascript</code> <code>cordova</code> <code>iphone</code> <code>ipad</code> ⭐⭐⭐⭐⭐</summary>

	https://tutanota.com/<br>  Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple71/v4/7e/80/e2/7e80e291-ee1e-ffb4-9449-c0431136832c/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple62/v4/d3/37/fd/d337fd23-a7e0-a903-3249-6b793974df2d/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/7b/09/a2/7b09a205-22f4-addf-6641-c1462c1d0c98/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple22/v4/9e/c9/8f/9ec98f0b-b5a8-1aa4-98ba-b3c748ed8e18/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [VPN On](https://github.com/lexrus/VPNOn): Extension to turn on VPN [` App Store`](https://itunes.apple.com/app/vpn-on/id951344279)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 16, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cdn-images-1.medium.com/max/800/1*9qSbd77zijp5UPODaWM9CQ.png'><code>Screenshot 1</code></a> 
  </details>


### Password 
 
[back to top](#readme) 
 
- [Authenticator](https://github.com/mattrubin/authenticator): A simple two-factor authentication app with a clean UI [` App Store`](https://itunes.apple.com/app/id766157276)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	https://mattrubin.me/authenticator/<br>  Added March 11, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple4/v4/d0/6f/3d/d06f3d75-b4f9-d2c0-1f24-01ec8f84d3d2/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/ba/b8/ee/bab8eeb5-de24-7319-9401-c90cf2e95212/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/aa/8f/5e/aa8f5eff-74da-db7c-a647-cfb18a54cfaf/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Bitwarden](https://github.com/bitwarden/mobile): An easy way for individuals, teams, and business organizations to store, share, and sync sensitive data [` App Store`](https://itunes.apple.com/app/bitwarden-free-password-manager/id1137397744)  
  <details>
	<summary><code>csharp</code> ⭐⭐⭐</summary>

	https://bitwarden.com<br>  Added June 10, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://i.imgur.com/3BO1Wcg.png'><code>Screenshot 1</code></a> 
  </details>

- [Encryptr](https://github.com/SpiderOak/Encryptr): A zero-knowledge, cloud-based e-wallet & password manager [` App Store`](https://itunes.apple.com/app/id1066041348)  
  <details>
	<summary><code>cordova</code> <code>grunt</code> <code>node</code> ⭐⭐⭐⭐</summary>

	https://spideroak.com/encryptr/<br>  Added June  2, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple49/v4/cc/ab/0f/ccab0fca-197f-56c0-c265-4b73c99e4ef8/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [FreeOTP Authenticator](https://github.com/freeotp/freeotp-ios): Two-Factor Authentication [` App Store`](https://itunes.apple.com/app/freeotp/id872559395)  
  <details>
	<summary><code>swift</code> <code>moa</code> ⭐</summary>

	Added March 11, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple5/v4/66/8b/9c/668b9cf1-3502-3683-7787-ef450ef90019/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [MasterPassword](https://github.com/Lyndir/MasterPassword): Stateless password management solution [` App Store`](https://itunes.apple.com/app/id510296984)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐</summary>

	Added May 15, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple1/v4/2d/a3/e2/2da3e280-a7b2-2919-0a62-b4d9063102bd/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/54/31/3c/54313ca9-4faa-3a44-703b-42deadbdb3d5/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/9c/8d/8b/9c8d8bee-69ee-7c98-9415-e7237b4e5b17/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/f3/8f/e0/f38fe060-897e-20f9-00d5-cc99b9061673/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/2a/7c/fd/2a7cfd81-8764-4394-6396-4bfc8b41f53c/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [MiniKeePass](https://github.com/MiniKeePass/MiniKeePass): Secure Password Manager [` App Store`](https://itunes.apple.com/app/id451661808)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	Added February  7, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple7/v4/d8/41/81/d84181ef-d7fe-2283-5b54-7cfb63f8fb01/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple5/v4/16/d4/46/16d446eb-11ab-4f22-48bc-da22b75df89a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple1/v4/5f/01/13/5f0113bc-577d-ebb9-cd12-58674f9ac989/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/38/1d/e7/381de7b6-9414-99bf-d02c-de4ffc12d21d/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple1/v4/1f/dd/eb/1fddeb0e-e562-10f2-8a79-e7ea385117cf/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Padlock](https://github.com/padlock/padlock): A minimalist open source password manager  
  <details>
	<summary><code>javascript</code> <code>cordova</code> <code>iphone</code> <code>ipad</code> ⭐⭐⭐</summary>

	https://padlock.io/<br>  Added April  4, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/af/bd/5d/afbd5d00-6c4d-8edf-ff9b-552df523d573/mzl.fszireix.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple128/v4/6d/82/e2/6d82e289-2522-38f2-9473-65f41700ba12/mzl.xvlxfqzn.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/c4/f8/9c/c4f89c59-827f-3b1f-c426-3964c52ab4ac/mzl.pdmecikv.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/5a/9e/18/5a9e1873-9ac8-80d7-0fc9-64d3ad8784e8/mzl.zwomnhtr.png/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [Pass](https://github.com/mssun/passforios): Client for the Pass command line app https://www.passwordstore.org/ [` App Store`](https://itunes.apple.com/app/pass-password-store/id1205820573)  
  <details>
	<summary><code>swift</code> <code>carthage</code> <code>keychainaccess</code> <code>onetimepassword</code> ⭐⭐⭐</summary>

	https://mssun.github.io/passforios/<br>  Added May 30, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/mssun/passforios/raw/master/screenshot/preview.gif'><code>Screenshot 1</code></a> 
  </details>

- [PassDrop](https://github.com/chadaustin/passdrop): Keepass password manager [` App Store`](https://itunes.apple.com/app/passdrop-2/id1206056096)  
  <details>
	<summary><code>openssl</code> </summary>

	Added July  6, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple111/v4/d3/29/9c/d3299cfd-8dbc-f3b4-3031-8d7d478e744d/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [SkeletonKey](https://github.com/chrishulbert/SkeletonKey): Password manager with Dropbox  
  <details>
	<summary><code>iphone</code> </summary>

	Added March 31, 2016<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple1/v4/83/3d/68/833d684f-39f7-f310-1b18-e9a6d0f7353f/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/c0/cc/aa/c0ccaaee-4ae8-2d84-974a-d4a3b887fa5a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple1/v4/a3/17/ff/a317ff61-9846-47ba-0633-b3bc203326c0/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple4/v4/09/94/7f/09947fc6-28e0-0182-74d3-08f5c97c7451/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/13/10/89/13108957-9826-ccd6-40d0-0a65f08299d4/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [ZeroStore](https://github.com/kylebshr/zerostore-ios): password storage without the storage [` App Store`](https://itunes.apple.com/app/zerostore-password-storage/id1037141587)  
  <details>
	<summary><code>objc</code> </summary>

	Added September  8, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple69/v4/96/fb/0a/96fb0a2f-de8c-41a1-07e3-5be00ba1f2f8/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/17/dc/16/17dc1676-f485-4fe9-e38a-7a095916393c/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/21/8e/8c/218e8cb3-5fe4-f909-9761-ab2f1367b0a8/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple3/v4/0f/1d/02/0f1d0261-6f35-5e34-45e7-7603a7f2d098/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple6/v4/fd/8c/47/fd8c47fa-13ec-1cdb-65f5-8c936dfa7a12/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>


## Shopping 
 
[back to top](#readme) 
 
- [Good Living Guide: home snacks, gifts, beauty, shopping..](https://github.com/hrscy/DanTang)  
  <details>
	<summary><code>swift</code> 🌐 ⭐⭐⭐</summary>

	Added August  4, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple1/v4/7a/5f/b7/7a5fb7a2-e038-2b81-63b6-8b76872b86fe/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Mojilist](https://github.com/thiagoricieri/Mojilist): Create shopping lists with emojis!  
  <details>
	<summary><code>swift</code> <code>alamofire</code> <code>realm</code> </summary>

	Added May 31, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://thiago.ricieri.com/assets/posts/2018/mojilist-screens.jpg'><code>Screenshot 1</code></a> 
  </details>

- [OpenShop.io](https://github.com/openshopio/openshop.io-ios): Ecommerce shopping app [` App Store`](https://itunes.apple.com/app/openshop-io/id1250327932)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added April 22, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple49/v4/f1/5e/74/f15e74dd-2999-3c26-5399-746cda25c1df/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/fd/f3/e7/fdf3e7e2-fb8f-4583-d6c2-74acd5c0bf1a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/40/fd/44/40fd44f8-68c0-9e0f-948a-f17e3f06840a/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/e5/19/74/e51974db-b60c-a715-c77b-8c9efa677821/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple49/v4/b7/6f/95/b76f95d1-5c40-b766-d399-d02d9963a56b/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [The Wave - A Jeep Marketplace](https://github.com/xYello/ThePost): A place for Jeep owners to buy and sell Jeep parts [` App Store`](https://itunes.apple.com/app/the-wave-a-jeep-marketplace/id1260803629)  
  <details>
	<summary><code>swift</code> <code>jeep</code> <code>jeep-parts</code> <code>wave</code> <code>marketplace</code> </summary>

	Added February 18, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/xYello/ThePost/master/Screenshots/Wave-PLP.jpg'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/xYello/ThePost/master/Screenshots/Wave-Post.jpg'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/xYello/ThePost/master/Screenshots/Wave-Profile.jpg'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/xYello/ThePost/master/Screenshots/Wave-Reviews.jpg'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/xYello/ThePost/master/Screenshots/Wave-Social.jpg'><code>Screenshot 5</code></a> 
  </details>


## Social 
 
[back to top](#readme) 
 
- [Aozora](https://github.com/opensourceios/Aozora): Discover & track anime  
  <details>
	<summary><code>swift</code> </summary>

	Added February  8, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Beam](https://github.com/awkward/beam): Enjoy all of Reddit's content in a unique and beautiful package [` App Store`](https://itunes.apple.com/app/beam-for-reddit/id937987469)  
  <details>
	<summary><code>swift</code> <code>objc</code> ⭐</summary>

	Added May  6, 2018<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple19/v4/ab/1c/34/ab1c34ca-9913-ef85-ae35-10c2c7d3b7a6/mzl.gkpfevya.png/316x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple71/v4/eb/79/57/eb795798-bba3-21d5-6070-d8f508af1be0/mzl.lbvrfpjf.png/316x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple71/v4/13/5d/53/135d536b-5ec2-a567-d72a-c5e6fb12f804/mzl.rzeufpyk.png/316x0w.jpg'><code>Screenshot 3</code></a> 
  </details>

- [Ello](https://github.com/ello/ello-ios): Ello is the Creators Network [` App Store`](https://itunes.apple.com/app/ello/id953614327)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added June  2, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple62/v4/d3/f7/04/d3f7045e-84bc-b237-09f0-6f28c1c6774a/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/c7/3e/c9/c73ec9fb-0284-2bd7-15dd-7378555af681/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/a8/8d/fb/a88dfbcb-6b8e-bb3d-5e0d-f581b686c708/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/78/33/45/783345e2-4cfd-b57a-00fc-55b87d91eb51/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple62/v4/83/95/e3/8395e3e4-23f9-b0cd-0ef7-8734f58506ba/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Peggsite](https://github.com/jenduf/GenericSocialApp): App for sharing a social board  
  <details>
	<summary><code>objc</code> </summary>

	Added March 17, 2015<br>  License: `other`
  </details>

- [Post Manager](https://github.com/tombaranowicz/PostManager): Post/schedule Twitter posts like Buffer, includes a Share Extension  
  <details>
	<summary><code>swift</code> <code>node</code> </summary>

	Added July 15, 2016<br>  License: `other`<br>
	<a href='https://github.com/tombaranowicz/PostManager/raw/master/IMG/Simulator%20Screen%20Shot%2015%20Jul%202016%2007.52.18.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/tombaranowicz/PostManager/raw/master/IMG/Simulator%20Screen%20Shot%2015%20Jul%202016%2007.52.54.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/tombaranowicz/PostManager/raw/master/IMG/Simulator%20Screen%20Shot%2015%20Jul%202016%2007.54.47.png?raw=true'><code>Screenshot 3</code></a> 
  </details>

- [Potter Pics](https://github.com/surayashivji/PotterPics): Harry Potter themed social network similar to Instagram  
  <details>
	<summary><code>swift</code> <code>swift3</code> <code>firebase</code> ⭐</summary>

	Added January 15, 2017<br>
	<a href='https://github.com/surayashivji/PotterPics/blob/master/Overview.gif'><code>Screenshot 1</code></a> 
  </details>

- [Queue'd Music](https://github.com/rldaulton/queued-music): A real-time, votable, democratized music queue on iPad and iPhone using Spotify  
  <details>
	<summary><code>swift</code> </summary>

	https://www.queuedapp.com<br>  Added April 17, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://www.queuedapp.com/img/image-3.png'><code>Screenshot 1</code></a> <a href='https://www.queuedapp.com/img/image-2.png'><code>Screenshot 2</code></a> <a href='https://www.queuedapp.com/img/powerful.png'><code>Screenshot 3</code></a> 
  </details>

- [StreetMusicMap](https://github.com/henriquevelloso/StreetMusicMap): Is a collaborative global community that connects street musicians, fans & videomakers  
  <details>
	<summary><code>objc</code> </summary>

	Added April 20, 2016<br>  License: `other`<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple5/v4/a6/87/38/a68738e5-ed64-b538-cd38-42df82d5339f/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/a3/e0/05/a3e0055b-b4fc-dc75-4276-e4e0bba4ad7b/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple7/v4/81/7d/f4/817df403-8bb2-1d31-8046-b3e6f0509e12/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/bd/30/db/bd30dbd9-0ef6-f21a-8822-c0dd37b6f014/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Yep](https://github.com/CatchChat/Yep): Discover talent & build something together  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added February  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple49/v4/7b/87/7a/7b877a50-9913-34d0-2c17-b065abeaa351/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/2f/ea/ae/2feaae56-46f9-16ce-1cd8-970cb5ac2d53/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/2b/f4/0c/2bf40cc1-0dc4-e731-86ab-544c473674ea/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/f7/2c/ef/f72cefc8-8dd4-3e9f-b7cc-84247cc30978/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/71/50/e6/7150e6ce-963d-1383-c627-1c81f2015bbc/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>


### Mastodon 
 
https://mastodon.social — [back to top](#readme) 
 
- [11t](https://github.com/jeroensmeets/mastodon-app)  
  <details>
	<summary><code>fuse-tools</code> </summary>

	Added April 10, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/jeroensmeets/mastodon-app/blob/master/Assets/images/store/appstore/screenshot_timeline.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [tootbot](https://github.com/tootbot/tootbot)  
  <details>
	<summary><code>swift</code> </summary>

	Added April 11, 2017<br>  License: [`agpl-3.0`](http://choosealicense.com/licenses/agpl-3.0/)
  </details>


## Tasks 
 
[back to top](#readme) 
 
- [1Trackr](https://github.com/JerryHDev/1Trackr): Log your community service hours to the cloud  
  <details>
	<summary><code>parse</code> </summary>

	Added April 11, 2016<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple60/v4/2a/23/28/2a2328e4-4006-604e-1751-d38e2b287d80/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple18/v4/f1/b8/b0/f1b8b077-1977-15fa-7731-0672303a94e2/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple30/v4/0d/b0/57/0db05780-fb74-f2b6-3329-505cd8a529f0/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/03/b4/4f/03b44f66-7cfe-7314-5ee0-0acd900d6c92/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple20/v4/97/05/12/97051277-bc7b-5afc-d73b-6d5df2e7fc8a/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [eCortex](https://github.com/whymani005/cortex): Manage / organize thoughts & ideas into custom categories [` App Store`](https://itunes.apple.com/app/ecortex/id1105026832)  
  <details>
	<summary><code>swift</code> </summary>

	Added January 25, 2017<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple60/v4/03/9e/a9/039ea9b6-6427-ac1b-9bf9-773c91e5b8c9/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Habitica](https://github.com/HabitRPG/habitica-ios): Habit building & productivity [` App Store`](https://itunes.apple.com/app/id994882113)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	https://habitica.com/static/front<br>  Added June  1, 2016<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple6/v4/a2/af/06/a2af06ac-0644-00b5-85f1-ae13e3ebf1cd/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Planc](https://github.com/aerlinn13/planc): Minimalistic to-do list  
  <details>
	<summary><code>swift</code> </summary>

	Added August 20, 2017<br>  License: `other`<br>
	<a href='https://github.com/aerlinn13/Planc/blob/master/screenshots/1.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [RealmToDo](https://github.com/pietbrauer/RealmToDo): A small to-do list with Realm integration  
  <details>
	<summary><code>swift</code> </summary>

	Added July 31, 2015<br>  License: `other`
  </details>

- [Tinylog](https://github.com/binarylevel/Tinylog-iOS): Minimal to-do app  
  <details>
	<summary><code>swift</code> <code>iphone</code> <code>ipad</code> </summary>

	Added January 26, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Todo](https://github.com/JakeLin/Todo)  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added November 30, 2015<br>  License: `other`<br>
	<a href='https://github.com/JakeLin/Todo/raw/master/Screenshots/1.png'><code>Screenshot 1</code></a> <a href='https://github.com/JakeLin/Todo/raw/master/Screenshots/2.png'><code>Screenshot 2</code></a> 
  </details>

- [Todo.txt](https://github.com/todotxt/todo.txt-ios): If you have a file called todo.txt on your computer right now, you're in the right place  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added November 30, 2015<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple6/v4/41/c8/da/41c8dafa-79ab-3405-f45c-faf12256d62e/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple6/v4/0d/90/54/0d9054bf-a38b-9c6d-44a9-8dccf72a7917/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple/v4/df/95/0a/df950a0e-dd3a-786a-0ebe-8936062b03be/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple/v4/aa/4c/3a/aa4c3acf-4b93-ceae-2315-fd25837d2241/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [VIPER-SWIFT](https://github.com/mutualmobile/VIPER-SWIFT): Todo list  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added November  2, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/BlZtGZR.png'><code>Screenshot 1</code></a> 
  </details>


## Text 
 
[back to top](#readme) 
 
- [Edhita](https://github.com/tnantoka/edhita): Text editor [` App Store`](https://itunes.apple.com/app/edhita-open-source-text-editor/id398896655)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added January 27, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple62/v4/92/84/ea/9284ea12-6151-28ba-7ca5-c7a20a485794/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple62/v4/4f/a3/d0/4fa3d02f-03e0-c774-3a11-e8cd2ed524e2/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [iVim](https://github.com/terrychou/iVim): A vim port [` App Store`](https://itunes.apple.com/app/ivim/id1266544660)  
  <details>
	<summary><code>c</code> <code>vim-script</code> ⭐</summary>

	Added February 11, 2018<br>  License: `other`<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/6c/f0/84/6cf08431-01bb-aacb-27f2-bcc769a8511e/pr_source.png/230x0w.jpg'><code>Screenshot 1</code></a> 
  </details>

- [RichTexture](https://github.com/stevemoser/richtexture): Rich text editor (fork of Textor but for rich text) [` App Store`](https://itunes.apple.com/app/richtexture/id1376116077)  
  <details>
	<summary><code>swift</code> </summary>

	https://www.stevemoser.org/posts/apple-dev/richtexture.html<br>  Added June 28, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is5-ssl.mzstatic.com/image/thumb/Purple128/v4/4d/3b/dc/4d3bdc1a-2bb9-589d-a574-873167dd7fb8/pr_source.png/230x0w.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Sentiments](https://github.com/kyleweiner/Sentiments): Analyzes text for positive or negative sentiment  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added May 17, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/kyleweiner/Sentiments/raw/master/Assets/sentiments_example.gif'><code>Screenshot 1</code></a> 
  </details>

- [TypeStyle](https://github.com/ebelinski/typestyle-ios): Stylizes your text and adds decorations [` App Store`](https://itunes.apple.com/app/typestyle/id1441019779)  
  <details>
	<summary><code>swift</code> <code>ipad</code> </summary>

	https://typestyle.app<br>  Added February 22, 2019<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/ebelinski/typestyle-ios/master/media/iphone-x-screenshots.png'><code>Screenshot 1</code></a> 
  </details>


### Notes 
 
[back to top](#readme) 
 
- [Boostnote](https://github.com/BoostIO/boostnote-mobile): Markdown text editor, offline or synced via Dropbox  
  <details>
	<summary><code>react-native</code> ⭐⭐⭐</summary>

	Added May 18, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://boostnote.io/assets/img/top2.png'><code>Screenshot 1</code></a> 
  </details>

- [FSNotes](https://github.com/glushchenko/fsnotes): Notes manager [` App Store`](https://itunes.apple.com/app/fsnotes-manager/id1346501102)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	Added May 11, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/f9/72/00/f972005b-5a6b-fc54-b68e-f6a704f82f1f/mzl.kxlcltgy.png/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/ee/fd/a8/eefda80f-f32b-94e4-27f3-e4a3fa8b1079/pr_source.png/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/95/a0/73/95a0739c-7e40-2e7d-787b-52e59b3d8581/mzl.srqiktcn.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple128/v4/0e/b1/61/0eb1619e-2e6a-234f-06a6-eefafcad478c/mzl.ihcrhigp.png/460x0w.jpg'><code>Screenshot 4</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple128/v4/60/09/11/60091180-1755-60ca-b390-3223f4ac8b34/mzl.vbvqksns.png/460x0w.jpg'><code>Screenshot 5</code></a> 
  </details>

- [Joplin](https://github.com/laurent22/joplin): Note taking and to-do with synchronisation capabilities, can handle a large number of notes organised into notebooks [` App Store`](https://itunes.apple.com/app/joplin/id1315599797)  
  <details>
	<summary><code>react-native</code> ⭐⭐⭐⭐⭐</summary>

	https://joplinapp.org/<br>  Added January  4, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/db/aa/50/dbaa50be-e23a-d283-da53-f8cd9528c169/pr_source.jpg/300x0w.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Loose Leaf](https://github.com/adamwulf/loose-leaf): Take notes, import & annotate PDFs, manipulate imported photos with intuitive gestures [` App Store`](https://itunes.apple.com/app/loose-leaf/id625659452)  
  <details>
	<summary><code>ipad</code> <code>pdf</code> <code>apple pencil</code> ⭐⭐</summary>

	Added January 11, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/adamwulf/loose-leaf/blob/master/example-gif/collapse-stack.gif?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [MajorKey](https://github.com/KrauseFx/MajorKey): The fastest way to add a note to your email inbox  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added January 28, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/KrauseFx/MajorKey/blob/master/screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Onions](https://github.com/onionsapp/Onions-iOS): Cloud encrypted notes  
  <details>
	<summary><code>objc</code> </summary>

	Added January 27, 2015<br>  License: `other`<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple/v4/d0/08/29/d00829d7-e34f-69e7-d21b-bfd3f48ae8fc/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple4/v4/9d/18/f7/9d18f743-51ef-adfa-5720-ce52057f2232/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple2/v4/85/63/c3/8563c3ce-2e2a-0a6f-472d-68b60a274841/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple/v4/e2/43/a1/e243a12f-6391-f347-c684-22e5236f0d79/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [SimpleMemo](https://github.com/lijuncode/SimpleMemo): Sync notes to EverNote  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added August 27, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Simplenote](https://github.com/automattic/simplenote-ios): Keep notes, lists, ideas & more (sync in the cloud) — includes sharing notes, collaboration [` App Store`](https://itunes.apple.com/app/simplenote/id289429962)  
  <details>
	<summary><code>1password</code> <code>fabric</code> <code>crashlytics</code> ⭐⭐⭐⭐</summary>

	https://simplenote.com/<br>  Added August 11, 2016<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://cdn.pastemagazine.com/www/articles/simplenoteapp.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Standard Notes](https://github.com/standardnotes/mobile): Notes app with focus on longevity, portability & privacy [` App Store`](https://itunes.apple.com/app/standard-notes/id1285392450)  
  <details>
	<summary><code>react-native</code> ⭐⭐</summary>

	Added January 18, 2017<br>  License: `other`<br>
	<a href='http://is1.mzstatic.com/image/thumb/Purple118/v4/20/d6/3e/20d63e81-ad02-c057-a4d8-fa105f8fff22/source/392x696bb.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Thoughtless](https://github.com/macgeekpro/Thoughtless): Quickly jot down thoughts, supports Markdown  
  <details>
	<summary><code>swift</code> <code>swifthexcolors</code> <code>cfalertviewcontroller</code> </summary>

	Added June 20, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://i.imgur.com/263faeN.png'><code>Screenshot 1</code></a> 
  </details>


## Timer 
 
[back to top](#readme) 
 
- [4Pets](https://github.com/fborges/4pets): Helps you take care of your pet's routines & schedules  
  <details>
	<summary><code>swift</code> </summary>

	Added May 18, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/feliborgez/4pets/master/img/screenshots.png'><code>Screenshot 1</code></a> 
  </details>

- [C-41](https://github.com/ashfurrow/C-41): Simple timer to make developing film easier & more reliable  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	Added January 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [Coffee Timer](https://github.com/ashfurrow/yourfirstswiftapp)  
  <details>
	<summary><code>swift</code> </summary>

	Added April  7, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/p2r8TmY.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/zEHz6j8.png'><code>Screenshot 2</code></a> 
  </details>

- [Fojusi](https://github.com/dasdom/Tomate): Work timer with Today Extension [` App Store`](https://itunes.apple.com/app/fojusi/id923044693)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added June 21, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple32/v4/cd/ac/98/cdac9892-c5e1-9389-6efe-ef31a90daaf4/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple6/v4/6c/c1/1b/6cc11bb2-5f1e-693c-f05c-313034b0194a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/05/67/17/05671722-b9e9-0698-7725-59ff117e377d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/8c/2c/a0/8c2ca0be-628e-4daa-0911-bdf0b58318e1/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Stopwatch](https://github.com/toggl/stopwatch): Best simple stopwatch app with great UI/UX for tracking time [` App Store`](https://itunes.apple.com/app/stopwatch-timer-time-logger/id1126783712)  
  <details>
	<summary><code>swift</code> </summary>

	Added April 21, 2017<br>  License: `other`<br>
	<a href='http://is2.mzstatic.com/image/thumb/Purple71/v4/b8/28/80/b82880a1-b833-6fdf-e381-996d9b5efbe9/source/392x696bb.jpg'><code>Screenshot 1</code></a> <a href='http://is4.mzstatic.com/image/thumb/Purple62/v4/b1/93/93/b19393b8-4f40-da6f-5782-9dc064a00b7a/source/392x696bb.jpg'><code>Screenshot 2</code></a> <a href='http://is1.mzstatic.com/image/thumb/Purple62/v4/f0/97/48/f0974881-d371-ed70-ee40-d813d5253a81/source/392x696bb.jpg'><code>Screenshot 3</code></a> <a href='http://is3.mzstatic.com/image/thumb/Purple71/v4/17/6b/c3/176bc37e-da3d-7b14-3983-7fe1e255dc3d/source/392x696bb.jpg'><code>Screenshot 4</code></a> 
  </details>

- [TrackMyTime](https://github.com/EvgenyKarkan/TrackMyTime) [` App Store`](https://itunes.apple.com/app/trackmyday/id789386884)  
  <details>
	<summary><code>objc</code> </summary>

	Added May  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple6/v4/f9/75/47/f9754726-07fd-1f7b-cda9-6f7135c45695/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple4/v4/e5/5c/48/e55c4806-441f-a36e-75d6-0537445b380d/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple/v4/bd/b6/a9/bdb6a9f5-fb3d-2a79-7cf4-9959267684b9/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple6/v4/6f/48/03/6f4803c4-b260-474f-38f6-5d2f9c9cf344/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple6/v4/46/0e/fb/460efb66-a2bc-dc45-832c-1429fa12ed91/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Triggy](https://github.com/jnordberg/triggy): Intervalometer for WiFi-enabled Canon DSLRs [` App Store`](https://itunes.apple.com/app/triggy/id1193570460)  
  <details>
	<summary><code>swift</code> </summary>

	Added May 18, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://raw.githubusercontent.com/jnordberg/triggy/master/triggy.jpg'><code>Screenshot 1</code></a> 
  </details>


## Travel 
 
[back to top](#readme) 
 
- [Californication](https://github.com/vanyaland/Californication): Discover only the best points of interest in the California  
  <details>
	<summary><code>swift</code> </summary>

	Added August  7, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vanyaland/Californication/raw/master/screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Conjugar](https://github.com/vermont42/Conjugar): Learn and Practice All the Spanish Verb Tenses [` App Store`](https://itunes.apple.com/us/app/conjugar/id1236500467)  
  <details>
	<summary><code>swift</code> </summary>

	Added March 31, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/browse.png?raw=true'><code>Screenshot 1</code></a> <a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/verb.png?raw=true'><code>Screenshot 2</code></a> <a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/quiz.png?raw=true'><code>Screenshot 3</code></a> <a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/browseInfo.png?raw=true'><code>Screenshot 4</code></a> <a href='https://github.com/vermont42/Conjugar/blob/master/Conjugar/info.png?raw=true'><code>Screenshot 5</code></a> 
  </details>

- [MetricTime](https://github.com/MoralCode/MetricTime): Displays 'Metric Time' for pranking friends on trips to countries that use the metric system  
  <details>
	<summary><code>swift</code> </summary>

	Added May 13, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/N2QeLpm.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/f33KAQY.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/EDZFKpP.png'><code>Screenshot 3</code></a> 
  </details>

- [MovieDict](https://github.com/lurado/MovieDict): Offline dictionary for international movie titles [` App Store`](https://itunes.apple.com/app/movieglot-what-do-they-call-it/id710587066)  
  <details>
	<summary><code>wikipedia</code> </summary>

	https://moviedict.info<br>  Added July 26, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://moviedict.info/iphone.png'><code>Screenshot 1</code></a> 
  </details>

- [Smart Traveller (UberGuide)](https://github.com/hACKbUSTER/UberGuide-iOS): Simple & comfortable way to explore a city  
  <details>
	<summary><code>uber api</code> ⭐⭐</summary>

	Added January 22, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/hACKbUSTER/UberGuide-iOS/master/ScreenShots/IMG_0460.PNG'><code>Screenshot 1</code></a> 
  </details>

- [Themoji](https://github.com/themoji/ios): Use Emojis to communicate while traveling  
  <details>
	<summary><code>objc</code> </summary>

	https://themoji.me/<br>  Added July 12, 2016<br>  License: `other`<br>
	<a href='https://themoji.me/ThemojiIdea.jpg'><code>Screenshot 1</code></a> <a href='http://media.148apps.com/screenshots/1086378368/us-ipad-1-themoji-express-yourself-with-emojis.jpeg'><code>Screenshot 2</code></a> <a href='http://media.148apps.com/screenshots/1086378368/us-iphone-3-themoji-express-yourself-with-emojis.jpeg'><code>Screenshot 3</code></a> 
  </details>


## Weather 
 
[back to top](#readme) 
 
- [Lucid Weather Clock](https://github.com/wrutkowski/Lucid-Weather-Clock): Precipitation clock  
  <details>
	<summary><code>swift</code> <code>dark sky api (forecast api)</code> </summary>

	Added January  5, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://i.giphy.com/mcmrs3ArwawE0.gif'><code>Screenshot 1</code></a> 
  </details>

- [NearbyWeather](https://github.com/erikmartens/NearbyWeather): Current weather for nearby stations with list, map and detail view [` App Store`](https://itunes.apple.com/app/nearbyweather/id1227313069)  
  <details>
	<summary><code>swift</code> <code>javascript</code> <code>sqlite</code> <code>openweathermap</code> </summary>

	Added March 18, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/Fba7ppE.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/fgPbJVx.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/MdQJiLj.png'><code>Screenshot 3</code></a> 
  </details>

- [Pocket Forecast](https://github.com/appsquickly/Typhoon-Swift-Example)  
  <details>
	<summary><code>swift</code> <code>typhoon</code> ⭐⭐</summary>

	Added March 24, 2015<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)
  </details>

- [SimpleWeather](https://github.com/rnystrom/SimpleWeather)  
  <details>
	<summary><code>swift</code> <code>iglistkit</code> <code>openweathermap</code> </summary>

	Added July  7, 2017<br>  License: `other`<br>
	<a href='https://i.imgur.com/yN9A2oJ.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/oODNivj.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/vjf1Bsr.png'><code>Screenshot 3</code></a> 
  </details>

- [SmileWeather](https://github.com/liu044100/SmileWeather)  
  <details>
	<summary><code>wunderground api</code> <code>openweathermap api</code> ⭐⭐</summary>

	Added August 21, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/liu044100/SmileWeather/raw/master/SmileWeather-Example/demo_gif/new_pro.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Sol](https://github.com/comyar/Sol)  
  <details>
	<summary><code>wunderground api</code> ⭐⭐⭐⭐</summary>

	Added June 15, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/comyar/Sol/raw/master/Screenshots/1.png'><code>Screenshot 1</code></a> <a href='https://github.com/comyar/Sol/raw/master/Screenshots/2.png'><code>Screenshot 2</code></a> 
  </details>

- [SwiftLanguageWeather](https://github.com/JakeLin/SwiftLanguageWeather)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐⭐</summary>

	Added March 18, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/9Ofn3QC.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Tropos Weather](https://github.com/thoughtbot/Tropos) [` App Store`](https://itunes.apple.com/app/tropos-weather-forecasts-for/id955209376)  
  <details>
	<summary><code>dark sky api (forecast api)</code> <code>reactivecocoa</code> ⭐⭐⭐⭐</summary>

	Added June 22, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple5/v4/8b/3e/bd/8b3ebd2c-9dfe-1ce5-cdf5-8c89d854e375/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/e6/4f/36/e64f369d-d453-f007-dd15-361d21641116/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [YoCelsius](https://github.com/YouXianMing/YoCelsius)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	Added June  3, 2015<br>  License: `other`<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple5/v4/a8/a9/22/a8a92296-022f-8779-73b9-663152fcf241/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple1/v4/e3/a6/63/e3a66355-643c-354f-814b-03efc196d9cb/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/0b/8d/7a/0b8d7ae5-ff45-9fc6-e77f-9d640a2aa5b0/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple5/v4/e6/a8/f6/e6a8f6e1-9d8c-f2bf-408d-0bf5626e333a/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>


## Misc 
 
[back to top](#readme) 
 
- [5 Calls](https://github.com/5calls/ios): Spend 5 minutes, make 5 calls — Calling is the most effective way to influence your representative [` App Store`](https://itunes.apple.com/app/5-calls/id1202558609)  
  <details>
	<summary><code>swift</code> <code>pantry</code> ⭐</summary>

	Added February 10, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple111/v4/d1/ae/b8/d1aeb811-24f2-2c1c-9a5f-1d2060157dd7/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple91/v4/ef/98/fc/ef98fc2c-2d69-8c9c-12da-920c6b7c3ffc/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple122/v4/e4/1a/a6/e41aa661-3a3f-eef0-4ea6-5bd5e608a53b/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple111/v4/2d/d7/9e/2dd79e9f-50f4-8ba9-7c9b-c6f5e9cc5dc9/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple111/v4/a1/46/fe/a146fed8-56a2-5bfc-0bf8-db3c6a4a54ac/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [AssociationBot](https://github.com/alexsosn/AssociationBot): Game chatbot with word association & image recognition  
  <details>
	<summary><code>ai</code> <code>machine-learning</code> <code>natural-language-processing</code> <code>neural-network</code> <code>word2vec</code> </summary>

	Added June 21, 2017<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/alexsosn/AssociationBot/master/Screenshots/Screen%20Shot%201.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/alexsosn/AssociationBot/master/Screenshots/Screen%20Shot%202.png'><code>Screenshot 2</code></a> 
  </details>

- [Bitrise](https://github.com/toshi0383/Bitrise-iOS): Client app for bitrise.io  
  <details>
	<summary><code>swift</code> </summary>

	https://www.bitrise.io<br>  Added March  8, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/toshi0383/assets/master/Bitrise-iOS/screen-shots.png'><code>Screenshot 1</code></a> 
  </details>

- [BlogQuest](https://github.com/irace/BlogQuest): Alternative Tumblr client  
  <details>
	<summary><code>objc</code> </summary>

	Added March 10, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://78.media.tumblr.com/ceef33afa678fb12d6d257c75c1ca166/tumblr_n5dd14OiyH1qb1l2uo1_540.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Borrowed Books](https://github.com/MatheusCavalca/RenovaLivrosUFRGS): Manage ufrgs.br library books  
  <details>
	<summary><code>swift</code> <code>alamofire</code> 🌐 </summary>

	Added March 20, 2016<br>  License: `other`<br>
	<a href='https://github.com/MatheusCavalca/RenovaLivrosUFRGS/raw/master/RenovaLivrosUFRGS/Images.xcassets/login_scren.imageset/login_scren.png'><code>Screenshot 1</code></a> <a href='https://github.com/MatheusCavalca/RenovaLivrosUFRGS/raw/master/RenovaLivrosUFRGS/Images.xcassets/book_list_screen.imageset/book_list_screen.png'><code>Screenshot 2</code></a> 
  </details>

- [CardDecks](https://github.com/aharren/CardDecks): Configurable card decks  
  <details>
	<summary><code>objc</code> </summary>

	Added April 28, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/h2ybAgQ.png'><code>Screenshot 1</code></a> 
  </details>

- [Ciao](https://github.com/clintonwoo/ciao): A game to learn new languages for people who respond well to repetition. Including Italian, French, Chinese, German, Polish, Portuguese, Russian & Spanish  
  <details>
	<summary><code>swift</code> </summary>

	Added April  9, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/clintonwoo/ciao/master/images/Menu_App_Preview_640x1096.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/clintonwoo/ciao/master/images/App_Preview_640x1096.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/clintonwoo/ciao/master/images/Language_App_Preview_640x1096.png'><code>Screenshot 3</code></a> 
  </details>

- [CutTheNotch](https://github.com/Naituw/CutTheNotch): This app helps your create an illusion that you can hide the notch  
  <details>
	<summary><code>swift</code> </summary>

	Added February 12, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/Naituw/CutTheNotch/blob/master/demo.gif?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [DeckRocket](https://github.com/jpsim/DeckRocket): Remote app for Deckset presentations  
  <details>
	<summary><code>swift</code> <code>iphone</code> ⭐⭐</summary>

	Added March 26, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/jpsim/DeckRocket/raw/master/demo.gif'><code>Screenshot 1</code></a> 
  </details>

- [FreeRDP](https://github.com/FreeRDP/FreeRDP): An implementation of the Remote Desktop Protocol (RDP) [` App Store`](https://itunes.apple.com/app/ifreerdp/id604813768)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐⭐</summary>

	http://www.freerdp.com/<br>  Added June  2, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple2/v4/e3/12/7a/e3127ad7-99e8-c4f7-225a-dc99edf760d9/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple/v4/d9/c9/4b/d9c94b66-389b-0b57-cd54-794a2aa18d7f/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple2/v4/aa/59/90/aa59909a-ddfb-2c80-1814-dba25350d4d4/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple/v4/ff/c2/c3/ffc2c3cc-23da-490e-13a3-f827a61dac70/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [FuseCloud](https://github.com/fusetools/FuseCloud): Music player that connects with SoundCloud  
  <details>
	<summary><code>fuse</code> <code>javascript</code> </summary>

	Added July 24, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple71/v4/98/3a/e2/983ae222-5541-f601-0c9f-4b83bc2d12d1/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/25/a9/d6/25a9d622-1764-f0d4-eb74-bb0662a3c375/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [Hackfoldr](https://github.com/hackfoldr/hackfoldr-iOS): Share all your project documents with a link [` App Store`](https://itunes.apple.com/app/hackfoldr/id919010837)  
  <details>
	<summary><code>objc</code> </summary>

	https://hackfoldr.org<br>  Added July 18, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple69/v4/bb/ee/2f/bbee2f6f-68b0-48b8-5949-e5b4bc49cc8c/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/b6/7a/49/b67a496a-c81c-d9b9-81e0-cae43136b41b/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple60/v4/49/56/85/4956850f-d8e7-bcb3-26f5-f778b80f8540/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [iCopyPasta](https://github.com/alltheflow/iCopyPasta): Pasteboard feed  
  <details>
	<summary><code>swift</code> </summary>

	Added February 28, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/6Tw24I2.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/akwJw0D.png'><code>Screenshot 2</code></a> 
  </details>

- [Ladybug](https://github.com/ethanhuang13/ladybug): Handle rdar:// links gracefully [` App Store`](https://itunes.apple.com/app/ladybug-handles-radar-links/id1402968134)  
  <details>
	<summary><code>swift</code> ⭐</summary>

	Added July 18, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple125/v4/4a/b6/98/4ab6985f-3ac7-21cd-76d3-8479091bad07/pr_source.png/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is4-ssl.mzstatic.com/image/thumb/Purple115/v4/c2/c3/14/c2c31427-d01d-dccd-5c16-4d7334377d7a/pr_source.png/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple115/v4/41/f3/c9/41f3c908-bd31-1297-cf88-15b66d28ce4e/pr_source.png/460x0w.png'><code>Screenshot 3</code></a> 
  </details>

- [LibreOffice Remote for Impress](https://cgit.freedesktop.org/libreoffice/impress_remote/): Interact with [LibreOffice](https://www.libreoffice.org/) slideshows remotely [` App Store`](https://itunes.apple.com/app/id806879890)  
  <details>
	<summary><code>objc</code> </summary>

	Added June  2, 2016<br>  License: [`mpl-2.0`](http://choosealicense.com/licenses/mpl-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple4/v4/1c/51/bc/1c51bc28-3304-2397-bdf1-9914c0174941/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple6/v4/0d/0c/ac/0d0cac78-443e-2843-93b4-420a51ff087e/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple/v4/b1/9f/c3/b19fc322-91e7-e917-8701-52c88fd91b0d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple/v4/6d/67/a2/6d67a262-409a-8156-aaee-86e14bebfc6d/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple/v4/2c/56/d7/2c56d7d8-f310-0a4f-9db6-38d7508939b9/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Locations for LOST](https://github.com/AdrienVillez/LOST-Location): A movie scenes finder [` App Store`](https://itunes.apple.com/app/locations-for-lost/id1286799669)  
  <details>
	<summary><code>swift</code> </summary>

	Added April 14, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/d9/96/1d/d9961d27-0750-2d77-9b3d-1d327d349b73/pr_source.png/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple118/v4/2c/8c/48/2c8c480c-86e1-40db-dd0a-fb2aebe1f698/pr_source.png/460x0w.png'><code>Screenshot 2</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/db/36/9b/db369b6e-407f-3a50-46eb-a066b26bfb80/pr_source.png/460x0w.png'><code>Screenshot 3</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/fa/9d/c2/fa9dc286-019b-9698-c1ef-f9b3a8b2f4ae/pr_source.png/460x0w.png'><code>Screenshot 4</code></a> 
  </details>

- [MADBike](https://github.com/alexruperez/MADBike): BiciMAD app with its own style and design [` App Store`](https://itunes.apple.com/app/madbike/id1067596651)  
  <details>
	<summary><code>3d-touch</code> <code>clone</code> <code>core-data</code> <code>firebase</code> <code>fitness</code> <code>location</code> <code>news</code> <code>weather</code> </summary>

	https://www.madbikeapp.com<br>  Added September 25, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple62/v4/8b/9e/71/8b9e71a4-38e6-44b5-fa82-0b7a0ce3bacd/pr_source.png/0x0ss.jpg'><code>Screenshot 1</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple62/v4/10/6d/cc/106dcc94-1daf-c1f8-12ce-0cb234657f7e/pr_source.png/0x0ss.jpg'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple71/v4/85/a5/a7/85a5a7c0-ebc9-27d4-5f81-6d7c6f7b4c02/pr_source.png/0x0ss.jpg'><code>Screenshot 3</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple71/v4/b6/91/dd/b691dda9-6f80-4942-3182-0c848ac0477a/pr_source.jpg/0x0ss.jpg'><code>Screenshot 4</code></a> 
  </details>

- [Mirror++](https://github.com/nathunsmitty/MirrorPlusPlus): Minimalist mirror  
  <details>
	<summary><code>swift</code> </summary>

	Added January  4, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/i2nVDNQ.png'><code>Screenshot 1</code></a> 
  </details>

- [my41](https://github.com/mperovic/my41): HP-41C/CV/CX Microcode emulator [` App Store`](https://itunes.apple.com/app/my41cx/id979041950)  
  <details>
	<summary><code>objc</code> </summary>

	Added February 19, 2016<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a4.mzstatic.com/us/r30/Purple5/v4/67/ee/d3/67eed392-7fb1-5cb6-7e94-de81031ac6b3/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/62/27/f9/6227f9dd-9c29-938d-7dc1-4f6549f4fed9/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/d7/7f/24/d77f240e-4f3e-fc00-34b3-1e1a5ade3394/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/8d/3b/c0/8d3bc0a3-d13a-4860-ec67-f0f89ef972f2/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [ooniprobe](https://github.com/ooni/probe-ios): Detect internet censorship & test your network's speed [` App Store`](https://itunes.apple.com/app/id1199566366)  
  <details>
	<summary><code>toast</code> </summary>

	Added February 10, 2017<br>  License: [`bsd-2-clause`](http://choosealicense.com/licenses/bsd-2-clause/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple122/v4/58/f4/3a/58f43a5b-cc09-413a-c0b5-fc0f1c9c660b/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple122/v4/26/21/b8/2621b82f-f8e8-02ef-7ea7-411d5168247a/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple122/v4/72/59/e7/7259e715-c87b-5fd4-daa7-98daccd3892d/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple111/v4/93/ed/00/93ed005d-36f9-5e8d-7b9f-0a4e2a8def60/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple111/v4/53/bb/0d/53bb0dae-168b-126b-f8a3-fdb0f9d43111/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [openHAB](https://github.com/openhab/openhab-ios): Vendor & technology agnostic home automation [` App Store`](https://itunes.apple.com/app/openhab/id492054521)  
  <details>
	<summary><code>objc</code> </summary>

	https://www.openhab.org/<br>  Added June  2, 2016<br>  License: [`epl-1.0`](http://choosealicense.com/licenses/epl-1.0/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple1/v4/ce/c8/32/cec832bd-868f-30be-ed46-37c8323659d5/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple5/v4/ff/54/8e/ff548e6a-7163-1d55-2f22-7fa0cd91475b/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/fb/69/1b/fb691b81-40db-5acd-6003-dc5709f04791/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/0c/38/5b/0c385b22-15b0-4ab4-b032-f186a1da5f11/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/ef/f2/91/eff2918a-0b62-2d0e-68b4-912ee8b989e1/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [OpenStack Foundation Summit](https://github.com/OpenStack-mobile/summit-app-ios): The official app for the OpenStack Foundation Summit [` App Store`](https://itunes.apple.com/app/openstack-foundation-summit/id1071261846)  
  <details>
	<summary><code>swift</code> </summary>

	Added March 16, 2018<br>
	<a href='https://is4-ssl.mzstatic.com/image/thumb/Purple122/v4/7d/ff/a9/7dffa970-0332-eb92-b625-601e1130da99/pr_source.png/460x0w.png'><code>Screenshot 1</code></a> 
  </details>

- [Phonetic](https://github.com/iAugux/Phonetic): Add phonetic keys for Chinese names  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added February 27, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/iAugux/ProjectScreenshots/master/Phonetic/nickname.gif'><code>Screenshot 1</code></a> 
  </details>

- [Science Journal](https://github.com/google/science-journal-ios): Use the sensors in your mobile devices to perform science experiments  
  <details>
	<summary><code>swift</code> <code>protobuf</code> ⭐⭐</summary>

	Added March 29, 2019<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/google/science-journal-ios/master/GitHubAssets/image1.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/google/science-journal-ios/master/GitHubAssets/image2.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/google/science-journal-ios/master/GitHubAssets/image3.png'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/google/science-journal-ios/master/GitHubAssets/image4.png'><code>Screenshot 4</code></a> 
  </details>

- [SUSI AI](https://github.com/fossasia/susi_iOS): Your Artificial Intelligence for Personal Assistants, Robots, Help Desks and Chatbots  
  <details>
	<summary><code>swift</code> ⭐⭐⭐⭐</summary>

	https://chat.susi.ai/overview<br>  Added March  5, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://raw.githubusercontent.com/fossasia/susi_iOS/master/docs/_static/Screen1.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/fossasia/susi_iOS/master/docs/_static/Screen2.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/fossasia/susi_iOS/master/docs/_static/Screen5.png'><code>Screenshot 3</code></a> 
  </details>

- [Swiflytics](https://github.com/aciidb0mb3r/Swiflytics): See your realtime Google Analytics data  
  <details>
	<summary><code>swift</code> </summary>

	Added April 26, 2016<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple69/v4/86/ab/68/86ab68a5-88d7-b086-da5d-1fc67b01053a/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/59/06/4d/59064d82-a209-b76f-11d9-60cc244a3280/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/8d/19/c8/8d19c833-2cb8-49d0-3ae3-a646d9a9a1ee/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple69/v4/02/b0/7c/02b07c1a-40ad-417a-a875-fa6b3bfbe12d/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [TKeyboard](https://github.com/music4kid/TKeyboard): Enter content into your device with a Mac keyboard, clipboard/image sync & more  
  <details>
	<summary><code>bluetooth</code> ⭐⭐⭐</summary>

	Added June  2, 2017<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple122/v4/e0/19/ea/e019ea9f-124c-4476-2683-e49f4e568d43/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Vinylogue](https://github.com/twocentstudios/vinylogue): Last.fm app [` App Store`](https://itunes.apple.com/app/vinylogue-for-last.fm/id617471119)  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added January 27, 2015<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple3/v4/a7/4f/eb/a74feb66-e0ff-97be-8998-5e1dedabe6d4/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/84/32/4d/84324d90-b033-ecb1-6cca-9d4ac426d5ad/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple5/v4/8f/4d/83/8f4d83a3-844a-e491-00ec-797055b99ba8/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/87/9f/31/879f3147-e2e2-f25a-550f-8cac23dfd829/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>


### 3D Touch 
 
[back to top](#readme) 
 
- [ForceSketch](https://github.com/FlexMonkey/ForceSketch): Sketching app  
  <details>
	<summary><code>swift</code> </summary>

	Added October 28, 2015<br>  License: `other`<br>
	<a href='https://github.com/FlexMonkey/ForceSketch/raw/master/ForceSketch/ForceSketch.gif'><code>Screenshot 1</code></a> 
  </details>

- [Plum-O-Meter](https://github.com/FlexMonkey/Plum-O-Meter): Weigh plums (and other small fruit!)  
  <details>
	<summary><code>swift</code> ⭐⭐⭐</summary>

	Added October 27, 2015<br>  License: `other`<br>
	<a href='https://i.imgur.com/V3kaLaC.png'><code>Screenshot 1</code></a> 
  </details>


### Appcelerator 
 
[back to top](#readme) 
 
- [LVMC](https://github.com/falkolab/LVMC-Demo-Alloy-App): Multicolumn ListView example  
  <details>
	<summary><code>titanium</code> <code>javascript</code> </summary>

	Added April  4, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/falkolab/LVMC/raw/master/screenshot.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [OMDB](https://github.com/gnithin/appceleratorOMDB): Movie information  
  <details>
	<summary><code>titanium</code> <code>javascript</code> </summary>

	Added February  8, 2017<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)
  </details>


### Core Data 
 
[back to top](#readme) 
 
- [DVD Collection Tracker](https://github.com/chrismiles/OrganisingCoreData)  
  <details>
	<summary><code>objc</code> </summary>

	Added August  7, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/MuViFyc.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/pn2qSEg.png'><code>Screenshot 2</code></a> <a href='https://i.imgur.com/yTD7r0K.png'><code>Screenshot 3</code></a> <a href='https://i.imgur.com/MxFiCpn.png'><code>Screenshot 4</code></a> 
  </details>

- [Listr](https://github.com/etchsaleh/Listr): Wish list  
  <details>
	<summary><code>swift</code> </summary>

	Added February  3, 2017<br>  License: [`gpl-2.0`](http://choosealicense.com/licenses/gpl-2.0/)<br>
	<a href='https://i.imgur.com/CJsIdOS.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/rLX3Fsf.png'><code>Screenshot 2</code></a> 
  </details>

- [Nested Lists](https://github.com/objcio/issue-4-full-core-data-application)  
  <details>
	<summary><code>objc</code> ⭐</summary>

	Added August  7, 2015<br>  License: `other`<br>
	<a href='https://i.imgur.com/z8Xw0qC.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/M5pwaAf.png'><code>Screenshot 2</code></a> 
  </details>

- [Tagger](https://github.com/vanyaland/Tagger): Help tag your photos on Instagram or Flickr  
  <details>
	<summary><code>swift</code> </summary>

	Added July  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vanyaland/Tagger/raw/master/Screenshots/main.png'><code>Screenshot 1</code></a> 
  </details>

- [Tasks](https://github.com/mbcrump/TasksForSwiftWithPersistingData): Designed to quickly & easily add tasks  
  <details>
	<summary><code>swift</code> <code>iphone</code> </summary>

	Added March  5, 2015<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple3/v4/9f/b9/e8/9fb9e869-e097-7fa2-ca0c-0b013e1c7d06/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple1/v4/d1/ba/40/d1ba40d5-760c-141b-06ec-4379d21d6316/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple3/v4/70/5f/f2/705ff244-02ac-c7a4-eef0-9971f0c89ed1/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple3/v4/04/52/da/0452daf2-5d76-62f7-1f98-86de67e257dc/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>


### Firebase 
 
https://firebase.google.com/ — [back to top](#readme) 
 
- [Californication](https://github.com/vanyaland/Californication): Discover only the best points of interest in the California  
  <details>
	<summary><code>swift</code> </summary>

	Added August  7, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vanyaland/Californication/raw/master/screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Chaty](https://github.com/LunarFlash/Chaty): Anonymous messaging with real time data sync  
  <details>
	<summary><code>swift</code> <code>firebase</code> <code>websocket</code> <code>nosql</code> ⭐⭐</summary>

	Added May 25, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/LunarFlash/Chaty/raw/master/ChatChat/screen1.png'><code>Screenshot 1</code></a> 
  </details>

- [CodeSprint](https://github.com/chauvincent/CodeSprint-iOS): Real-time SCRUM management tool for teams  
  <details>
	<summary><code>objc</code> </summary>

	Added November 23, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple62/v4/95/15/ad/9515add9-5322-a96e-5ab6-bbd258d524d5/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple71/v4/3e/95/f0/3e95f062-ed08-1a9f-b64a-f7cc05930e42/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple62/v4/88/94/25/88942500-f5ea-c03f-41d6-81477f9b78f9/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple62/v4/36/1c/42/361c4270-a061-f7fc-19fa-91e4321aecc4/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple62/v4/5a/47/90/5a47904c-a86c-336d-c105-9dd20dac1872/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Falcon Messenger](https://github.com/RMizin/FalconMessenger): Fast and beautiful cloud-based messaging app [` App Store`](https://itunes.apple.com/app/id1313765714)  
  <details>
	<summary><code>swift, firebase</code> ⭐</summary>

	Added June 19, 2018<br>  License: [`gpl-3.0`](http://choosealicense.com/licenses/gpl-3.0/)<br>
	<a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/48/53/6c/48536cdf-5ca1-8285-c0ed-6eca4da33d1a/pr_source.jpg/460x0w.jpg'><code>Screenshot 1</code></a> <a href='https://is3-ssl.mzstatic.com/image/thumb/Purple118/v4/dd/eb/55/ddeb5549-ef4c-faa2-8b98-71bd796a499f/pr_source.jpg/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple128/v4/35/11/a5/3511a58d-ef7b-38e8-0365-05629c143489/pr_source.jpg/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple128/v4/12/4d/f8/124df875-c3cf-30a5-6506-83b5a80f9252/pr_source.jpg/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>

- [how-much](https://github.com/dkhamsing/how-much): Simple app to record how much things cost  
  <details>
	<summary><code>parse</code> <code>firebase</code> <code>realm</code> </summary>

	Added October  6, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/dkhamsing/how-much/raw/master/Assets/screens.png'><code>Screenshot 1</code></a> 
  </details>

- [Messenger](https://github.com/relatedcode/Messenger): Audio/video calls, realtime chat & full offline support  
  <details>
	<summary><code>objc</code> <code>firebase</code> <code>onesignal</code> <code>realm</code> ⭐⭐⭐⭐⭐</summary>

	Added July 19, 2017<br>  License: `other`<br>
	<a href='http://relatedcode.com/screen/chat01.png'><code>Screenshot 1</code></a> <a href='http://relatedcode.com/screen/call1.png'><code>Screenshot 2</code></a> 
  </details>

- [Potter Pics](https://github.com/surayashivji/PotterPics): Harry Potter themed social network similar to Instagram  
  <details>
	<summary><code>swift</code> <code>swift3</code> <code>firebase</code> ⭐</summary>

	Added January 15, 2017<br>
	<a href='https://github.com/surayashivji/PotterPics/blob/master/Overview.gif'><code>Screenshot 1</code></a> 
  </details>

- [Quick Chat](https://github.com/aslanyanhaik/Quick-Chat): Real time chat app  
  <details>
	<summary><code>swift</code> <code>swift3</code> <code>firebase</code> ⭐⭐⭐⭐</summary>

	Added January  6, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/aslanyanhaik/Quick-Chat/master/screenshot.gif'><code>Screenshot 1</code></a> 
  </details>

- [Quickstart Samples](https://github.com/firebase/quickstart-ios)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐⭐</summary>

	Added May 17, 2017<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)
  </details>

- [Real-time Chat](https://www.raywenderlich.com/5359-firebase-tutorial-real-time-chat)  
  <details>
	<summary><code>firebase</code> </summary>

	Added November 11, 2016<br>  License: `other`<br>
	<a href='https://koenig-media.raywenderlich.com/uploads/2016/08/RoadCyclingChatThread.jpg'><code>Screenshot 1</code></a> 
  </details>


### Ionic 
 
http://ionicframework.com/ — [back to top](#readme) 
 
- [Vegan Lists UK](https://github.com/dsgriffin/vegan-lists-uk): View & collect vegan food lists  
  <details>
	<summary><code>typescript</code> </summary>

	Added February 28, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple49/v4/4d/55/87/4d558798-7ba1-51fd-cfaf-f43073621bd2/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple69/v4/09/43/96/09439616-213a-1355-1cbd-d65626cf2bb6/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/cd/09/c1/cd09c198-bb31-5b74-1aca-6973eeade7ae/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/ee/cc/c0/eeccc040-d840-4c30-0dd0-037dce7ec3dd/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple69/v4/0e/36/32/0e36329c-71a0-a6af-fa2a-643a91167c05/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>


### Parse 
 
https://en.wikipedia.org/wiki/Parse_(company) — [back to top](#readme) 
 
- [1Trackr](https://github.com/JerryHDev/1Trackr): Log your community service hours to the cloud  
  <details>
	<summary><code>parse</code> </summary>

	Added April 11, 2016<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple60/v4/2a/23/28/2a2328e4-4006-604e-1751-d38e2b287d80/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple18/v4/f1/b8/b0/f1b8b077-1977-15fa-7731-0672303a94e2/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple30/v4/0d/b0/57/0db05780-fb74-f2b6-3329-505cd8a529f0/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple30/v4/03/b4/4f/03b44f66-7cfe-7314-5ee0-0acd900d6c92/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple20/v4/97/05/12/97051277-bc7b-5afc-d73b-6d5df2e7fc8a/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [2CITY](https://github.com/2city/2CITY-iOS): Find out the coolest things to do in your city  
  <details>
	<summary><code>objc</code> </summary>

	Added October 12, 2015<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple3/v4/97/56/ac/9756acae-6315-37b3-3e0c-f53d7317a056/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple5/v4/b9/03/90/b90390ca-787a-b0aa-f5b3-82d1ba233bd1/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple3/v4/97/98/5d/97985d61-9604-7eaa-8087-027f97beb1e8/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple3/v4/f2/22/22/f22222e3-e3cd-aa5e-9a1f-e58506c8b94e/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Anypic](https://github.com/SwiftAnyPic/SwiftAnyPic)  
  <details>
	<summary><code>swift</code> </summary>

	Added November  2, 2015<br>  License: [`cc0-1.0`](http://choosealicense.com/licenses/cc0-1.0/)<br>
	<a href='https://i.imgur.com/hkcrHaH.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Jim](https://github.com/kylejm/Jim): Track your gym workouts  
  <details>
	<summary><code>swift</code> <code>parse</code> </summary>

	Added January  4, 2016<br>  License: `other`
  </details>

- [RaceMe](https://github.com/enochng1/RaceMe): Run tracking & ghosting  
  <details>
	<summary><code>swift</code> <code>parse</code> ⭐⭐⭐</summary>

	Added July 20, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/enochng1/RaceMe/master/raceMeGitImage.png'><code>Screenshot 1</code></a> 
  </details>


### React Native 
 
http://facebook.github.io/react-native/ — [back to top](#readme) 
 
- [30 days of React Native demos](https://github.com/fangwei716/30-days-of-react-native)  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added August 15, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/fangwei716/ThirtyDaysOfReactNative/screenshots/screenshot/main.gif'><code>Screenshot 1</code></a> 
  </details>

- [Artist](https://github.com/orta/Relay-Artist-Example): Use Relay to access the Artsy GraphQL API  
  <details>
	<summary><code>react native</code> <code>graphql</code> </summary>

	Added February  7, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/orta/Relay-Artist-Example/raw/master/screenshots/workshop.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Assemblies](https://github.com/buildreactnative/assemblies): Developer-focused Meetup clone  
  <details>
	<summary><code>react native</code> ⭐⭐</summary>

	Added May  2, 2016<br>  License: `other`<br>
	<a href='https://github.com/buildreactnative/assemblies/raw/master/screenshots/assemblies-a.png'><code>Screenshot 1</code></a> <a href='https://github.com/buildreactnative/assemblies/raw/master/screenshots/assemblies-b.png'><code>Screenshot 2</code></a> <a href='https://github.com/buildreactnative/assemblies/raw/master/screenshots/assemblies-c.png'><code>Screenshot 3</code></a> 
  </details>

- [Bíóhúsið](https://github.com/birkir/kvikmyndr-app): See movie showtimes in Iceland [` App Store`](https://itunes.apple.com/app/biohusi/id1112946298)  
  <details>
	<summary><code>react native</code> </summary>

	Added February 27, 2017<br>  License: `other`<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple122/v4/47/60/af/4760af23-821d-fe64-bef0-609676699d5d/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple111/v4/c2/c2/36/c2c236d9-7144-0a00-54d3-8caffd554174/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple111/v4/9b/15/d4/9b15d4d7-6ca3-1b33-d78c-cd098e35e4af/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple111/v4/c0/e1/83/c0e18311-891e-724b-8d32-e77a9aa3e4a5/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [Calculator](https://github.com/benoitvallon/react-native-nw-react-calculator): React Native calculator  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added March 23, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/8OKDHjU.png'><code>Screenshot 1</code></a> 
  </details>

- [Den](https://github.com/asamiller/den): View houses for sale in the Northwest  
  <details>
	<summary><code>react native</code> ⭐⭐</summary>

	Added May 29, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/5133623/7338978/01976cce-ec13-11e4-9b79-f2e2e47503b6.jpg'><code>Screenshot 1</code></a> 
  </details>

- [Dribbble](https://github.com/catalinmiron/react-native-dribbble-app)  
  <details>
	<summary><code>react native</code> <code>dribbble</code> ⭐⭐⭐⭐</summary>

	Added June 13, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/2805320/8113463/db61b072-1076-11e5-8aa2-52417f019ea0.jpg'><code>Screenshot 1</code></a> 
  </details>

- [F8 2016](https://github.com/fbsamples/f8app): Official F8 app  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added April 14, 2016<br>  License: `other`<br>
	<a href='https://github.com/fbsamples/f8app/raw/master/.github/screenshot-app@2x.png'><code>Screenshot 1</code></a> 
  </details>

- [Finance](https://github.com/7kfpun/FinanceReactNative): The system Stocks app written in React Native  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐</summary>

	Added July  8, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/7kfpun/FinanceReactNative/blob/master/previewIOS.gif?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Gitify](https://github.com/manosim/gitify-mobile): Brings your GitHub notifications in your pocket  
  <details>
	<summary><code>react-native</code> </summary>

	Added July  8, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple18/v4/88/b6/8a/88b68a7f-d3d8-e51b-9918-cb886b7a4a24/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [GitPoint](https://github.com/gitpoint/git-point): GitHub app with a minimal & beautiful UI [` App Store`](https://itunes.apple.com/app/gitpoint/id1251245162)  
  <details>
	<summary><code>react-native</code> ⭐⭐⭐⭐⭐</summary>

	Added July 14, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a3.mzstatic.com/us/r30/Purple127/v4/6d/82/6b/6d826be2-2f68-495c-0ba1-86d3da548287/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple117/v4/1c/14/83/1c148311-bbee-ff46-6b97-1d109a0213b4/screen696x696.jpeg'><code>Screenshot 2</code></a> 
  </details>

- [Hacker News app by iSimar](https://github.com/iSimar/HackerNews-React-Native) [` App Store`](https://itunes.apple.com/app/hacker-news-reader-react-native/id1067161633)  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added July 10, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple49/v4/ca/eb/26/caeb26d6-1bb4-8342-3e84-09dae06966ff/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple69/v4/86/8a/f9/868af914-0fce-cc79-872a-63b96f8f5e53/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple49/v4/ea/57/e6/ea57e6f5-4f1c-01e2-9175-d64833de659e/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple49/v4/3c/b8/87/3cb8878d-44c2-6776-c9a2-6db9964f0ac1/screen696x696.jpeg'><code>Screenshot 4</code></a> 
  </details>

- [iTunes Catalog Search](https://github.com/alexissan/ReactNativeWorkshop)  
  <details>
	<summary><code>react native</code> </summary>

	Added June 13, 2015<br>  License: `other`<br>
	<a href='https://github.com/alexissan/ReactNativeWorkshop/raw/master/Screenshots/scsh1.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Keybase](https://github.com/keybase/client) [` App Store`](https://itunes.apple.com/app/keybase-crypto-for-everyone/id1044461770)  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added February  9, 2017<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)
  </details>

- [movieapp](https://github.com/JuneDomingo/movieapp): Discover movies & tv shows  
  <details>
	<summary><code>react native</code> <code>tmdb</code> ⭐⭐⭐⭐</summary>

	Added November 28, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/5106887/20606597/f176b3e2-b2ac-11e6-9163-c9e625df7748.png'><code>Screenshot 1</code></a> 
  </details>

- [NBA allyoop](https://github.com/wwayne/react-native-nba-app): NBA game scores  
  <details>
	<summary><code>react native</code> ⭐⭐⭐⭐⭐</summary>

	Added January  6, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/5305874/12059257/dacf1ad0-af92-11e5-920c-ba4818d8dc1d.png'><code>Screenshot 1</code></a> 
  </details>

- [NBAreact](https://github.com/jbkuczma/NBAreact): NBA stats & standings  
  <details>
	<summary><code>react native</code> </summary>

	Added July 14, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [newswatch](https://github.com/bradoyler/newswatch-react-native): News app based on YouTube playlists  
  <details>
	<summary><code>react native</code> ⭐</summary>

	Added May 15, 2015<br>  License: `other`<br>
	<a href='https://cloud.githubusercontent.com/assets/425966/7039857/2f122810-dd95-11e4-99c4-db636d4c66a9.gif'><code>Screenshot 1</code></a> 
  </details>

- [Nortal TechDay 2015](https://github.com/mikkoj/NortalTechDay)  
  <details>
	<summary><code>react native</code> ⭐⭐</summary>

	Added May  3, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://res.cloudinary.com/mikkoj/image/upload/v1467119333/nortal-techday-1.mov_triupn.gif'><code>Screenshot 1</code></a> <a href='http://res.cloudinary.com/mikkoj/image/upload/v1467119489/nortal-techday-2.mov_lcvqqx.gif'><code>Screenshot 2</code></a> 
  </details>

- [PokeDB](https://github.com/satya164/PocketGear): Clean and simple Pokédex app for Pokémon GO  
  <details>
	<summary><code>react-native</code> ⭐</summary>

	Added September 14, 2016<br>  License: `other`<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple71/v4/78/63/2e/78632e47-b8cf-5068-19be-e8e848581dbf/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [pokemon-map](https://github.com/bakery/pokemon-map): Locate Pokemon around you  
  <details>
	<summary><code>react native</code> </summary>

	Added September 14, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)
  </details>

- [pokevision](https://github.com/alexkirsz/rn-pokevision): Display all the Pokémon around you  
  <details>
	<summary><code>react native</code> <code>goradar</code> </summary>

	Added September  9, 2016<br>  License: `other`<br>
	<a href='https://github.com/alexkirsz/rn-pokevision/raw/master/screenshot.png'><code>Screenshot 1</code></a> 
  </details>

- [Property Finder](https://github.com/ColinEberhardt/ReactNative-PropertyFinder)  
  <details>
	<summary><code>react native</code> ⭐⭐</summary>

	Added April 10, 2015<br>  License: `other`<br>
	<a href='https://koenig-media.raywenderlich.com/uploads/2015/03/PropertyFinder.png'><code>Screenshot 1</code></a> 
  </details>

- [React Native Hacker News](https://github.com/G2Jose/ReactNative-HackerNews) [` App Store`](https://itunes.apple.com/app/react-native-hacker-news/id1220272464)  
  <details>
	<summary><code>react-native</code> </summary>

	Added March 30, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/G2Jose/ReactNative-HackerNews/refactor/redux/screenshots/iOS/show.png'><code>Screenshot 1</code></a> 
  </details>

- [Reviewery](https://github.com/vadymmarkov/reviewery-mobile): Rate songs in Spotify playlists  
  <details>
	<summary><code>react-native</code> </summary>

	Added April 27, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vadymmarkov/reviewery-mobile/raw/master/reviewery.gif'><code>Screenshot 1</code></a> 
  </details>

- [RNTester](https://github.com/facebook/react-native/tree/master/RNTester): Showcases React Native views & modules  
  <details>
	<summary><code>react native</code> </summary>

	Added February  5, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/DYqIgci.png'><code>Screenshot 1</code></a> 
  </details>

- [RSS Reader](https://github.com/christopherdro/react-native-rss-reader)  
  <details>
	<summary><code>react native</code> ⭐</summary>

	Added June 22, 2015<br>  License: `other`<br>
	<a href='https://github.com/christopherdro/react-native-rss-reader/raw/master/RssReaderDemo.gif'><code>Screenshot 1</code></a> 
  </details>

- [Snowflake](https://github.com/bartonhammond/snowflake): A React-Native Starter App/BoilerPlate/Example with Redux, RN Router, & Jest with the Snowflake Hapi Server running locally or on RedHat OpenShift for the backend, or a Parse Server running locally or remotely on Heroku  
  <details>
	<summary><code>react-native</code> ⭐⭐⭐⭐⭐</summary>

	Added February 10, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/1282364/11598478/b2b1b5e6-9a87-11e5-8be9-37cbfa478a71.gif'><code>Screenshot 1</code></a> 
  </details>

- [To Do List](https://github.com/joemaddalone/react-native-todo)  
  <details>
	<summary><code>react native</code> ⭐</summary>

	Added June 20, 2016<br>  License: `other`
  </details>

- [To Do List (Redux)](https://github.com/uiheros/react-native-redux-todo-list): Uses Redux for managing app state  
  <details>
	<summary><code>react native</code> </summary>

	Added June 20, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/uiheros/react-native-redux-todo-list/raw/master/todolist.gif'><code>Screenshot 1</code></a> 
  </details>

- [Twitch](https://github.com/IFours/react-native-twitch)  
  <details>
	<summary><code>react native</code> </summary>

	Added February  4, 2016<br>  License: `other`<br>
	<a href='https://github.com/IFours/react-native-twitch/raw/rn0.15/assets/twitch.gif'><code>Screenshot 1</code></a> 
  </details>

- [Weather by JakeLin](https://github.com/JakeLin/ReactNativeWeather)  
  <details>
	<summary><code>react native</code> </summary>

	Added May  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/JakeLin/ReactNativeWeather/master/screenshots/screenshot-iOS.png'><code>Screenshot 1</code></a> 
  </details>

- [Weather by jsphkhan](https://github.com/jsphkhan/ReactNativeExamples)  
  <details>
	<summary><code>react native</code> </summary>

	https://github.com/jsphkhan/ReactNativeExamples/tree/master/ios/WeatherApp<br>  Added May  4, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://jsphkhan.github.io/ReactNativeWeatherApp/assets/screenshots/screen1.png'><code>Screenshot 1</code></a> <a href='http://jsphkhan.github.io/ReactNativeWeatherApp/assets/screenshots/screen2.png'><code>Screenshot 2</code></a> <a href='http://jsphkhan.github.io/ReactNativeWeatherApp/assets/screenshots/screen3.png'><code>Screenshot 3</code></a> 
  </details>

- [WWDC Family React Native](https://github.com/wwdc-family/app): Easily connect with fellow developers during WWDC  
  <details>
	<summary><code>react-native</code> ⭐</summary>

	Added April  3, 2017<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/wwdc-family/app/master/design/Screenshot1.png'><code>Screenshot 1</code></a> 
  </details>


### Realm 
 
https://realm.io/ — [back to top](#readme) 
 
- [Done](https://github.com/FancyPixel/done-swift): To-do list data sharing between extension & main app  
  <details>
	<summary><code>swift</code> <code>realm</code> <code>watchkit</code> ⭐</summary>

	Added May  1, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/FancyPixel/done-swift/master/assets/screenshot.gif'><code>Screenshot 1</code></a> 
  </details>

- [Facemotion](https://github.com/remirobert/Facemotion): Find a contact by face recognition  
  <details>
	<summary><code>opencv</code> ⭐</summary>

	Added July 27, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://cloud.githubusercontent.com/assets/3276768/16144253/4e96344e-34a4-11e6-9257-06f5bcdf06ef.gif'><code>Screenshot 1</code></a> 
  </details>

- [how-much](https://github.com/dkhamsing/how-much): Simple app to record how much things cost  
  <details>
	<summary><code>parse</code> <code>firebase</code> <code>realm</code> </summary>

	Added October  6, 2015<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/dkhamsing/how-much/raw/master/Assets/screens.png'><code>Screenshot 1</code></a> 
  </details>

- [Model2App Test App](https://github.com/Q-Mobile/Model2App): Simple CRM app built using Model2App library, lets you quickly generate a CRUD iOS app based on just a data model  
  <details>
	<summary><code>swift</code> <code>realm</code> </summary>

	Added December 27, 2018<br>
	<a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/AppMenu.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ListView_People.png'><code>Screenshot 2</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ListView_Companies.png'><code>Screenshot 3</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ListView_Products.png'><code>Screenshot 4</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ListView_Activities.png'><code>Screenshot 5</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ListView_Deals.png'><code>Screenshot 6</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/NewObjectView_Person.png'><code>Screenshot 7</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ObjectView_Company.png'><code>Screenshot 8</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ObjectView_Person.png'><code>Screenshot 9</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ObjectView_Product.png'><code>Screenshot 10</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ObjectView_Activity_CreateNewRelatedObject.png'><code>Screenshot 11</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ObjectView_Company_CreateNewRelatedObject.png'><code>Screenshot 12</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ObjectView_Person_DateEdit.png'><code>Screenshot 13</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ObjectView_PersonPhotoEdit.png'><code>Screenshot 14</code></a> <a href='https://raw.githubusercontent.com/Q-Mobile/Model2App/master/Model2AppTestApp/Screenshots/ObjectView_Deal_PriceEdit.png'><code>Screenshot 15</code></a> 
  </details>

- [Obědář](https://github.com/syky27/LunchGuy): Daily menu of restaurants near Czech Technical University  
  <details>
	<summary><code>swift</code> <code>alamofire</code> <code>swiftyjson</code> </summary>

	Added June 16, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/syky27/lunch_guy-ios/dev/screenshots/2.png'><code>Screenshot 1</code></a> <a href='https://raw.githubusercontent.com/syky27/lunch_guy-ios/dev/screenshots/1.png'><code>Screenshot 2</code></a> 
  </details>

- [Popular Movies](https://github.com/vanyaland/Popular-Movies): Cross-platform app for discovering recent & popular movies  
  <details>
	<summary><code>swift</code> <code>realm</code> <code>alamofire</code> <code>tmdb</code> </summary>

	Added January 19, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vanyaland/Popular-Movies/blob/master/res/iOS-movie-detail.png'><code>Screenshot 1</code></a> <a href='https://github.com/vanyaland/Popular-Movies/blob/master/res/iOS-movies-list.png'><code>Screenshot 2</code></a> 
  </details>

- [RaceMe](https://github.com/enochng1/RaceMe): Run tracking & ghosting  
  <details>
	<summary><code>swift</code> <code>parse</code> ⭐⭐⭐</summary>

	Added July 20, 2016<br>  License: `other`<br>
	<a href='https://raw.githubusercontent.com/enochng1/RaceMe/master/raceMeGitImage.png'><code>Screenshot 1</code></a> 
  </details>

- [RealmToDo](https://github.com/pietbrauer/RealmToDo): A small to-do list with Realm integration  
  <details>
	<summary><code>swift</code> </summary>

	Added July 31, 2015<br>  License: `other`
  </details>

- [Riot](https://github.com/vector-im/riot-ios): Collaboration for teams, chat & share with https://matrix.org/blog/index [` App Store`](https://itunes.apple.com/us/app/vector-open-source-collaboration/id1083446067)  
  <details>
	<summary><code>objc</code> <code>webrtc</code> <code>realm</code> ⭐⭐</summary>

	https://matrix.org/blog/index<br>  Added July 21, 2016<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple18/v4/7a/22/48/7a224810-475c-cb4e-a165-02761701831d/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Santa Tracker](https://github.com/keitaito/RealmSantaTracker)  
  <details>
	<summary><code>swift</code> <code>realm</code> </summary>

	Added May 16, 2017<br>  License: `other`<br>
	<a href='https://images.ctfassets.net/emmiduwd41v7/1TmcZsJy7Si4qCYm24aAse/158d511e7e58461d64cf902fb5a26d32/santa-app-final.png'><code>Screenshot 1</code></a> 
  </details>

- [try! Swift NYC](https://github.com/tryswift/trySwiftNYC)  
  <details>
	<summary><code>swift</code> <code>toucan</code> <code>realm</code> ⭐</summary>

	Added November  8, 2016<br>  License: `other`<br>
	<a href='https://i.imgur.com/xyu7t89.png'><code>Screenshot 1</code></a> <a href='https://i.imgur.com/Jes7vLF.png'><code>Screenshot 2</code></a> 
  </details>

- [try! Swift Tokyo](https://github.com/tryswift/trySwiftAppFinal)  
  <details>
	<summary><code>swift</code> <code>timepiece</code> <code>realm</code> <code>kingfisher</code> <code>acknowlist</code> ⭐⭐</summary>

	Added February 22, 2017<br>  License: `other`<br>
	<a href='https://cloud.githubusercontent.com/assets/4190298/23140345/534ae20c-f7b1-11e6-8584-b65aded1f59e.png'><code>Screenshot 1</code></a> <a href='https://cloud.githubusercontent.com/assets/4190298/23140344/53463e82-f7b1-11e6-8d84-c0cedcc930b1.png'><code>Screenshot 2</code></a> 
  </details>


### VIPER 
 
https://mutualmobile.com/posts/meet-viper-fast-agile-non-lethal-ios-architecture-framework — [back to top](#readme) 
 
- [American Chronicle](https://github.com/ryanipete/AmericanChronicle): Search Chronicling America's collection of digitized U.S. newspapers [` App Store`](https://itunes.apple.com/app/id1092988367)  
  <details>
	<summary><code>swift</code> <code>viper</code> </summary>

	http://ryanipete.com/AmericanChronicle/<br>  Added June 22, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a5.mzstatic.com/us/r30/Purple60/v4/1e/82/3b/1e823b8a-d10c-2085-2063-1d18ba68ce2e/screen696x696.jpeg'><code>Screenshot 1</code></a> 
  </details>

- [Articles](https://github.com/pedrohperalta/Articles-iOS-VIPER): Fetch and display a list of articles  
  <details>
	<summary><code>swift</code> <code>rest</code> ⭐⭐</summary>

	https://cheesecakelabs.com/blog/ios-project-architecture-using-viper/<br>  Added November  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/fEPFBzr.png'><code>Screenshot 1</code></a> 
  </details>

- [Contacts](https://github.com/sebastianwr/VIPER-Persons)  
  <details>
	<summary><code>objc</code> </summary>

	Added February  8, 2016<br>  License: `other`
  </details>

- [Counter](https://github.com/mutualmobile/Counter)  
  <details>
	<summary><code>objc</code> ⭐⭐</summary>

	Added February  8, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/vgZbwrp.png'><code>Screenshot 1</code></a> 
  </details>

- [Currency Converter](https://github.com/tirupati17/currency-converter-swift3.0-viper): Live foreign exchange rates & currency calculator [` App Store`](https://itunes.apple.com/app/currency-converter-free-quick/id1163490933)  
  <details>
	<summary><code>swift</code> <code>viper</code> ⭐</summary>

	Added October 24, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/tirupati17/currency-converter-swift3.0-viper/master/CurrencyConverter/Resources/iphone_5s.png'><code>Screenshot 1</code></a> 
  </details>

- [EMI Calculator](https://github.com/tirupati17/loan-emi-calculator-clean-swift): Calculate your Equated Monthly installment (EMI) for home, car & personal loans [` App Store`](https://itunes.apple.com/app/id1105890730)  
  <details>
	<summary><code>swift</code> <code>viper</code> </summary>

	Added July  3, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a2.mzstatic.com/us/r30/Purple20/v4/20/94/8a/20948a2b-3d8d-e65b-2831-a582d912ed13/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple49/v4/aa/6a/2f/aa6a2f8a-d067-725a-e1f4-83caeaac8e75/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple30/v4/e6/87/fb/e687fb83-cd3d-6b40-2d3b-94f6fd1e82a5/screen696x696.jpeg'><code>Screenshot 3</code></a> 
  </details>

- [Exchanger](https://github.com/vkaltyrin/exchanger): Exchange currencies from multiply wallets on ECB exchange rates  
  <details>
	<summary><code>viper</code> <code>objc</code> <code>core-data</code> </summary>

	Added December 21, 2017<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://github.com/vkaltyrin/exchanger/blob/master/screenshot.png?raw=true'><code>Screenshot 1</code></a> 
  </details>

- [Gleam](https://github.com/akarataev/gleam-ios): Use machine learning algorithm to help make an early diagnosis of melanoma and get the necessary treatment on time  
  <details>
	<summary><code>swift</code> <code>coreml</code> <code>avkit</code> <code>viper</code> </summary>

	Added January 15, 2019<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/akarataev/gleam-ios/master/Docs/Mockup-small.png'><code>Screenshot 1</code></a> 
  </details>

- [live-news-viper](https://github.com/smalam119/live-news-viper): News app using VIPER  
  <details>
	<summary><code>swift</code> </summary>

	Added August 22, 2018<br>  License: [`apache-2.0`](http://choosealicense.com/licenses/apache-2.0/)<br>
	<a href='https://i.imgur.com/COrDl6n.png'><code>Screenshot 1</code></a> 
  </details>

- [Memory Game](https://github.com/matiasvillaverde/mobile-ios-vipergame): Memory game using VIPER with robust Unit Tests and Fastlane  
  <details>
	<summary><code>swift</code> </summary>

	Added July 23, 2018<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/matiasvillaverde/mobile-ios-vipergame/master/header.png'><code>Screenshot 1</code></a> 
  </details>

- [Rambler&IT](https://github.com/rambler-digital-solutions/rambler-it-ios): Portfolio of mobile architectures used at Rambler&Co [` App Store`](https://itunes.apple.com/app/rambler-it/id1145829115)  
  <details>
	<summary><code>magicalrecord</code> <code>typhoon</code> <code>afnetworking</code> <code>purelayout</code> <code>sdwebimage</code> 🌐 ⭐⭐</summary>

	Added March  8, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple71/v4/e9/c4/29/e9c429aa-8e88-7b40-f37f-036d1795fbda/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple71/v4/03/47/78/034778fc-3dd4-ded5-3423-85a372409f67/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a3.mzstatic.com/us/r30/Purple71/v4/64/66/d3/6466d349-2ccf-399c-1956-c98a619d0736/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a2.mzstatic.com/us/r30/Purple71/v4/25/48/98/254898a9-7c27-a115-d792-fcfcd63ff6df/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a5.mzstatic.com/us/r30/Purple71/v4/c8/8e/00/c88e00ee-da4d-6df7-900a-f08549ddb59c/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [Tip Calculator](https://github.com/tirupati17/tip-calculator-auto-layout-viper-objective-c): Calculate tip & split the bill between any number of people [` App Store`](https://itunes.apple.com/app/id1139456857)  
  <details>
	<summary><code>viper</code> </summary>

	Added August  8, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://raw.githubusercontent.com/tirupati17/tip-calculator-auto-layout-viper-objective-c/master/TipCalculator/Resources/Images/iphone_5s.png'><code>Screenshot 1</code></a> 
  </details>

- [To do](https://github.com/objcio/issue-13-viper)  
  <details>
	<summary><code>objc</code> ⭐⭐⭐</summary>

	https://www.objc.io/issues/13-architecture/viper/<br>  Added February  8, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/UhJOVuw.png'><code>Screenshot 1</code></a> 
  </details>

- [VIPER-SWIFT](https://github.com/mutualmobile/VIPER-SWIFT): Todo list  
  <details>
	<summary><code>swift</code> ⭐⭐</summary>

	Added November  2, 2016<br>  License: [`mit`](http://choosealicense.com/licenses/mit/)<br>
	<a href='https://i.imgur.com/BlZtGZR.png'><code>Screenshot 1</code></a> 
  </details>


### Xamarin 
 
https://www.xamarin.com/ — [back to top](#readme) 
 
- [CodeHub](https://github.com/CodeHubApp/CodeHub): Browse & maintain GitHub repositories [` App Store`](https://itunes.apple.com/app/id707173885)  
  <details>
	<summary><code>csharp</code> ⭐⭐⭐⭐⭐</summary>

	http://codehub-app.com/<br>  Added June  1, 2016<br>  License: `other`<br>
	<a href='http://a1.mzstatic.com/us/r30/Purple49/v4/34/47/f7/3447f73d-7c25-0ace-719c-d8a286521ed7/screen696x696.jpeg'><code>Screenshot 1</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple69/v4/4c/e1/5b/4ce15b73-3010-47c4-2c94-569b1898aebb/screen696x696.jpeg'><code>Screenshot 2</code></a> <a href='http://a1.mzstatic.com/us/r30/Purple49/v4/28/8b/0d/288b0d9b-d596-4128-de57-d51310d63cff/screen696x696.jpeg'><code>Screenshot 3</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/e7/eb/f0/e7ebf020-0ad7-f61a-e702-e6507e8c1925/screen696x696.jpeg'><code>Screenshot 4</code></a> <a href='http://a4.mzstatic.com/us/r30/Purple49/v4/fc/94/aa/fc94aaa7-bddf-5c48-9727-09ee45595194/screen696x696.jpeg'><code>Screenshot 5</code></a> 
  </details>

- [PropertyCross](https://github.com/tastejs/PropertyCross/tree/master/xamarin): Search UK property listings  
  <details>
	<summary><code>csharp</code> ⭐⭐⭐</summary>

	Added December  5, 2016<br>  License: `other`<br>
	<a href='http://propertycross.com/frameworks/xamarin/ios/PropertyCross.thumbnail.png'><code>Screenshot 1</code></a> <a href='http://propertycross.com/frameworks/xamarin/ios/SearchResults.thumbnail.png'><code>Screenshot 2</code></a> 
  </details>

- [Toggl Timer](https://github.com/toggl/mobileapp): Timesheet tracker  
  <details>
	<summary><code>csharp</code> ⭐</summary>

	Added May  8, 2017<br>  License: [`bsd-3-clause`](http://choosealicense.com/licenses/bsd-3-clause/)<br>
	<a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/c2/92/12/c292124b-cd47-f2c0-8c53-683b66da71f6/pr_source.png/460x0w.png'><code>Screenshot 1</code></a> <a href='https://is2-ssl.mzstatic.com/image/thumb/Purple122/v4/70/36/be/7036be07-d26c-5832-a4d4-2dea5affc50f/mzl.hvggawxa.png/460x0w.jpg'><code>Screenshot 2</code></a> <a href='https://is1-ssl.mzstatic.com/image/thumb/Purple128/v4/f5/11/7f/f5117f7f-f369-98ce-8ad6-d23366450347/mzl.ambiyxmf.png/460x0w.jpg'><code>Screenshot 3</code></a> <a href='https://is5-ssl.mzstatic.com/image/thumb/Purple128/v4/08/6d/2b/086d2b84-e722-c367-9135-bbec9c5b849a/mzl.gobyvnpu.png/460x0w.jpg'><code>Screenshot 4</code></a> 
  </details>


## Bonus 
 
[back to top](#readme) 
 
- [awesome-arkit](https://github.com/olucurious/awesome-arkit)  
  <details>
	<summary><code>list</code> ⭐⭐⭐⭐⭐</summary>

	Added August 17, 2017<br>  License: `other`
  </details>

- [awesome-macOS](https://github.com/iCHAIT/awesome-macOS)  
  <details>
	<summary><code>list</code> ⭐⭐⭐⭐⭐</summary>

	License: `other`
  </details>

- [open-source-android-apps](https://github.com/pcqpcq/open-source-android-apps)  
  <details>
	<summary><code>list</code> ⭐⭐⭐⭐⭐</summary>

	License: `other`
  </details>

- [open-source-ios-apps app store](https://github.com/dkhamsing/open-source-ios-apps/blob/master/APPSTORE.md): Only listing projects that are on the App Store  
  <details>
	<summary><code>list</code> </summary>

	Added June 14, 2017<br>  License: `other`
  </details>

- [open-source-ios-apps archive](https://github.com/dkhamsing/open-source-ios-apps/blob/master/ARCHIVE.md): Projects that are no longer maintained  
  <details>
	<summary><code>list</code> </summary>

	License: `other`
  </details>

- [open-source-ios-apps latest](https://github.com/dkhamsing/open-source-ios-apps/blob/master/LATEST.md): Latest projects added to the list  
  <details>
	<summary><code>list</code> </summary>

	License: `other`
  </details>


## Thanks

This list was inspired by [awesome-ios](https://github.com/vsouza/awesome-ios) and [awesome-swift](https://github.com/matteocrippa/awesome-swift). Thanks to all the [contributors](https://github.com/dkhamsing/open-source-ios-apps/graphs/contributors) 🎉 

## Contact

- [github.com/dkhamsing](https://github.com/dkhamsing)
- [twitter.com/dkhamsing](https://twitter.com/dkhamsing)
- [github.com/vpeschenkov](https://github.com/vpeschenkov)
